from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

_4xxx_IEEE = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'4001', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4001'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '7', '14', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '7', '14', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['9', '7', '14', '10', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '12', '7', '14', '13']}] }),
        Part(**{ 'name':'4002', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4002'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '7', '1', '14', '12', '3', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '12', '7', '10', '9', '14', '11']}] }),
        Part(**{ 'name':'4006', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4006'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='DA',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Q3B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q3B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q4C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q3A',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~{CP}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DC',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='DB',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='DD',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Q3D',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q4D',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4008', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4008'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='S0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='S1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='S2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='S3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Cout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='B3',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='B2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='B1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='B0',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Cin',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4009', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4009'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Vcc',func=Pin.types.PWRIN),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '16', '8', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '16', '8', '1', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '16', '8', '1', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['10', '16', '8', '1', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '8', '11', '1', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['16', '8', '1', '14', '15']}] }),
        Part(**{ 'name':'4010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4010'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Vcc',func=Pin.types.PWRIN),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['16', '3', '8', '2', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '16', '1', '8', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '16', '8', '6', '1']},{'label': 'uD', 'num': 4, 'pin_nums': ['16', '1', '8', '10', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '1', '8', '11', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '16', '8', '14', '1']}] }),
        Part(**{ 'name':'40104', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40104'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SRin',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='D0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='D1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='D3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SLin',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='S0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40106'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '14', '1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '14', '4', '7']},{'label': 'uC', 'num': 3, 'pin_nums': ['5', '6', '14', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['9', '14', '8', '7']},{'label': 'uE', 'num': 5, 'pin_nums': ['10', '14', '11', '7']},{'label': 'uF', 'num': 6, 'pin_nums': ['7', '12', '14', '13']}] }),
        Part(**{ 'name':'4011', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4011'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '1', '3', '14', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '5', '4', '14', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '10', '8', '14', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '13', '11', '14', '12']}] }),
        Part(**{ 'name':'40110', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40110'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Qa',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Qe',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Qd',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Qc',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Qb',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Qg',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Qf',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~{TE}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CLR',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='LE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CKd',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='CKu',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4012', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4012'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '12', '14', '4', '2', '7', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '14', '13', '11', '12', '7', '9']}] }),
        Part(**{ 'name':'4013', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4013'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Cp',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Cp',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~{Q}',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='Q',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='S',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='D',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '2', '5', '1', '7', '3', '6', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '8', '10', '11', '7', '13', '9', '14']}] }),
        Part(**{ 'name':'4014', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4014'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='P7',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='DS',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='P4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='P5',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='P6',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4015', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4015'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='10',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='1',name='CP',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='14',name='MR',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='D',func=Pin.types.INPUT,unit=2),
            Pin(num='2',name='Q4',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '16', '10', '6', '9', '4', '8', '7', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['1', '16', '14', '2', '13', '11', '15', '8', '12']}] }),
        Part(**{ 'name':'4016', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4016'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='I/O',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='ON',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='O/I',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='O/I',func=Pin.types.PASSIVE,unit=2),
            Pin(num='4',name='I/O',func=Pin.types.PASSIVE,unit=2),
            Pin(num='5',name='ON',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='ON',func=Pin.types.INPUT,unit=3),
            Pin(num='8',name='I/O',func=Pin.types.PASSIVE,unit=3),
            Pin(num='9',name='O/I',func=Pin.types.PASSIVE,unit=3),
            Pin(num='10',name='O/I',func=Pin.types.PASSIVE,unit=4),
            Pin(num='11',name='I/O',func=Pin.types.PASSIVE,unit=4),
            Pin(num='12',name='ON',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '7', '1', '2', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '3', '5', '14', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '7', '14', '9', '6']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '12', '10', '14', '11']}] }),
        Part(**{ 'name':'4017', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4017'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Co',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~{CP1}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='CP0',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q8',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40174', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40174'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~{R}',func=Pin.types.INPUT),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='9',name='Ck',func=Pin.types.INPUT),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40175', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40175'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~{R}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Ck',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4018', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4018'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='PL',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{Q3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='P4',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{Q4}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{Q1}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~{Q0}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~{Q2}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='P3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4019', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4019'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='B3',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='SB',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='B2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='B1',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='B0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='SA',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40192', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40192'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='LOAD',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='BO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='DOWN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='UP',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='P3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40193', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40193'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='LOAD',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='BO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='DOWN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='UP',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='P3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40194', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40194'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='DSr',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='D0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='D1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='D3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DSl',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='S0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4020', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4020'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~{CLK}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4021', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4021'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='P7',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='DS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='P4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='P5',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='P6',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='PL',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4022', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4022'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Co',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~{CP1}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='CP0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4023', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4023'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '2', '9', '1', '7', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '5', '4', '7', '3', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['14', '12', '11', '13', '7', '10']}] }),
        Part(**{ 'name':'4024', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4024'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='VDD',func=Pin.types.PWRIN),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='~{CLK}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q2',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40240', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40240'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='10',name='Vss',func=Pin.types.PWRIN),
            Pin(num='20',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='17',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='19',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['6', '8', '2', '1', '14', '20', '16', '12', '10', '18', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '15', '3', '13', '11', '7', '9', '19', '10', '17', '20']}] }),
        Part(**{ 'name':'40245', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40245'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Dir',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='~',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='~{G}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4025', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4025'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '1', '7', '9', '2', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '6', '7', '5', '3', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['11', '13', '14', '10', '12', '7']}] }),
        Part(**{ 'name':'4027', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4027'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='K',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='J',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='J',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='K',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='CK',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='S',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '7', '3', '2', '4', '8', '5', '16', '6']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '13', '15', '8', '12', '9', '16', '10', '14']}] }),
        Part(**{ 'name':'4028', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4028'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='S4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='S1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='S3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='S2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='S0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='S7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='S9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='S5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='S6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='S8',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[{'label': 'u', 'num': 0, 'pin_nums': ['16', '8']},{'label': 'uA', 'num': 1, 'pin_nums': ['12', '9', '6', '14', '16', '8', '3', '13', '4', '10', '11', '7', '5', '2', '1', '15']}] }),
        Part(**{ 'name':'4029', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4029'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='PL',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='U/D',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{CE}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{TC}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='B/D',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4030', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4030'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '14', '3', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '4', '14', '5', '7']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '8', '9', '14', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '11', '13', '14', '7']}] }),
        Part(**{ 'name':'40373', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40373'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT),
            Pin(num='10',name='Vss',func=Pin.types.PWRIN),
            Pin(num='11',name='ST',func=Pin.types.INPUT),
            Pin(num='20',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40374', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40374'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS BUFFER 3State', 'description':'', 'datasheet':'https://www.digchip.com/datasheets/download_datasheet.php?id=369790&part-number=HEF40374BDB', 'pins':[
            Pin(num='1',name='~{E}',func=Pin.types.INPUT),
            Pin(num='10',name='Vss',func=Pin.types.PWRIN),
            Pin(num='11',name='Ck',func=Pin.types.INPUT),
            Pin(num='20',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='12',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='16',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='17',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='2',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='6',name='~',func=Pin.types.TRISTATE,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4040', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4040'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4041', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4041'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '14', '7', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '6', '4', '7', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '14', '9', '7', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '12', '14', '7', '13']}] }),
        Part(**{ 'name':'4042', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4042'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='E0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='E1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4043', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4043'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4044', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4044'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4046', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4046'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='PCP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='SFout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='R1',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='R2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='PC2',func=Pin.types.TRISTATE,unit=1),
            Pin(num='14',name='SigIn',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='ZOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='PC1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='RefIn',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='FOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Inh',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='C1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='C2',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='VCOin',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4048', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4048'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='J',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Ka',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='Ex',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='H',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='F',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='E',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Kb',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Kc',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4049', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4049'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '8', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['1', '4', '5', '8']},{'label': 'uC', 'num': 3, 'pin_nums': ['1', '8', '6', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['10', '1', '8', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['1', '8', '12', '11']},{'label': 'uF', 'num': 6, 'pin_nums': ['14', '1', '8', '15']}] }),
        Part(**{ 'name':'4050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4050'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '3', '1', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['1', '4', '5', '8']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '6', '1', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['10', '9', '1', '8']},{'label': 'uE', 'num': 5, 'pin_nums': ['12', '11', '1', '8']},{'label': 'uF', 'num': 6, 'pin_nums': ['8', '1', '15', '14']}] }),
        Part(**{ 'name':'4051', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4051'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='X4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='X3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='X2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='X6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='X7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='X5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{E}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='C',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4052', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4052'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='Y0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='X3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='X2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='Y2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='Y',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='Y3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='Y1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{E}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='A1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4053', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4053'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='VDD',func=Pin.types.PWRIN),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN),
            Pin(num='1',name='Y1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='Y',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='Y0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='Z0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='Z',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='Z0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{E}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='C',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4060', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4060'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'binary counter oscillator', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/m74hc4060.pdf', 'pins':[
            Pin(num='1',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Î¦0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{Î¦1}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CLR',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q14',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~{Î¦0}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4068', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4068'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'cmos nand and 8-input', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4068b.pdf', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='K',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='F',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='H',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='J',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='E',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4069', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4069'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '7', '2', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '7', '4', '14']},{'label': 'uC', 'num': 3, 'pin_nums': ['5', '7', '6', '14']},{'label': 'uD', 'num': 4, 'pin_nums': ['8', '7', '9', '14']},{'label': 'uE', 'num': 5, 'pin_nums': ['10', '7', '11', '14']},{'label': 'uF', 'num': 6, 'pin_nums': ['12', '13', '14', '7']}] }),
        Part(**{ 'name':'4070', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4070'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '7', '14', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '7', '4', '14', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '9', '14', '10', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '7', '14', '13', '11']}] }),
        Part(**{ 'name':'4071', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4071'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '14', '1', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '7', '14', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '7', '9', '14', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '13', '7', '14', '12']}] }),
        Part(**{ 'name':'4072', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4072'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '1', '3', '4', '7', '2', '12']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '14', '10', '9', '11', '7', '12']}] }),
        Part(**{ 'name':'4073', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4073'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '9', '2', '7', '8', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '7', '6', '3', '14', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '12', '7', '14', '13', '11']}] }),
        Part(**{ 'name':'4075', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4075'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '8', '14', '2', '9', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '3', '6', '14', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['13', '7', '12', '11', '14', '10']}] }),
        Part(**{ 'name':'4077', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4077'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '2', '1', '7', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '6', '5', '7', '14']},{'label': 'uC', 'num': 3, 'pin_nums': ['14', '10', '8', '9', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '11', '13', '7', '14']}] }),
        Part(**{ 'name':'4078', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4078'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4081', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4081'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '7', '1', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '7', '6', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '8', '14', '7', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '14', '7', '11', '13']}] }),
        Part(**{ 'name':'4082', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4082'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '4', '2', '3', '5', '14', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '10', '13', '11', '9', '14', '12']}] }),
        Part(**{ 'name':'4093', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4093'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '14', '1', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '6', '14', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '14', '9', '10', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '11', '13', '12', '14']}] }),
        Part(**{ 'name':'4095', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4095'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='10',name='K2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='K1',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='J1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='J2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='J3',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='K3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4096', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4096'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='10',name='K2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='K1',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='J1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='J2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{J3}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~{K3}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4099', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4099'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='WR',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Q0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4104', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4104'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='Vddo',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vddi',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4160', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4160'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4161', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4161'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4162', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4162'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4163', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4163'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4174', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4174'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~{R}',func=Pin.types.INPUT),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='9',name='Ck',func=Pin.types.INPUT),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4175', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4175'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='~{R}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Ck',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4502', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4502'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='A4',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{Y5}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~{V1}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='A5',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~{Y6}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='A6',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~{Y3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{Y1}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{Y2}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~{Y4}',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4504', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4504'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'cmos, level converter', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4504b.pdf', 'pins':[
            Pin(num='1',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4507', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4507'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '14', '3', '1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['7', '14', '5', '6', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '14', '9', '10', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '11', '14', '12', '13']}] }),
        Part(**{ 'name':'4508', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4508'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='12',name='Vss',func=Pin.types.PWRIN),
            Pin(num='24',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='D3',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='ST',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='D0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='D1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='D2',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='MR',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='ST',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='D0',func=Pin.types.INPUT,unit=2),
            Pin(num='17',name='Q0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='18',name='D1',func=Pin.types.INPUT,unit=2),
            Pin(num='19',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='20',name='D2',func=Pin.types.INPUT,unit=2),
            Pin(num='21',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='22',name='D3',func=Pin.types.INPUT,unit=2),
            Pin(num='23',name='Q3',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '6', '11', '1', '10', '4', '7', '9', '12', '2', '24', '5', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['15', '19', '21', '17', '13', '23', '12', '16', '14', '18', '20', '22', '24']}] }),
        Part(**{ 'name':'4510', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4510'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='PE',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='U/D',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='A4',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{Cin}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Cout}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='RST',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4511', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4511'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='DB',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Qd',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Qc',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Qb',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Qa',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Qg',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Qf',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DC',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~{LT}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{BI}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{EL}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='DD',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DA',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Qe',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4512', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4512'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='I0',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~{E}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='S0',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S2',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='I1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='I2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='I3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='I4',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I5',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='I6',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='I7',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4514', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4514'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='EL',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q15',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Q14',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q1',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4515', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4515'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='EL',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q15',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Q14',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='Q1',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4518', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4518'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='CP0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='CP1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CP1',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Q0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='14',name='Q3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='MR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='CP0',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '6', '4', '16', '2', '8', '5', '7', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '12', '14', '9', '16', '8', '13', '15', '11']}] }),
        Part(**{ 'name':'4520', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4520'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='CP0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='CP1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CP1',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Q0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='14',name='Q3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='MR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='CP0',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '5', '3', '1', '7', '6', '16', '8', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '13', '15', '11', '16', '8', '14', '10', '12']}] }),
        Part(**{ 'name':'4529', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4529'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='STX',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='W',func=Pin.types.TRISTATE,unit=1),
            Pin(num='11',name='Y3',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Y2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='Y1',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Y0',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='STY',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='X3',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Z',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4530', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4530'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Y',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Y',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['6', '4', '2', '16', '8', '5', '1', '7', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '14', '10', '12', '16', '8', '13', '11', '15']}] }),
        Part(**{ 'name':'4538', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4538'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='CX',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Rx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='B',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='Rx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='CX',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=2),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '6', '5', '7', '4', '1', '2', '8', '16']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '12', '14', '15', '10', '16', '8', '9', '11']}] }),
        Part(**{ 'name':'4539', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4539'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='S0',func=Pin.types.INPUT),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='2',name='S1',func=Pin.types.INPUT),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='I3',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='I2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='I1',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I0',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='I0',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='I1',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='I2',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='I3',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '14', '2', '5', '3', '8', '4', '6', '16', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '14', '9', '2', '15', '10', '8', '13', '11', '16']}] }),
        Part(**{ 'name':'4543', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4543'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='LD',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Qb',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Qc',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Qd',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Qe',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Qg',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Qf',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DC',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='DB',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DD',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='DA',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='PH',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='BI',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Qa',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4555', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4555'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='A1',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='A0',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q3',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '6', '16', '5', '4', '2', '8', '7', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '16', '15', '14', '13', '12', '8', '11', '9']}] }),
        Part(**{ 'name':'4556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4556'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{Q0}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~{Q1}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~{Q2}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='~{Q2}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='~{Q1}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='~{Q0}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='A1',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='A0',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q3}',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '7', '8', '5', '3', '1', '6', '16', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['8', '15', '11', '13', '10', '16', '9', '12', '14']}] }),
        Part(**{ 'name':'4585', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4585'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='16',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='8',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='B2',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='B0',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Qa<b',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Qa>b',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='B3',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Qa=b',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Ia>b',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Ia<b',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Ia=b',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='B1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40160', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40160'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40161', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40161'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40162', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40162'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40163', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40163'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='MR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CET',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='TC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CEP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PE',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'40244', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40244'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='10',name='Vss',func=Pin.types.PWRIN),
            Pin(num='20',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='1',name='~{EN}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='17',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='19',name='~{EN}',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['6', '1', '10', '20', '16', '12', '8', '2', '4', '18', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '9', '5', '11', '17', '10', '20', '3', '15', '7', '19']}] }),
        Part(**{ 'name':'4066', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4066'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='I/O',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='ON',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='O/I',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='O/I',func=Pin.types.PASSIVE,unit=2),
            Pin(num='4',name='I/O',func=Pin.types.PASSIVE,unit=2),
            Pin(num='5',name='ON',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='ON',func=Pin.types.INPUT,unit=3),
            Pin(num='8',name='I/O',func=Pin.types.PASSIVE,unit=3),
            Pin(num='9',name='O/I',func=Pin.types.PASSIVE,unit=3),
            Pin(num='10',name='O/I',func=Pin.types.PASSIVE,unit=4),
            Pin(num='11',name='I/O',func=Pin.types.PASSIVE,unit=4),
            Pin(num='12',name='ON',func=Pin.types.INPUT,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '1', '2', '7', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '5', '7', '14', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '9', '14', '7', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '14', '11', '7', '10']}] }),
        Part(**{ 'name':'4528', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4528'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='CX',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Rx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='B',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='Rx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='CX',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=2),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['4', '16', '2', '7', '6', '1', '8', '3', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['15', '8', '11', '13', '10', '12', '14', '16', '9']}] }),
        Part(**{ 'name':'4584', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4584'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='14',name='Vdd',func=Pin.types.PWRIN),
            Pin(num='7',name='Vss',func=Pin.types.PWRIN),
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=6)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '14', '7', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '14', '7', '3']},{'label': 'uC', 'num': 3, 'pin_nums': ['5', '6', '7', '14']},{'label': 'uD', 'num': 4, 'pin_nums': ['8', '14', '7', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7', '10', '11']},{'label': 'uF', 'num': 6, 'pin_nums': ['14', '7', '13', '12']}] })])