from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

_4xxx = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'14529', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'14529'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS MUX MUX4', 'description':'', 'datasheet':'http://www.alldatasheet.com/datasheet-pdf/pdf/97272/HITACHI/HD14529B.html', 'pins':[
            Pin(num='1',name='STX',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='W',func=Pin.types.TRISTATE,unit=1),
            Pin(num='11',name='Y3',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Y2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='Y1',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Y0',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='STY',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='X3',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Z',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4001', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4001'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nor2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4000bms-01bms-02bms-25bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '3', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '9', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '13', '12']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4002', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4002'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nor4', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4000bms-01bms-02bms-25bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['4', '5', '2', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '9', '12', '10', '13']},{'label': 'uC', 'num': 3, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4009', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4009'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS INV BUFFER high sink, VCC and VDD sep. VDD>VI>VCC!', 'description':'', 'datasheet':'http://www.sycelectronica.com.ar/semiconductores/CD4009.pdf', 'pins':[
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=7),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=7),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['9', '10']},{'label': 'uE', 'num': 5, 'pin_nums': ['11', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['14', '15']},{'label': 'uG', 'num': 7, 'pin_nums': ['16', '1', '8']}] }),
        Part(**{ 'name':'4010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4010'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS BUFFER high sink, VCC and VDD sep. VDD>VI>VCC!', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4010b-q1.pdf', 'pins':[
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=7),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=7),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['9', '10']},{'label': 'uE', 'num': 5, 'pin_nums': ['11', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '14']},{'label': 'uG', 'num': 7, 'pin_nums': ['1', '8', '16']}] }),
        Part(**{ 'name':'40106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'40106'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF40106B.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=7),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '3']},{'label': 'uC', 'num': 3, 'pin_nums': ['5', '6']},{'label': 'uD', 'num': 4, 'pin_nums': ['8', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['10', '11']},{'label': 'uF', 'num': 6, 'pin_nums': ['13', '12']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4011', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4011'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nand2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4011bms-12bms-23bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '3', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '9', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['13', '12', '11']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4012', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4012'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nand4', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4011bms-12bms-23bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '2', '4', '5', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '12', '10', '13', '9']},{'label': 'uC', 'num': 3, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4013', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4013'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS DFF', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/MC14013B-D.PDF', 'pins':[
            Pin(num='1',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='C',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='8',name='S',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='D',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '6', '4', '3', '1', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '8', '10', '9', '12', '13']},{'label': 'uC', 'num': 3, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4016', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4016'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS SWITCH', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4016b.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=2),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.PASSIVE,unit=3),
            Pin(num='9',name='~',func=Pin.types.PASSIVE,unit=3),
            Pin(num='10',name='~',func=Pin.types.PASSIVE,unit=4),
            Pin(num='11',name='~',func=Pin.types.PASSIVE,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '5', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '8', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '12', '10']},{'label': 'uE', 'num': 5, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4017', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4017'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CNT CNT10', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4017bms-22bms.pdf', 'pins':[
            Pin(num='1',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Cout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='CKEN',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Q8',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4020', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4020'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS CNT CNT14', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4020bms-24bms-40bms.pdf', 'pins':[
            Pin(num='1',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Q0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4021', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4021'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'shift register SR PISO', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF4021B.pdf', 'pins':[
            Pin(num='1',name='D7',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='DS',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='D4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='D5',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='D6',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='D3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='D1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='D0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4022', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4022'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS CNT CNT8', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4017bms-22bms.pdf', 'pins':[
            Pin(num='1',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Cout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='CKEN',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4023', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4023'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nand3', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4011bms-12bms-23bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=4),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '9', '1', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '5', '6', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '13', '12', '11']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4025', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4025'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Nor3', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4000bms-01bms-02bms-25bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=4),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '8', '2', '9']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '4', '3', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['11', '13', '10', '12']},{'label': 'uD', 'num': 4, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4027', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4027'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS JK JKFF', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4027bms.pdf', 'pins':[
            Pin(num='1',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='K',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='J',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='S',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='J',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='K',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='C',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='S',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '6', '4', '5', '2', '1', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['15', '14', '11', '9', '10', '13', '12']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4028', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4028'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS DECOD DECOD10', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4028bms.pdf', 'pins':[
            Pin(num='1',name='S4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='S1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='S3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='S2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='S0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='S7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='S9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='S5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='S6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='S8',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4029', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4029'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS COUNTER', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4029bms.pdf', 'pins':[
            Pin(num='1',name='PE',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='U/D',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='J2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='J3',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='J4',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='J1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Cin',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Cout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='B/D',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4040', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4040'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS CNT CNT12', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4020bms-24bms-40bms.pdf', 'pins':[
            Pin(num='1',name='Q11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Q0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4046', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4046'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS PLL', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF4046B.pdf', 'pins':[
            Pin(num='1',name='PCP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='SFout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='R1',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='R2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='PC2',func=Pin.types.TRISTATE,unit=1),
            Pin(num='14',name='SigIn',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='ZOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='PC1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='RefIn',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='FOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Inh',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='C1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='C2',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VCOin',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4047', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4047'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS monostable astable multivibrator', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/cd4047b.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='RETRIGGER',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='OSC_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='RC_COMMON',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{ASTABLE}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='ASTABLE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='-TRIGGER',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+TRIGGER',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='EXT_RESET',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4049', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4049'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS BUFFER', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/intersil/documents/cd40/cd4049ubms.pdf', 'pins':[
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=7),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['10', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['11', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['14', '15']},{'label': 'uG', 'num': 7, 'pin_nums': ['1', '8']}] }),
        Part(**{ 'name':'4050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4050'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS BUFFER', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/intersil/documents/cd40/cd4050bms.pdf', 'pins':[
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='7',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='14',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='15',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=7),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '7']},{'label': 'uD', 'num': 4, 'pin_nums': ['9', '10']},{'label': 'uE', 'num': 5, 'pin_nums': ['11', '12']},{'label': 'uF', 'num': 6, 'pin_nums': ['14', '15']},{'label': 'uG', 'num': 7, 'pin_nums': ['1', '8']}] }),
        Part(**{ 'name':'4051', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4051'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS MUX MUX8', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4051bms-52bms-53bms.pdf', 'pins':[
            Pin(num='1',name='X4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='X3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='X2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='X7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='X5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='Inh',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='C',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4052', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4052'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS MUX MUX4', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4051bms-52bms-53bms.pdf', 'pins':[
            Pin(num='1',name='Y0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='X3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='X2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Y2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='Y',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='Y3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='Y1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='Inh',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='B',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4053', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4053'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS MUX MUX2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4051bms-52bms-53bms.pdf', 'pins':[
            Pin(num='1',name='Y1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='A',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='X0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='X1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='X',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='Y',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Y0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='Z1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='Z',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='Z0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='Inh',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='C',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4056', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4056'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS LCD 7-segment decoder driver', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4056b.pdf', 'pins':[
            Pin(num='1',name='STROBE',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='b',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='c',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='d',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='e',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='g',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='f',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='2^2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='2^1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='2^3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='2^0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='FREQ.IN',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VEE',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='a',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4060', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4060'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'binary counter oscillator', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/m74hc4060.pdf', 'pins':[
            Pin(num='1',name='Q12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Î¦0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{Î¦1}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CLR',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='Q9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Q8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Q14',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~{Î¦0}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4069', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4069'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS NOT', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4069ubms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=5),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=5),
            Pin(num='12',name='~',func=Pin.types.OUTPUT,unit=6),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=6),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=7),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['5', '6']},{'label': 'uD', 'num': 4, 'pin_nums': ['8', '9']},{'label': 'uE', 'num': 5, 'pin_nums': ['11', '10']},{'label': 'uF', 'num': 6, 'pin_nums': ['12', '13']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4070', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4070'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS XOR2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4070bms-77bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '10', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '11', '13']},{'label': 'uE', 'num': 5, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4071', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4071'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS OR2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4071bms-72bms-75bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '8', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '12', '13']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4072', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4072'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS OR4', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4071bms-72bms-75bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '4', '3', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '9', '10', '12', '13']},{'label': 'uC', 'num': 3, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4073', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4073'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS And3', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4073bms-81bms-82bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=4),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '2', '9', '8']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '4', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['11', '13', '12', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4075', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4075'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS Or3', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4071bms-72bms-75bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=4),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=4)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['9', '2', '8', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '5', '4', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['11', '12', '13', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4077', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4077'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS XOR XNOR XNOR2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4076bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '6']},{'label': 'uC', 'num': 3, 'pin_nums': ['8', '10', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['13', '12', '11']},{'label': 'uE', 'num': 5, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4081', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4081'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS And2', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd40/cd4073bms-81bms-82bms.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['5', '6', '4']},{'label': 'uC', 'num': 3, 'pin_nums': ['10', '9', '8']},{'label': 'uD', 'num': 4, 'pin_nums': ['12', '11', '13']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'4098', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4098'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS monostable multivibrator', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4098b.pdf', 'pins':[
            Pin(num='1',name='Cx1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Rx1_Cx1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~{Reset1}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='+TR1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-TR1',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q1}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='-TR2',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='+TR2',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='~{Reset2}',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='Rx2_Cx2',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Cx2',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q2}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '6', '7', '5', '4', '1', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '13', '9', '11', '14', '12', '15']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4504', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4504'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Level-shifter', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4504b.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='Dout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Ein',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='Eout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Select',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Fin',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='Fout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Aout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='Ain',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Bout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Bin',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Cout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Cin',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Din',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4510', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4510'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS CNT CNT4', 'description':'', 'datasheet':'http://pdf.datasheetcatalog.com/datasheets/150/109581_DS.pdf', 'pins':[
            Pin(num='1',name='PE',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='U/D',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='A3',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='A4',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CI',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='CO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='RST',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'4518', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4518'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd45/cd4518bms-20bms.pdf', 'pins':[
            Pin(num='1',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Enable',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Enable',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='14',name='Q4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='Reset',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='CK',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '6', '4', '2', '7', '5', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '14', '9', '10', '13', '15', '11']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4520', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4520'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/cd45/cd4518bms-20bms.pdf', 'pins':[
            Pin(num='1',name='CK',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Enable',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='Reset',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Enable',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='Q1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='12',name='Q2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='13',name='Q3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='14',name='Q4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='15',name='Reset',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='CK',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['4', '1', '5', '6', '2', '3', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '13', '15', '11', '12', '14', '9']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4538', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4538'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF4538B.pdf', 'pins':[
            Pin(num='1',name='Cx',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='RxCx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Clk+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Clk-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='Clk-',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='Clk+',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='RxCx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Cx',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['4', '7', '3', '5', '6', '1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['13', '14', '11', '15', '12', '10', '9']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4543', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4543'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'CMOS 7-segment latch decoder driver', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4543b.pdf', 'pins':[
            Pin(num='1',name='~{LE}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Qb',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Qc',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='Qd',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Qe',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='Qg',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Qf',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='D2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='D1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='D3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='PH',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='BL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='Qa',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CD4033B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CD4033B'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-16_W7.62mm'], 'footprint':'Package_DIP:DIP-16_W7.62mm', 'keywords':'schmitt triggered', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/cd4033b.pdf', 'pins':[
            Pin(num='1',name='CLOCK',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='a',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='e',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='b',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='c',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='LAMP_TEST',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='RESET',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CLOCK_INHIBIT',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='RIPPLE_BLANKING_IN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='RIPPLE_BLANKING_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='CARRY_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='f',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='g',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='V_{SS}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='d',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HEF4093B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HEF4093B'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'NAND2', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF4093B.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='10',name='~',func=Pin.types.OUTPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='9',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='11',name='~',func=Pin.types.OUTPUT,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VCC',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '2', '1']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '6', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['9', '8', '10']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '13', '12']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '7']}] }),
        Part(**{ 'name':'HEF4094B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HEF4094B'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'shift-store store logic shift-and-store 8-stage', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/HEF4094B.pdf', 'pins':[
            Pin(num='10',name='QS2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='QP7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='QP6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='QP5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='QP4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='OE',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='QP1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='QP2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='QP3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='V_{SS}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='QS1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='1',name='STR',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='D',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CP',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='QP0',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'14528', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'14528'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/MC14528B-D.PDF', 'pins':[
            Pin(num='1',name='Cx',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='RxCx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Clk+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Clk-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='Clk-',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='Clk+',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='RxCx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Cx',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '4', '6', '7', '5', '3', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '14', '12', '10', '13', '15', '11']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'14538', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'14538'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/MC14538B-D.PDF', 'pins':[
            Pin(num='1',name='Cx',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='RxCx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Clk+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Clk-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='Clk-',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='Clk+',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='RxCx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Cx',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['3', '4', '1', '2', '7', '6', '5']},{'label': 'uB', 'num': 2, 'pin_nums': ['11', '15', '9', '12', '13', '10', '14']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] }),
        Part(**{ 'name':'4066', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4066'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'CMOS SWITCH', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/cd4066b.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='~',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=2),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=2),
            Pin(num='5',name='~',func=Pin.types.INPUT,unit=2),
            Pin(num='6',name='~',func=Pin.types.INPUT,unit=3),
            Pin(num='8',name='~',func=Pin.types.PASSIVE,unit=3),
            Pin(num='9',name='~',func=Pin.types.PASSIVE,unit=3),
            Pin(num='10',name='~',func=Pin.types.PASSIVE,unit=4),
            Pin(num='11',name='~',func=Pin.types.PASSIVE,unit=4),
            Pin(num='12',name='~',func=Pin.types.INPUT,unit=4),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '1', '2']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '4', '5']},{'label': 'uC', 'num': 3, 'pin_nums': ['6', '8', '9']},{'label': 'uD', 'num': 4, 'pin_nums': ['11', '10', '12']},{'label': 'uE', 'num': 5, 'pin_nums': ['7', '14']}] }),
        Part(**{ 'name':'4528', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'4528'}), 'ref_prefix':'U', 'fplist':['', '', '', ''], 'footprint':'', 'keywords':'CMOS', 'description':'', 'datasheet':'http://datasheet.octopart.com/CD4528BCN-Fairchild-datasheet-143503.pdf', 'pins':[
            Pin(num='1',name='Cx',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='RxCx',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Clk+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Clk-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='~{Q}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='Q',func=Pin.types.OUTPUT,unit=2),
            Pin(num='11',name='Clk-',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='Clk+',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='RxCx',func=Pin.types.INPUT,unit=2),
            Pin(num='15',name='Cx',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='~{Q}',func=Pin.types.OUTPUT,unit=2),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=3),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=3)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['5', '2', '3', '6', '7', '1', '4']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '14', '11', '12', '13', '15', '9']},{'label': 'uC', 'num': 3, 'pin_nums': ['16', '8']}] })])