from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Amplifier_Current = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AD8202', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8202'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear buffered monitor preamp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8202.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8203', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8203'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear buffered monitor preamp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8203.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8210', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8210'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'highside HS current sense amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8210.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vref2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='Vref1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8211', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8211'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8211.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8212', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8212'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'highside HS current sense shunt monitor amplifier linear', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8212.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='COM',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='BIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='Iout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='ALPHA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='Vsns',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8213', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8213'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'highside HS current sense amplifier linear buffered dual monitor', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8213.pdf', 'pins':[
            Pin(num='10',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='CF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=2),
            Pin(num='2',name='+IN',func=Pin.types.INPUT,unit=2),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=2),
            Pin(num='5',name='CF',func=Pin.types.PASSIVE,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '9', '10', '8', '6', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['4', '5', '1', '2']}] }),
        Part(**{ 'name':'AD8215', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8215'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'highside HS current sense amplifier linear buffered monitor', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8215.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8217', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8217'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'highside HS current sense amplifier linear buffered monitor', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8217.pdf', 'pins':[
            Pin(num='1',name='+IN',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='-IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8218xCP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8218xCP'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-8-1EP_3x2mm_P0.5mm_EP1.6x1.65mm'], 'footprint':'Package_CSP:LFCSP-8-1EP_3x2mm_P0.5mm_EP1.6x1.65mm', 'keywords':'highside HS current sense amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8218.pdf', 'pins':[
            Pin(num='1',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8218xRM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8218xRM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'highside HS current sense amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8218.pdf', 'pins':[
            Pin(num='1',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='-IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8219', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8219'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'highside HS current sense amplifier linear buffered monitor', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8219.pdf', 'pins':[
            Pin(num='1',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='-IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8417', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8417'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8417.pdf', 'pins':[
            Pin(num='1',name='IN-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='IN+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ500100DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ500100DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq500100.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA138', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA138'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina138.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180A1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180A1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180B1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180B1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA181', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA181'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina181.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA193', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA193'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA196', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA196'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA199xxDCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA199xxDCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina199.pdf', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA200D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA200D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA225', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA225'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'keywords':'voltage-output current-sense amplifier shunt', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina225-q1.pdf', 'pins':[
            Pin(num='1',name='IN+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='GS0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='GS1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='IN-',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A1D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A1D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A1PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A1PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_4.4x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA253', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA253'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'shunt current amplifier bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina253.pdf', 'pins':[
            Pin(num='1',name='IS-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='13',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='DNC2',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='15',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='IN+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='SH+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='IS+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='IS+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='IS-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='IS+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='IS-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='SH-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='IN-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='DNC1',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='VS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA282', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA282'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina282.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMP8640', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMP8640'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmp8640.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LT6106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LT6106'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6106fb.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102xDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102xDD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='V-',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102xDD-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102xDD-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='V-',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102xMS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102xMS8'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102xMS8-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102xMS8-1'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='EN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4080F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4080F'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4081F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4081F'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='REF1B',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1A',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX471', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX471'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://pdfserv.maximintegrated.com/en/ds/MAX471-MAX472.pdf', 'pins':[
            Pin(num='1',name='SHDN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SIGN',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='RS-',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='RS-',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX472', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX472'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://pdfserv.maximintegrated.com/en/ds/MAX471-MAX472.pdf', 'pins':[
            Pin(num='1',name='SHDN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='SENSE+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SIGN',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='SENSE-',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCS210', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCS210'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1009F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1009F'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1009.pdf', 'pins':[
            Pin(num='1',name='Vs-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Iout',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1009T8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1009T8'}), 'ref_prefix':'U', 'fplist':['Package_SO:Zetex_SM8'], 'footprint':'Package_SO:Zetex_SM8', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1009.pdf', 'pins':[
            Pin(num='1',name='Vs-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Iout',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1010'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1010.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Vs-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1107', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1107'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1107_10.pdf', 'pins':[
            Pin(num='1',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs-',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1109', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1109'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1107_10.pdf', 'pins':[
            Pin(num='1',name='Vs-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ZXCT1110', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ZXCT1110'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'High side current monitor shunt', 'description':'', 'datasheet':'https://www.diodes.com/assets/Datasheets/ZXCT1107_10.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='Vs+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Vs-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8205', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8205'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'highside HS difference amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8205.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vref2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='Vref1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8206', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8206'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'highside HS current sense amplifier linear buffered', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8206.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vref2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='Vref1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8208', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8208'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear buffered monitor preamp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8208.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8209', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8209'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear buffered monitor preamp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8209.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8216', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8216'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'HS difference amplifier linear', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8216.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vref2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='Vref1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8418', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8418'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'highside HS current sense amplifier linear', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD8418.pdf', 'pins':[
            Pin(num='1',name='IN-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='IN+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA139', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA139'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina169.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA168', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA168'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina138.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA169', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA169'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina169.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180A2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180A2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180A3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180A3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180A4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180A4'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180B2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180B2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180B3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180B3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA180B4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA180B4'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current monitor shunt sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina180.pdf', 'pins':[
            Pin(num='1',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA185', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA185'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-563'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina185.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA194', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA194'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA195', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA195'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA197', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA197'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA198', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA198'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'current sense shunt monitor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina193.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA200DGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA200DGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA201D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA201D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA201DGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA201DGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA202D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA202D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA202DGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA202DGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current-sense amplifier fixed-gain high-side low-side', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina201.pdf', 'pins':[
            Pin(num='1',name='V_{s}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CMP_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CMP_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='V_{IN-}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{IN+}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A2D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A2D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A2PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A2PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A3D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A3D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A3PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A3PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A4D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A4D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA240A4PW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA240A4PW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'Package_SO:TSSOP-8_4.4x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_4.4x3mm_P0.65mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina240.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='+',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A1xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A1xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A1xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A1xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A1xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A1xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A2xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A2xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A2xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A2xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A2xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A2xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A3xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A3xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A3xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A3xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A3xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A3xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A4xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A4xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A4xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A4xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A4xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A4xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A5xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A5xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A5xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A5xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241A5xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241A5xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B1xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B1xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B1xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B1xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B1xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B1xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B2xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B2xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B2xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B2xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B2xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B2xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B3xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B3xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B3xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B3xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B3xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B3xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B4xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B4xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B4xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B4xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B4xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B4xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B5xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B5xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B5xDDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B5xDDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA241B5xDGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA241B5xDGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_TO_SOT_SMD:SOT-23-8', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'current monitor shunt sensor bidirectional high low', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina241b.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA281A1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA281A1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered texas', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina281.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA283', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA283'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina282.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA284', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA284'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina282.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA285', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA285'}), 'ref_prefix':'U', 'fplist':['', '', '', ''], 'footprint':'', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina282.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA286', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA286'}), 'ref_prefix':'U', 'fplist':['', '', '', '', ''], 'footprint':'', 'keywords':'current monitor shunt sensor bidirectional', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ina282.pdf', 'pins':[
            Pin(num='1',name='-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='REF2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='V+',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102HVxDD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102HVxDD'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm', 'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x3mm_P0.5mm_EP1.66x2.38mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='V-',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6102HVxMS8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6102HVxMS8'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6102fe.pdf', 'pins':[
            Pin(num='1',name='-INS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='-INF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='VREG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4080S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4080S'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4080T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4080T'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4081S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4081S'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='REF1B',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1A',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX4081T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX4081T'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'current sense amplifier', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX4080-MAX4081.pdf', 'pins':[
            Pin(num='1',name='RS+',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='REF1B',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='REF1A',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RS-',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCS211', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCS211'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCS213', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCS213'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCS214', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCS214'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCV210', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCV210'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCV211', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCV211'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCV213', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCV213'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NCV214', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NCV214'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'Current shunt monitor', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/NCS210R-D.PDF', 'pins':[
            Pin(num='1',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='+IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA281A2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA281A2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered texas', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina281.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA281A3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA281A3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered texas', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina281.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA281A4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA281A4'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered texas', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina281.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'INA281A5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'INA281A5'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'highside HS current sense amplifier linear buffered texas', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/ina281.pdf', 'pins':[
            Pin(num='1',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Vin+',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Vin-',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] })])