from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Analog = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AD5593R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5593R'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-16_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-16_4.4x5mm_P0.65mm', 'keywords':'8channel 12bit ADC DAC GPIO I2C Temperature', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5593R.pdf', 'pins':[
            Pin(num='1',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='IO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='IO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='IO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='IO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='IO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='IO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='IO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='IO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='V_{REF}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='V_{LOGIC}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD630ARZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD630ARZ'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-20W_7.5x12.8mm_P1.27mm'], 'footprint':'Package_SO:SOIC-20W_7.5x12.8mm_P1.27mm', 'keywords':'modulator demodulator', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ad630.pdf', 'pins':[
            Pin(num='1',name='R_{in}A',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='SEL_A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='COMP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='R_{B}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='R_{F}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='R_{A}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='R_{in}B',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='CHB+',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='CHB-',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='CHA+',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='CHA-',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='DIFF_OFF_ADJ1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIFF_OFF_ADJ2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='CM_OFF_ADJ1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='CM_OFF_ADJ2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='B/~{A}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='SEL_B',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD637xQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD637xQ'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'rms-to-dc', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD637.pdf', 'pins':[
            Pin(num='1',name='BUFF_IN',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='NIC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='13',name='V_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='BUFF_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='NIC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='COM',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUTPUT_OFFSET',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CS',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='DEN_INPUT',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='dB_OUTPUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='C_{AV}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='RMS_OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD637xRZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD637xRZ'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'rms-to-dc', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD637.pdf', 'pins':[
            Pin(num='1',name='BUFF_IN',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='C_{AV}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='RMS_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='NIC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='15',name='V_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='BUFF_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='NIC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='COM',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OUTPUT_OFFSET',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CS',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='DEN_INPUT',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='dB_OUTPUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='NIC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='NIC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD654JN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD654JN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'v-to-f v-f', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD654.pdf', 'pins':[
            Pin(num='1',name='F_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='COM',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='R_{T}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='+V_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='C_{T}1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='C_{T}2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+V_{S}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD654JR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD654JR'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'v-to-f v-f', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD654.pdf', 'pins':[
            Pin(num='1',name='F_{OUT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='COM',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='R_{T}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='+V_{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='C_{T}1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='C_{T}2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='+V_{S}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LF398H', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LF398H'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-99-8'], 'footprint':'Package_TO_SOT_THT:TO-99-8', 'keywords':'sample hold buffer unity gain', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lf398-n.pdf', 'pins':[
            Pin(num='1',name='V^{+}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='Adj',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='I',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V^{-}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='C_{h}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='T',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='Hold',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LF398_DIP8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LF398_DIP8'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'sample hold buffer unity gain', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lf398-n.pdf', 'pins':[
            Pin(num='1',name='V^{+}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='Adj',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='I',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V^{-}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='C_{h}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='T',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='Hold',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LF398_SOIC14', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LF398_SOIC14'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-14_3.9x8.7mm_P1.27mm'], 'footprint':'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'keywords':'sample hold buffer unity gain', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lf398-n.pdf', 'pins':[
            Pin(num='1',name='I',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='T',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='Hold',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='V^{+}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='14',name='Adj',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='V^{-}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='C_{h}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1966', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1966'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'rms-to-dc converter', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/1966fb.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='2',name='IN1',func=Pin.types.INPUT),
            Pin(num='3',name='IN2',func=Pin.types.INPUT),
            Pin(num='6',name='OUT_RTN',func=Pin.types.INPUT),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='~{ENABLE}',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1967', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1967'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'rms-to-dc converter', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/1967f.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='2',name='IN1',func=Pin.types.INPUT),
            Pin(num='3',name='IN2',func=Pin.types.INPUT),
            Pin(num='6',name='OUT_RTN',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V^{+}',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='~{ENABLE}',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MLX90314xDF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MLX90314xDF'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'sensor signal conditioning', 'description':'', 'datasheet':'https://media.digikey.com/pdf/Data%20Sheets/Melexis%20PDFs/MLX90314_Rev008.pdf', 'pins':[
            Pin(num='1',name='IO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='FET',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='V_{DD1}',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VMO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='CMO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='CMN',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='COMS',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='TSTB',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='FLT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='OFC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='VBN',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VBP',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='TMP',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MLX90320xFR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MLX90320xFR'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-14_5.3x6.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-14_5.3x6.2mm_P0.65mm', 'keywords':'sensor signal conditioning', 'description':'', 'datasheet':'https://www.mouser.com/datasheet/2/734/MLX90320-Datasheet-Melexis-953341.pdf', 'pins':[
            Pin(num='1',name='INM',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='TESTIN2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='FLT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='OUT',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='TEST2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='ANAGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='INP',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SUB',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TMP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='DIGGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='TEST1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='TESTOUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='TESTIN1',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MPY634KP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MPY634KP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'analog multiplier', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/mpy634.pdf', 'pins':[
            Pin(num='1',name='X_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='Z_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='Z_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='V_{O}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='14',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='SF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='Y_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Y_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MPY634KU', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MPY634KU'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'analog multiplier', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/mpy634.pdf', 'pins':[
            Pin(num='1',name='X_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='-V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='12',name='Z_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='Z_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='V_{O}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='16',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='SF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='Y_{1}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Y_{2}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA112', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA112'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-10_3x3mm_P0.5mm', 'keywords':'PGA SPI', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/sbos424c/sbos424c.pdf', 'pins':[
            Pin(num='1',name='AV_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='DV_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CH1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CH0/V_{CAL}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V_{REF}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='DIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LF398_SOIC8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LF398_SOIC8'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'sample hold buffer unity gain', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/lt0398s8.pdf', 'pins':[
            Pin(num='1',name='V^{+}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='Adj',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='I',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V^{-}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='C_{h}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='T',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='Hold',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1968', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1968'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'rms-to-dc converter', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/1968f.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='2',name='IN1',func=Pin.types.INPUT),
            Pin(num='3',name='IN2',func=Pin.types.INPUT),
            Pin(num='6',name='OUT_RTN',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='V^{+}',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='~{ENABLE}',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PGA113', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PGA113'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-10_3x3mm_P0.5mm', 'Package_SO:TSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-10_3x3mm_P0.5mm', 'keywords':'PGA SPI', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/sbos424c/sbos424c.pdf', 'pins':[
            Pin(num='1',name='AV_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='DV_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CH1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CH0/V_{CAL}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V_{REF}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='DIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] })])