from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

CPLD_Xilinx = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'XC7336', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC7336'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='I/FO/FI/MR_3_6',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='I/FO_1_4',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='I/FO_1_5',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='I/FO_1_6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='I/FO_1_7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='I/FO_1_8',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='I/FO_1_9',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='I/FO_4_9',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='I/FO/FI_4_8',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='I/FO/FI_4_7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='I/FO/FI_3_5',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='I/FO/FI_4_6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='I/FO_4_5',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='I/FO_4_4',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='I/FO_4_3',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='I/FO_4_2',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='I/FO_4_1',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='I/FI_A',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='I/FO_2_9',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='I/FO/FI_3_4',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='I/FO_2_8',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='I/FO_2_7',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='I/FO_2_6',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='I/FO_2_5',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='I/FO_2_4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='I/FO_2_3',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='I/FO_2_2',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='FO/FOE1_2_1',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='I/FO/FI_3_3',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='FO/FOE0_3_9',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='I/FI_B',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='I/FO/FI_3_8',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='I/FO/FI_3_7',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='FO/FCLK0_3_2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='FO/FCLK1_3_1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='I/FO/FI_1_1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='I/FO_1_2',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='I/FO_1_3',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC95108PC84', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC95108PC84'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'xilinx/xc95108.pdf', 'pins':[
            Pin(num='1',name='P1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P2',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P21',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='P23',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P24',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P25',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P26',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='28',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='P3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='P31',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P33',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P37',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P40',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P44',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P45',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P46',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P47',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P48',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='P5',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='P50',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='P51',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='P53',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='P55',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='P57',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='P6',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='P62',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='P65',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='P67',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='P69',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P7',func=Pin.types.BIDIR,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='P71',func=Pin.types.BIDIR,unit=1),
            Pin(num='72',name='P72',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='74',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='P75',func=Pin.types.BIDIR,unit=1),
            Pin(num='76',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='78',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='80',name='P80',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='P83',func=Pin.types.BIDIR,unit=1),
            Pin(num='84',name='P84',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC95108PQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC95108PQ100'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'xilinx/xc95108.pdf', 'pins':[
            Pin(num='1',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P16',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P21',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P22',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P26',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P27',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P30',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P31',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P37',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P38',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P42',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P44',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P45',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='47',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='P48',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='51',name='P51',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='P55',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='P57',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='P62',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='P65',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='P67',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='P69',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='72',name='P72',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='P73',func=Pin.types.BIDIR,unit=1),
            Pin(num='74',name='P74',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='P75',func=Pin.types.BIDIR,unit=1),
            Pin(num='76',name='P76',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='78',name='P78',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P8',func=Pin.types.BIDIR,unit=1),
            Pin(num='80',name='P80',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='P83',func=Pin.types.BIDIR,unit=1),
            Pin(num='84',name='P84',func=Pin.types.BIDIR,unit=1),
            Pin(num='85',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='P87',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='P88',func=Pin.types.BIDIR,unit=1),
            Pin(num='89',name='P89',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='91',name='P91',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='P92',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='P93',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='P94',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='P95',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='P96',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='P97',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='P98',func=Pin.types.BIDIR,unit=1),
            Pin(num='99',name='P99',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC95144PQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC95144PQ100'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='1',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P16',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P21',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P22',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P26',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P27',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='I/O/GTS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P30',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P31',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P37',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P38',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='I/O/GTS4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P42',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P44',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P45',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='47',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='P48',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='51',name='P51',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='P55',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='P57',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='P62',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='P65',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='P67',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='P69',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='72',name='P72',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='P73',func=Pin.types.BIDIR,unit=1),
            Pin(num='74',name='P74',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='P75',func=Pin.types.BIDIR,unit=1),
            Pin(num='76',name='P76',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='78',name='P78',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P8',func=Pin.types.BIDIR,unit=1),
            Pin(num='80',name='P80',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='P83',func=Pin.types.BIDIR,unit=1),
            Pin(num='84',name='P84',func=Pin.types.BIDIR,unit=1),
            Pin(num='85',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='P87',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='P88',func=Pin.types.BIDIR,unit=1),
            Pin(num='89',name='P89',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='91',name='P91',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='P92',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='P93',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='P94',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='P95',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='P96',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='P97',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='P98',func=Pin.types.BIDIR,unit=1),
            Pin(num='99',name='P99',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC95144XL-TQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC95144XL-TQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds056.pdf', 'pins':[
            Pin(num='1',name='I/O/GTS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P16',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='I/O/GTS4',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P24',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P25',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P28',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P29',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P30',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P33',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P37',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P40',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P42',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='P46',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='49',name='P49',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='50',name='P50',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='P53',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='P55',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='P59',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P6',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='P64',func=Pin.types.BIDIR,unit=1),
            Pin(num='65',name='P65',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='P67',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='P7',func=Pin.types.BIDIR,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='P71',func=Pin.types.BIDIR,unit=1),
            Pin(num='72',name='P72',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='P73',func=Pin.types.BIDIR,unit=1),
            Pin(num='74',name='P74',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='76',name='P76',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='P77',func=Pin.types.BIDIR,unit=1),
            Pin(num='78',name='P78',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P8',func=Pin.types.BIDIR,unit=1),
            Pin(num='80',name='P80',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='84',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='85',name='P85',func=Pin.types.BIDIR,unit=1),
            Pin(num='86',name='P86',func=Pin.types.BIDIR,unit=1),
            Pin(num='87',name='P87',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='89',name='P89',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='P90',func=Pin.types.BIDIR,unit=1),
            Pin(num='91',name='P91',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='P92',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='P93',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='P94',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='P95',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='P96',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='P97',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='99',name='I/O/GSR',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC95144XL-TQ144', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC95144XL-TQ144'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-144_20x20mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-144_20x20mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds056.pdf', 'pins':[
            Pin(num='1',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='P100',func=Pin.types.BIDIR,unit=1),
            Pin(num='101',name='P101',func=Pin.types.BIDIR,unit=1),
            Pin(num='102',name='P102',func=Pin.types.BIDIR,unit=1),
            Pin(num='103',name='P103',func=Pin.types.BIDIR,unit=1),
            Pin(num='104',name='P104',func=Pin.types.BIDIR,unit=1),
            Pin(num='105',name='P105',func=Pin.types.BIDIR,unit=1),
            Pin(num='106',name='P106',func=Pin.types.BIDIR,unit=1),
            Pin(num='107',name='P107',func=Pin.types.BIDIR,unit=1),
            Pin(num='108',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='109',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='110',name='P110',func=Pin.types.BIDIR,unit=1),
            Pin(num='111',name='P111',func=Pin.types.BIDIR,unit=1),
            Pin(num='112',name='P112',func=Pin.types.BIDIR,unit=1),
            Pin(num='113',name='P113',func=Pin.types.BIDIR,unit=1),
            Pin(num='114',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='115',name='P115',func=Pin.types.BIDIR,unit=1),
            Pin(num='116',name='P116',func=Pin.types.BIDIR,unit=1),
            Pin(num='117',name='P117',func=Pin.types.BIDIR,unit=1),
            Pin(num='118',name='P118',func=Pin.types.BIDIR,unit=1),
            Pin(num='119',name='P119',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='120',name='P120',func=Pin.types.BIDIR,unit=1),
            Pin(num='121',name='P121',func=Pin.types.BIDIR,unit=1),
            Pin(num='122',name='TDO',func=Pin.types.BIDIR,unit=1),
            Pin(num='123',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='124',name='P124',func=Pin.types.BIDIR,unit=1),
            Pin(num='125',name='P125',func=Pin.types.BIDIR,unit=1),
            Pin(num='126',name='P126',func=Pin.types.BIDIR,unit=1),
            Pin(num='127',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='128',name='P128',func=Pin.types.BIDIR,unit=1),
            Pin(num='129',name='P129',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='130',name='P130',func=Pin.types.BIDIR,unit=1),
            Pin(num='131',name='P131',func=Pin.types.BIDIR,unit=1),
            Pin(num='132',name='P132',func=Pin.types.BIDIR,unit=1),
            Pin(num='133',name='P133',func=Pin.types.BIDIR,unit=1),
            Pin(num='134',name='P134',func=Pin.types.BIDIR,unit=1),
            Pin(num='135',name='P135',func=Pin.types.BIDIR,unit=1),
            Pin(num='136',name='P136',func=Pin.types.BIDIR,unit=1),
            Pin(num='137',name='P137',func=Pin.types.BIDIR,unit=1),
            Pin(num='138',name='P138',func=Pin.types.BIDIR,unit=1),
            Pin(num='139',name='P139',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='140',name='P140',func=Pin.types.BIDIR,unit=1),
            Pin(num='141',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='142',name='P142',func=Pin.types.BIDIR,unit=1),
            Pin(num='143',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='144',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P16',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='I/O/GTS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P21',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P22',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P23',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P24',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P25',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P26',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P27',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P28',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='I/O/GTS4',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P31',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P33',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P40',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P44',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P45',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P46',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='48',name='P48',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='P49',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='P50',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='P51',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='P53',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='P57',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='P59',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='63',name='TDI',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='P64',func=Pin.types.BIDIR,unit=1),
            Pin(num='65',name='TMS',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='TCK',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='P69',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P7',func=Pin.types.BIDIR,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='P71',func=Pin.types.BIDIR,unit=1),
            Pin(num='72',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='73',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='74',name='P74',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='P75',func=Pin.types.BIDIR,unit=1),
            Pin(num='76',name='P76',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='P77',func=Pin.types.BIDIR,unit=1),
            Pin(num='78',name='P78',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='80',name='P80',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='P83',func=Pin.types.BIDIR,unit=1),
            Pin(num='84',name='VCCINT',func=Pin.types.PWRIN,unit=1),
            Pin(num='85',name='P85',func=Pin.types.BIDIR,unit=1),
            Pin(num='86',name='P86',func=Pin.types.BIDIR,unit=1),
            Pin(num='87',name='P87',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='P88',func=Pin.types.BIDIR,unit=1),
            Pin(num='89',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='91',name='P91',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='P92',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='P93',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='P94',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='P95',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='P96',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='P97',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='P98',func=Pin.types.BIDIR,unit=1),
            Pin(num='99',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC9536PC44', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC9536PC44'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'', 'description':'', 'datasheet':'xilinx/xc9536.pdf', 'pins':[
            Pin(num='1',name='M1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='M9',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='M10',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='M11',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='M12',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='M13',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='M14',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='M1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='M15',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='M16',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='M17',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='M17',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='M16',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='M15',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='M14',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='M13',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='M2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='M12',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='M11',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='M10',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='M9',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='M8',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='M7',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='M4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='M4',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='M2',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='M6',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='M8',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC9572XL-TQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC9572XL-TQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'http://www.xilinx.com/support/documentation/data_sheets/ds057.pdf', 'pins':[
            Pin(num='1',name='I/O/GTS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P16',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P17',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='25',name='P25',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P28',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P29',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P30',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P33',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P37',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P40',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P41',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P42',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='44',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='47',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='49',name='P49',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='50',name='P50',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='P53',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='P54',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='P55',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='P59',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P6',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='P64',func=Pin.types.BIDIR,unit=1),
            Pin(num='65',name='P65',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='P66',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='P67',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='P68',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='70',name='P70',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='P71',func=Pin.types.BIDIR,unit=1),
            Pin(num='72',name='P72',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='74',name='P74',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='76',name='P76',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='P77',func=Pin.types.BIDIR,unit=1),
            Pin(num='78',name='P78',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='P79',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P8',func=Pin.types.BIDIR,unit=1),
            Pin(num='80',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='81',name='P81',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='P82',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='84',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='85',name='P85',func=Pin.types.BIDIR,unit=1),
            Pin(num='86',name='P86',func=Pin.types.BIDIR,unit=1),
            Pin(num='87',name='P87',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='89',name='P89',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='P90',func=Pin.types.BIDIR,unit=1),
            Pin(num='91',name='P91',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='P92',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='P93',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='P94',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='P95',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='P96',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='P97',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='99',name='I/O/GSR',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XC9572XL-VQ64', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XC9572XL-VQ64'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-64_10x10mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'http://www.xilinx.com/support/documentation/data_sheets/ds057.pdf', 'pins':[
            Pin(num='1',name='P1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P10',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P11',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P12',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P13',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='I/O/GCK1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='I/O/GCK2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='I/O/GCK3',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P18',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P19',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='I/O/GTS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P20',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='P22',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P23',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P24',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P25',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='P27',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='P31',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P32',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P33',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P34',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P35',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P36',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='P38',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P39',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P4',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P40',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='P42',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P43',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P44',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P45',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P46',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P47',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P48',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='P49',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='I/O/GTS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='P50',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='P51',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='P52',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='54',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='55',name='VCCIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='56',name='P56',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='P57',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='P58',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='P59',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P6',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='P60',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='P61',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='P62',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='P63',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='I/O/GSR',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P7',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P8',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P9',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3064XL-VQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3064XL-VQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds017.pdf', 'pins':[
            Pin(num='10',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='B7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='B13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='B15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='D0/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='D5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='D6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='D7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='D8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='D9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='D14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='D15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='B8/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='C15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='44',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='C9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='C8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='C7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='C6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='C5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='C4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='58',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='B9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='C0/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='A15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='67',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='A11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='A9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='A8/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='74',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='75',name='A7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='A6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='A5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='82',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='83',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='88',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='89',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='91',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='92',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='B5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='B6',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3064XL-VQ44', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3064XL-VQ44'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-44_10x10mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-44_10x10mm_P0.8mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds017.pdf', 'pins':[
            Pin(num='1',name='TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='D8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='D9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='C9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='C8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='A9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='A7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='CLC0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='B13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3128XL-VQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3128XL-VQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds016.pdf', 'pins':[
            Pin(num='1',name='E1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='F10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='E2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='F13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='F14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='F15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='H1/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='H2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='H3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='H5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='H6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='H10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='H11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='H12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='H13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='H14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='G13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='G12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='G11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='G10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='G6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='G5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='G4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='G3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='G2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='G1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='F1/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='44',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='D5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='D6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='F2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='50',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='53',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='C6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='58',name='C5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='F3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='C1/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='67',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='A6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='A5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='F4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='70',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='A1/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='74',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='75',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='77',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='78',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='F5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='B5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='B6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='82',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='83',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='88',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='89',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='F6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='91',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='92',name='E14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='E13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='E12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='E6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='E5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='E4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='E3',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3256XL-TQ144', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3256XL-TQ144'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-144_20x20mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-144_20x20mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds013.pdf', 'pins':[
            Pin(num='1',name='I1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='J14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='101',name='A11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='102',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='103',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='104',name='A2/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='105',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='106',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='107',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='108',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='109',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='J15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='110',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='111',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='112',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='113',name='B15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='114',name='D0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='115',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='116',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='117',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='118',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='119',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='L2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='120',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='121',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='122',name='D15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='123',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='124',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='125',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='126',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='127',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='128',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='129',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='130',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='131',name='K15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='132',name='K14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='133',name='K13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='134',name='K12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='135',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='136',name='K11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='137',name='K4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='138',name='K2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='139',name='I15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='L3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='140',name='I14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='141',name='I13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='142',name='I12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='143',name='I4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='144',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='L4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='L11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='L13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='L14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='I0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='N0/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='N2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='N3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='N4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='N11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='N13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='N14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='N15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='P2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='P4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='P11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='P13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='P14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='P15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='O15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='O13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='O12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='J0/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='O4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='O3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='O2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='O1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='O0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='M15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='M13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='M12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='M11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='M4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='J2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='50',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='53',name='M2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='M1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='F1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='F2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='J3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='F4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='F11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='F12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='F13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='F15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='67',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='H2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='H3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='J4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='70',name='H11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='H13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='H15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='74',name='G14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='75',name='G13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='77',name='G11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='78',name='G4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='G3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='J11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='G2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='82',name='E14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='83',name='E13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='E11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='86',name='E4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='87',name='E3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='88',name='E2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='89',name='E0/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='J13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='91',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='92',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='C4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='C0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='A13',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3064-VQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3064-VQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-100_14x14mm_P0.5mm', 'Package_QFP:LQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds017.pdf', 'pins':[
            Pin(num='10',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='B7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='B13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='B15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='D0/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='D5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='D6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='D7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='D8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='D9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='D14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='D15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='B8/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='C15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='44',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='C9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='C8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='C7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='C6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='C5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='C4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='58',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='B9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='C0/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='A15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='67',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='A11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='A9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='A8/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='74',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='75',name='A7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='A6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='A5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='82',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='83',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='88',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='89',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='91',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='92',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='B5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='B6',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3064-VQ44', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3064-VQ44'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-44_10x10mm_P0.8mm', 'Package_QFP:LQFP-44_10x10mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-44_10x10mm_P0.8mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds017.pdf', 'pins':[
            Pin(num='1',name='TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='D8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='D9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='C9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='C8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='A9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='A7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='CLC0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='B13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3128-VQ100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3128-VQ100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-100_14x14mm_P0.5mm', 'Package_QFP:LQFP-100_14x14mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-100_14x14mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds016.pdf', 'pins':[
            Pin(num='1',name='E1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='F10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='E2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='F13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='F14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='F15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='H1/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='H2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='H3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='H5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='H6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='H10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='H11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='H12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='H13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='H14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='G13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='G12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='G11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='G10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='G6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='G5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='G4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='G3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='G2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='G1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='F1/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='D3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='44',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='D5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='D6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='D10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='F2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='50',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='53',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='C12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='C10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='C6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='58',name='C5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='F3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='C1/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='A14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='A13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='67',name='A10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='A6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='A5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='F4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='70',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='A1/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='74',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='75',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='77',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='78',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='F5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='B5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='B6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='82',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='83',name='B10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='86',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='87',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='88',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='89',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='F6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='91',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='92',name='E14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='E13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='E12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='E6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='E5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='E4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='E3',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'XCR3256-TQ144', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'XCR3256-TQ144'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-144_20x20mm_P0.5mm', 'Package_QFP:TQFP-144_20x20mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-144_20x20mm_P0.5mm', 'keywords':'CPLD', 'description':'', 'datasheet':'https://www.xilinx.com/support/documentation/data_sheets/ds013.pdf', 'pins':[
            Pin(num='1',name='I1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='J14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='100',name='A12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='101',name='A11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='102',name='A4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='103',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='104',name='A2/TDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='105',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='106',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='107',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='108',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='109',name='B4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='J15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='110',name='B11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='111',name='B12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='112',name='B14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='113',name='B15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='114',name='D0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='115',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='116',name='D1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='117',name='D2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='118',name='D4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='119',name='D11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='L2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='120',name='D12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='121',name='D13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='122',name='D15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='123',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='124',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='125',name='CLK3/IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='126',name='CLK2/IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='127',name='CLK1/IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='128',name='CLK0/IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='129',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PORT_EN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='130',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='131',name='K15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='132',name='K14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='133',name='K13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='134',name='K12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='135',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='136',name='K11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='137',name='K4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='138',name='K2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='139',name='I15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='L3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='140',name='I14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='141',name='I13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='142',name='I12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='143',name='I4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='144',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='L4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='L11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='L13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='L14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='I0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='N0/TMS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='N2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='N3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='N4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='N11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='N13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='N14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='N15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='P2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='P4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='P11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='P13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='P14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='P15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='O15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='O13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='O12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='J0/TDI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='O4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='O3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='O2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='O1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='O0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='M15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='M13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='M12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='M11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='M4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='J2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='50',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='53',name='M2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='M1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='F1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='F2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='J3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='F4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='F11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='62',name='F12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='F13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='F15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='67',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='68',name='H2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='H3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='J4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='70',name='H11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='71',name='H13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='H15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='74',name='G14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='75',name='G13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='77',name='G11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='78',name='G4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='79',name='G3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='J11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='80',name='G2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='81',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='82',name='E14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='83',name='E13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='84',name='E11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='85',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='86',name='E4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='87',name='E3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='88',name='E2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='89',name='E0/TCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='J13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='90',name='C14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='91',name='C13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='92',name='C11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='93',name='C4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='94',name='C3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='95',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='96',name='C2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='97',name='C1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='98',name='C0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='99',name='A13',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])