from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

CPU_PowerPC = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'MPC8641D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MPC8641D'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'POWERPC', 'description':'', 'datasheet':'', 'pins':[
            Pin(num='A18',name='D2_MVREF',func=Pin.types.OUTPUT,unit=1),
            Pin(num='A2',name='/D2_MDQS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='A3',name='D2_MDQ9',func=Pin.types.BIDIR,unit=1),
            Pin(num='A4',name='D2_MDQ12',func=Pin.types.BIDIR,unit=1),
            Pin(num='A5',name='D2_MDQ7',func=Pin.types.BIDIR,unit=1),
            Pin(num='A6',name='/D2_MDQS0',func=Pin.types.BIDIR,unit=1),
            Pin(num='A7',name='D2_MDQ0',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA1',name='D2_MDQ37',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA2',name='D2_MDQ33',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA4',name='D2_MDQ32',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA5',name='/D2_MCS2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AB1',name='D2_MDM4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AB2',name='/D2_MDQS4',func=Pin.types.BIDIR,unit=1),
            Pin(num='AB3',name='D2_MDQS4',func=Pin.types.BIDIR,unit=1),
            Pin(num='AB5',name='/D2_MCAS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AC1',name='D2_MDQ38',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC3',name='D2_MDQ39',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC4',name='D2_MDQ44',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD1',name='D2_MDQ34',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD2',name='D2_MDQ35',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD4',name='D2_MDQ45',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD5',name='D2_MDQ40',func=Pin.types.BIDIR,unit=1),
            Pin(num='AE1',name='D2_MDQ41',func=Pin.types.BIDIR,unit=1),
            Pin(num='AE2',name='D2_MDM5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AE3',name='/D2_MDQS5',func=Pin.types.BIDIR,unit=1),
            Pin(num='AE5',name='D2_MODT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AE6',name='D2_MODT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AF1',name='D2_MDQS5',func=Pin.types.BIDIR,unit=1),
            Pin(num='AF3',name='D2_MDQ46',func=Pin.types.BIDIR,unit=1),
            Pin(num='AF4',name='D2_MDQ47',func=Pin.types.BIDIR,unit=1),
            Pin(num='AF6',name='/D2_MCS1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AF7',name='/D2_MCS3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AG1',name='D2_MDQ42',func=Pin.types.BIDIR,unit=1),
            Pin(num='AG2',name='D2_MDQ43',func=Pin.types.BIDIR,unit=1),
            Pin(num='AG4',name='D2_MCK5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AG5',name='/D2_MCK5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AG7',name='D2_MODT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AH1',name='D2_MDQ52',func=Pin.types.BIDIR,unit=1),
            Pin(num='AH2',name='D2_MDQ53',func=Pin.types.BIDIR,unit=1),
            Pin(num='AH3',name='D2_MDQ48',func=Pin.types.BIDIR,unit=1),
            Pin(num='AH5',name='D2_MA13',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AH6',name='D2_MODT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AJ1',name='D2_MDQ49',func=Pin.types.BIDIR,unit=1),
            Pin(num='AJ3',name='D2_MCK2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AJ4',name='/D2_MCK2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AJ6',name='/D2_MDQS7',func=Pin.types.BIDIR,unit=1),
            Pin(num='AJ7',name='D2_MDQ63',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK1',name='D2_MDM6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AK2',name='/D2_MDQS6',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK4',name='D2_MDQ60',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK5',name='D2_MDQ56',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK7',name='D2_MDQ58',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL1',name='D2_MDQS6',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL2',name='D2_MDQ54',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL3',name='D2_MDQ55',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL5',name='D2_MDQ57',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL6',name='D2_MDQS7',func=Pin.types.BIDIR,unit=1),
            Pin(num='AM1',name='D2_MDQ50',func=Pin.types.BIDIR,unit=1),
            Pin(num='AM3',name='D2_MDQ51',func=Pin.types.BIDIR,unit=1),
            Pin(num='AM4',name='D2_MDQ61',func=Pin.types.BIDIR,unit=1),
            Pin(num='AM5',name='D2_MDM7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AM6',name='D2_MDQ62',func=Pin.types.BIDIR,unit=1),
            Pin(num='AM7',name='D2_MDQ59',func=Pin.types.BIDIR,unit=1),
            Pin(num='B1',name='D2_MDQS1',func=Pin.types.BIDIR,unit=1),
            Pin(num='B3',name='D2_MDM1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='B4',name='D2_MDQ13',func=Pin.types.BIDIR,unit=1),
            Pin(num='B6',name='D2_MDQS0',func=Pin.types.BIDIR,unit=1),
            Pin(num='B7',name='D2_MDQ1',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='D2_MDQ15',func=Pin.types.BIDIR,unit=1),
            Pin(num='C2',name='D2_MDQ14',func=Pin.types.BIDIR,unit=1),
            Pin(num='C4',name='D2_MDQ8',func=Pin.types.BIDIR,unit=1),
            Pin(num='C5',name='D2_MDQ2',func=Pin.types.BIDIR,unit=1),
            Pin(num='C7',name='D2_MDM0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='C8',name='D2_MDQ4',func=Pin.types.BIDIR,unit=1),
            Pin(num='D1',name='D2_MDQ20',func=Pin.types.BIDIR,unit=1),
            Pin(num='D2',name='D2_MDQ11',func=Pin.types.BIDIR,unit=1),
            Pin(num='D3',name='D2_MDQ10',func=Pin.types.BIDIR,unit=1),
            Pin(num='D5',name='D2_MDQ3',func=Pin.types.BIDIR,unit=1),
            Pin(num='D6',name='D2_MDQ6',func=Pin.types.BIDIR,unit=1),
            Pin(num='D8',name='D2_MDQ5',func=Pin.types.BIDIR,unit=1),
            Pin(num='E1',name='D2_MDQ17',func=Pin.types.BIDIR,unit=1),
            Pin(num='E3',name='D2_MDQ16',func=Pin.types.BIDIR,unit=1),
            Pin(num='E4',name='D2_MDQ21',func=Pin.types.BIDIR,unit=1),
            Pin(num='E6',name='/D2_MCK4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='E7',name='D2_MCK4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='F1',name='D2_MDQS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='F2',name='/D2_MDQS2',func=Pin.types.BIDIR,unit=1),
            Pin(num='F4',name='D2_MDM2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='F5',name='D2_MCK1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='F7',name='D2_MDIC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='F8',name='D2_MDIC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='G1',name='D2_MDQ19',func=Pin.types.BIDIR,unit=1),
            Pin(num='G2',name='D2_MDQ23',func=Pin.types.BIDIR,unit=1),
            Pin(num='G3',name='D2_MDQ22',func=Pin.types.BIDIR,unit=1),
            Pin(num='G5',name='/D2_MCK1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='G6',name='D2_MECC4',func=Pin.types.BIDIR,unit=1),
            Pin(num='H1',name='D2_MDQ29',func=Pin.types.BIDIR,unit=1),
            Pin(num='H3',name='D2_MDQ28',func=Pin.types.BIDIR,unit=1),
            Pin(num='H4',name='D2_MDQ18',func=Pin.types.BIDIR,unit=1),
            Pin(num='H6',name='D2_MECC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='H7',name='D2_MECC5',func=Pin.types.BIDIR,unit=1),
            Pin(num='J1',name='D2_MDM3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='J2',name='D2_MDQ25',func=Pin.types.BIDIR,unit=1),
            Pin(num='J4',name='D2_MDQ24',func=Pin.types.BIDIR,unit=1),
            Pin(num='J5',name='D2_MECC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='K1',name='D2_MDQ30',func=Pin.types.BIDIR,unit=1),
            Pin(num='K2',name='D2_MDQS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='K3',name='/D2_MDQS3',func=Pin.types.BIDIR,unit=1),
            Pin(num='K5',name='/D2_MDQS8',func=Pin.types.BIDIR,unit=1),
            Pin(num='K6',name='D2_MDM8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='L1',name='D2_MDQ26',func=Pin.types.BIDIR,unit=1),
            Pin(num='L3',name='D2_MDQ27',func=Pin.types.BIDIR,unit=1),
            Pin(num='L4',name='D2_MDQ31',func=Pin.types.BIDIR,unit=1),
            Pin(num='L6',name='D2_MDQS8',func=Pin.types.BIDIR,unit=1),
            Pin(num='M1',name='D2_MECC7',func=Pin.types.BIDIR,unit=1),
            Pin(num='M2',name='D2_MECC6',func=Pin.types.BIDIR,unit=1),
            Pin(num='M4',name='D2_MECC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='M5',name='D2_MECC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='N1',name='D2_MA15',func=Pin.types.OUTPUT,unit=1),
            Pin(num='N2',name='D2_MCKE2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='N3',name='D2_MCKE3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='N5',name='D2_MCKE1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='N6',name='D2_MCKE0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='P1',name='D2_MA12',func=Pin.types.OUTPUT,unit=1),
            Pin(num='P3',name='D2_MBA2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='P4',name='D2_MA14',func=Pin.types.OUTPUT,unit=1),
            Pin(num='R1',name='D2_MA8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='R2',name='D2_MA7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='R4',name='D2_MA11',func=Pin.types.OUTPUT,unit=1),
            Pin(num='R5',name='D2_MA9',func=Pin.types.OUTPUT,unit=1),
            Pin(num='T1',name='D2_MA3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='T2',name='D2_MA4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='T3',name='D2_MA5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='T5',name='D2_MA6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='U1',name='D2_MCK0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='U3',name='D2_MA2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='U4',name='D2_MA1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='V1',name='/D2_MCK0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='V2',name='D2_MCK3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='V4',name='D2_MA10',func=Pin.types.OUTPUT,unit=1),
            Pin(num='V5',name='D2_MBA1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='W1',name='D2_MA0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='W2',name='/D2_MCK3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='W3',name='/D2_MRAS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='W5',name='D2_MBA0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='Y1',name='D2_MDQ36',func=Pin.types.BIDIR,unit=1),
            Pin(num='Y3',name='/D2_MCS0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='Y4',name='/D2_MWE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='AA26',name='SD2_IMP_CAL_RX',func=Pin.types.INPUT,unit=2),
            Pin(num='AA27',name='SD2_TX1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AA28',name='/SD2_TX1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AA31',name='/SD2_RX1',func=Pin.types.INPUT,unit=2),
            Pin(num='AA32',name='SD2_RX1',func=Pin.types.INPUT,unit=2),
            Pin(num='AB14',name='TSEC4_CRS',func=Pin.types.BIDIR,unit=2),
            Pin(num='AB15',name='TSEC4_RXD5',func=Pin.types.INPUT,unit=2),
            Pin(num='AB16',name='TSEC4_TXD7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB17',name='TSEC4_TXD6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB18',name='TSEC4_TXD5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB19',name='TSEC2_TX_ER',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB20',name='TSEC2_TXD0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB21',name='TSEC2_TX_EN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB22',name='TSEC1_TX_EN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB25',name='SD2_TX2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB26',name='/SD2_TX2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AB29',name='/SD2_RX2',func=Pin.types.INPUT,unit=2),
            Pin(num='AB30',name='SD2_RX2',func=Pin.types.INPUT,unit=2),
            Pin(num='AC13',name='TSEC4_COL',func=Pin.types.INPUT,unit=2),
            Pin(num='AC14',name='TSEC4_RXD6',func=Pin.types.INPUT,unit=2),
            Pin(num='AC15',name='TSEC4_RX_DV',func=Pin.types.INPUT,unit=2),
            Pin(num='AC16',name='TSEC4_TXD1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AC18',name='TSEC4_TXD0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AC19',name='TSEC2_RX_DV',func=Pin.types.INPUT,unit=2),
            Pin(num='AC21',name='TSEC2_TX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AC22',name='TSEC1_TX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AC23',name='TSEC1_TXD1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AC27',name='SD2_TX3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AC28',name='/SD2_TX3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AC31',name='/SD2_RX3',func=Pin.types.INPUT,unit=2),
            Pin(num='AC32',name='SD2_RX3',func=Pin.types.INPUT,unit=2),
            Pin(num='AD13',name='TSEC4_RXD1',func=Pin.types.INPUT,unit=2),
            Pin(num='AD14',name='TSEC4_RXD3',func=Pin.types.INPUT,unit=2),
            Pin(num='AD16',name='TSEC4_TXD4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD17',name='TSEC4_TXD3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD18',name='TSEC4_TXD2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD19',name='TSEC2_TXD3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD20',name='TSEC2_GTX_CLK',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD21',name='TSEC2_RX_ER',func=Pin.types.INPUT,unit=2),
            Pin(num='AD22',name='TSEC1_TXD7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD29',name='SD2_DLL_TPD',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AD30',name='SD2_DLL_TPA',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE14',name='TSEX4_RXD4',func=Pin.types.INPUT,unit=2),
            Pin(num='AE15',name='TSEC3_CRS',func=Pin.types.BIDIR,unit=2),
            Pin(num='AE16',name='TSEC3_RXD1',func=Pin.types.INPUT,unit=2),
            Pin(num='AE17',name='TSEC4_RXD7',func=Pin.types.INPUT,unit=2),
            Pin(num='AE19',name='TSEC3_RXD7',func=Pin.types.INPUT,unit=2),
            Pin(num='AE20',name='TSEC2_CRS',func=Pin.types.BIDIR,unit=2),
            Pin(num='AE21',name='TSEC2_COL',func=Pin.types.INPUT,unit=2),
            Pin(num='AE22',name='TSEC1_TXD6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE23',name='TSEC1_TXD5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE24',name='TSEC1_TXD4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE27',name='SD2_TX4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE28',name='/SD2_TX4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AE31',name='/SD2_REF_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AE32',name='SD2_REF_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AF13',name='TSEC4_RXD2',func=Pin.types.INPUT,unit=2),
            Pin(num='AF14',name='TSEC4_RX_ER',func=Pin.types.INPUT,unit=2),
            Pin(num='AF15',name='TSEC3_COL',func=Pin.types.INPUT,unit=2),
            Pin(num='AF16',name='TSEC3_RX_ER',func=Pin.types.INPUT,unit=2),
            Pin(num='AF17',name='TSEC4_TX_EN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AF18',name='TSEC4_TX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AF19',name='TSEC4_TX_ER',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AF20',name='TSEC2_RXD5',func=Pin.types.INPUT,unit=2),
            Pin(num='AF22',name='TSEC3_RXD7',func=Pin.types.INPUT,unit=2),
            Pin(num='AF23',name='TSEC2_RXD6',func=Pin.types.INPUT,unit=2),
            Pin(num='AF25',name='TSEC1_TXD0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AF26',name='TSEC1_RXD5',func=Pin.types.INPUT,unit=2),
            Pin(num='AF29',name='SD2_PLL_TPD',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AF31',name='SD2_PLL_TPA',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG13',name='TSEC4_RX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AG14',name='TSEC4_RXD0',func=Pin.types.INPUT,unit=2),
            Pin(num='AG15',name='TSEC3_RX_DV',func=Pin.types.INPUT,unit=2),
            Pin(num='AG16',name='TSEC3_RXD6',func=Pin.types.INPUT,unit=2),
            Pin(num='AG17',name='TSEC4_GTX_CLK',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG19',name='TSEC3_GTX_CLK',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG20',name='TSEC2_RXD4',func=Pin.types.INPUT,unit=2),
            Pin(num='AG21',name='TSEC2_TXD7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG22',name='TSEC2_TXD6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG23',name='TSEC1_TXD3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG24',name='TSEC1_TXD2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG25',name='TSEC1_RXD7',func=Pin.types.INPUT,unit=2),
            Pin(num='AG27',name='SD2_TX5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AG28',name='/SD2_TX5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH14',name='TSEC3_RXD3',func=Pin.types.INPUT,unit=2),
            Pin(num='AH15',name='TSEC3_RXD5',func=Pin.types.INPUT,unit=2),
            Pin(num='AH16',name='TSEC3_RXD2',func=Pin.types.INPUT,unit=2),
            Pin(num='AH17',name='TSEC3_TX_ER',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH18',name='TSEC3_TX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AH19',name='TSEC3_TX_EN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH20',name='TSEC2_RXD3',func=Pin.types.INPUT,unit=2),
            Pin(num='AH21',name='TSEC2_TXD5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH23',name='TSEC2_TXD4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH24',name='TSEC1_RXD6',func=Pin.types.INPUT,unit=2),
            Pin(num='AH25',name='TSEC1_GTX_CLK',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH26',name='TSEC1_TX_ER',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AH29',name='/SD2_RX4',func=Pin.types.INPUT,unit=2),
            Pin(num='AH30',name='SD2_RX4',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ17',name='TSEC3_RXD0',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ18',name='TSEC3_RX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ19',name='TSEC3_RXD4',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ20',name='TSEC3_TXD3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ21',name='TSEC3_TXD1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ22',name='TSEC2_TXD2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ23',name='TSEC2_TXD1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ24',name='TSEC1_RX_DV',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ25',name='TSEC1_RX_ER',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ27',name='SD2_TX6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ28',name='/SD2_TX6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AJ31',name='/SD2_RX5',func=Pin.types.INPUT,unit=2),
            Pin(num='AJ32',name='SD2_RX5',func=Pin.types.INPUT,unit=2),
            Pin(num='AK21',name='TSEC3_TXD5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AK22',name='TSEC2_RXD1',func=Pin.types.INPUT,unit=2),
            Pin(num='AK24',name='TSEC1_RX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AK25',name='TSEC1_RXD3',func=Pin.types.INPUT,unit=2),
            Pin(num='AK26',name='TSEC1_RXD2',func=Pin.types.INPUT,unit=2),
            Pin(num='AK29',name='/SD2_RX6',func=Pin.types.INPUT,unit=2),
            Pin(num='AK30',name='SD2_RX6',func=Pin.types.INPUT,unit=2),
            Pin(num='AL19',name='TSEC3_TXD7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AL20',name='TSEC3_TXD6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AL21',name='TSEC3_TXD0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AL22',name='TSEC2_RXD0',func=Pin.types.INPUT,unit=2),
            Pin(num='AL23',name='EC1_GTX_CLK125',func=Pin.types.INPUT,unit=2),
            Pin(num='AL24',name='TSEC1_RXD1',func=Pin.types.INPUT,unit=2),
            Pin(num='AL25',name='TSEC1_RXD0',func=Pin.types.INPUT,unit=2),
            Pin(num='AL27',name='SD2_TX7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AL28',name='/SD2_TX7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AL31',name='/SD2_RX7',func=Pin.types.INPUT,unit=2),
            Pin(num='AL32',name='SD2_RX7',func=Pin.types.INPUT,unit=2),
            Pin(num='AM19',name='TSEC3_TXD4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AM20',name='TSEC3_TXD2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='AM21',name='TSEC2_RXD2',func=Pin.types.INPUT,unit=2),
            Pin(num='AM22',name='TSEC2_RX_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='AM23',name='EC2_GTX_CLK125',func=Pin.types.INPUT,unit=2),
            Pin(num='AM24',name='TSEC1_CRS',func=Pin.types.BIDIR,unit=2),
            Pin(num='AM25',name='TSEC1_COL',func=Pin.types.INPUT,unit=2),
            Pin(num='AM26',name='TSEC1_RXD4',func=Pin.types.INPUT,unit=2),
            Pin(num='AM29',name='SD2_IMP_CAL_TX',func=Pin.types.INPUT,unit=2),
            Pin(num='G31',name='EC_MDC',func=Pin.types.OUTPUT,unit=2),
            Pin(num='G32',name='EC_MDIO',func=Pin.types.BIDIR,unit=2),
            Pin(num='J28',name='SD1_IMP_CAL_RX',func=Pin.types.INPUT,unit=2),
            Pin(num='J31',name='/SD1_RX0',func=Pin.types.INPUT,unit=2),
            Pin(num='J32',name='SD1_RX0',func=Pin.types.INPUT,unit=2),
            Pin(num='K29',name='/SD1_RX1',func=Pin.types.INPUT,unit=2),
            Pin(num='K30',name='SD1_RX1',func=Pin.types.INPUT,unit=2),
            Pin(num='L26',name='SD1_TX0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='L27',name='/SD1_TX0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='L31',name='/SD1_RX2',func=Pin.types.INPUT,unit=2),
            Pin(num='L32',name='SD1_RX2',func=Pin.types.INPUT,unit=2),
            Pin(num='M24',name='SD1_TX1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='M25',name='/SD1_TX1',func=Pin.types.OUTPUT,unit=2),
            Pin(num='M29',name='/SD1_RX3',func=Pin.types.INPUT,unit=2),
            Pin(num='M30',name='SD1_RX3',func=Pin.types.INPUT,unit=2),
            Pin(num='N26',name='SD1_TX2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='N27',name='/SD1_TX2',func=Pin.types.OUTPUT,unit=2),
            Pin(num='N28',name='SD1_DLL_TPD',func=Pin.types.OUTPUT,unit=2),
            Pin(num='N31',name='/SD1_REF_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='N32',name='SD1_REF_CLK',func=Pin.types.INPUT,unit=2),
            Pin(num='P24',name='SD1_TX3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='P25',name='/SD1_TX3',func=Pin.types.OUTPUT,unit=2),
            Pin(num='P31',name='SD1_DLL_TPA',func=Pin.types.OUTPUT,unit=2),
            Pin(num='R26',name='SD1_TX4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='R27',name='/SD1_TX4',func=Pin.types.OUTPUT,unit=2),
            Pin(num='T24',name='SD1_TX5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='T25',name='/SD1_TX5',func=Pin.types.OUTPUT,unit=2),
            Pin(num='T28',name='SD1_PLL_TPA',func=Pin.types.OUTPUT,unit=2),
            Pin(num='T29',name='/SD1_RX4',func=Pin.types.INPUT,unit=2),
            Pin(num='T30',name='SD1_RX4',func=Pin.types.INPUT,unit=2),
            Pin(num='U26',name='SD1_TX6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='U27',name='/SD1_TX6',func=Pin.types.OUTPUT,unit=2),
            Pin(num='U28',name='SD1_PLL_TPD',func=Pin.types.OUTPUT,unit=2),
            Pin(num='U31',name='/SD1_RX5',func=Pin.types.INPUT,unit=2),
            Pin(num='U32',name='SD1_RX5',func=Pin.types.INPUT,unit=2),
            Pin(num='V24',name='SD1_TX7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='V25',name='/SD1_TX7',func=Pin.types.OUTPUT,unit=2),
            Pin(num='V29',name='/SD1_RX6',func=Pin.types.INPUT,unit=2),
            Pin(num='V30',name='SD1_RX6',func=Pin.types.INPUT,unit=2),
            Pin(num='W31',name='/SD1_RX7',func=Pin.types.INPUT,unit=2),
            Pin(num='W32',name='SD1_RX7',func=Pin.types.INPUT,unit=2),
            Pin(num='Y24',name='SD2_TX0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='Y25',name='/SD2_TX0',func=Pin.types.OUTPUT,unit=2),
            Pin(num='Y26',name='SD1_IMP_CAL_TX',func=Pin.types.INPUT,unit=2),
            Pin(num='Y29',name='/SD2_RX0',func=Pin.types.INPUT,unit=2),
            Pin(num='Y30',name='SD2_RX0',func=Pin.types.INPUT,unit=2),
            Pin(num='A16',name='IIC1_SDA',func=Pin.types.BIDIR,unit=3),
            Pin(num='A17',name='/TRST',func=Pin.types.INPUT,unit=3),
            Pin(num='A21',name='IIC2_SDA',func=Pin.types.BIDIR,unit=3),
            Pin(num='A22',name='/LCS0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='A23',name='/LCS5',func=Pin.types.OUTPUT,unit=3),
            Pin(num='A24',name='LDP0',func=Pin.types.BIDIR,unit=3),
            Pin(num='A25',name='LAD25',func=Pin.types.BIDIR,unit=3),
            Pin(num='A26',name='LAD24',func=Pin.types.BIDIR,unit=3),
            Pin(num='A27',name='LAD17',func=Pin.types.BIDIR,unit=3),
            Pin(num='A28',name='LAD11',func=Pin.types.BIDIR,unit=3),
            Pin(num='A29',name='LAD7',func=Pin.types.BIDIR,unit=3),
            Pin(num='A30',name='LAD0',func=Pin.types.BIDIR,unit=3),
            Pin(num='A31',name='/UART_CTS0',func=Pin.types.INPUT,unit=3),
            Pin(num='A32',name='UART_SOUT1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='AA11',name='TEMP_ANODE',func=Pin.types.BIDIR,unit=3),
            Pin(num='AD24',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='AD25',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='AD26',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='AG26',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='AG31',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='AG32',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='B16',name='CLK_OUT',func=Pin.types.OUTPUT,unit=3),
            Pin(num='B17',name='IIC1_SCL',func=Pin.types.BIDIR,unit=3),
            Pin(num='B18',name='/HRESET',func=Pin.types.BIDIR,unit=3),
            Pin(num='B21',name='IIC2_SCL',func=Pin.types.BIDIR,unit=3),
            Pin(num='B23',name='/LCS5/DMA_DREQ2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='B24',name='LDP3',func=Pin.types.BIDIR,unit=3),
            Pin(num='B26',name='LAD16',func=Pin.types.BIDIR,unit=3),
            Pin(num='B27',name='LAD15',func=Pin.types.BIDIR,unit=3),
            Pin(num='B29',name='LAD6',func=Pin.types.BIDIR,unit=3),
            Pin(num='B30',name='IRQ9/DMA_DREQ3',func=Pin.types.INPUT,unit=3),
            Pin(num='B31',name='/UART_CTS1',func=Pin.types.INPUT,unit=3),
            Pin(num='B32',name='UART_SIN0',func=Pin.types.INPUT,unit=3),
            Pin(num='C16',name='TEST_MODE0',func=Pin.types.INPUT,unit=3),
            Pin(num='C17',name='D2_MSRCID1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='C18',name='/LSSD_MODE',func=Pin.types.INPUT,unit=3),
            Pin(num='C19',name='ASLEEP',func=Pin.types.OUTPUT,unit=3),
            Pin(num='C20',name='/SRESET_0',func=Pin.types.INPUT,unit=3),
            Pin(num='C21',name='/SRESET_1',func=Pin.types.INPUT,unit=3),
            Pin(num='C22',name='/LCS1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='C24',name='LDP2',func=Pin.types.BIDIR,unit=3),
            Pin(num='C25',name='LAD26',func=Pin.types.BIDIR,unit=3),
            Pin(num='C27',name='LAD12',func=Pin.types.BIDIR,unit=3),
            Pin(num='C28',name='LAD8',func=Pin.types.BIDIR,unit=3),
            Pin(num='C29',name='LAD2',func=Pin.types.BIDIR,unit=3),
            Pin(num='C30',name='IRQ10/DMA_DACK3',func=Pin.types.INPUT,unit=3),
            Pin(num='C31',name='/UART_RTS0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='C32',name='UART_SIN1',func=Pin.types.INPUT,unit=3),
            Pin(num='D16',name='TEST_MODE3',func=Pin.types.INPUT,unit=3),
            Pin(num='D18',name='TEST_MODE2',func=Pin.types.INPUT,unit=3),
            Pin(num='D19',name='D2_MDVAL',func=Pin.types.OUTPUT,unit=3),
            Pin(num='D20',name='LSYNC_OUT',func=Pin.types.INPUT,unit=3),
            Pin(num='D21',name='LBCTL',func=Pin.types.OUTPUT,unit=3),
            Pin(num='D22',name='/LWE2/LBS2/LSDDQM2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='D23',name='/LCS3',func=Pin.types.OUTPUT,unit=3),
            Pin(num='D25',name='LAD29',func=Pin.types.BIDIR,unit=3),
            Pin(num='D26',name='LAD20',func=Pin.types.BIDIR,unit=3),
            Pin(num='D28',name='LAD3',func=Pin.types.BIDIR,unit=3),
            Pin(num='D29',name='LAD4',func=Pin.types.BIDIR,unit=3),
            Pin(num='D30',name='IRQ11/DMA_DDONE3',func=Pin.types.INPUT,unit=3),
            Pin(num='D31',name='UART_SOUT0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='D32',name='DMA_DACK0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E16',name='D2_MSRCID0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E17',name='TEST_MODE1',func=Pin.types.INPUT,unit=3),
            Pin(num='E19',name='LALE',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E20',name='/LWE3/LBS3/LSDDQM3',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E21',name='/LWE0/LBS0/LSDDQM0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E22',name='/LCS4',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E23',name='/LCS6/DMA_DACK2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E24',name='LDP1',func=Pin.types.BIDIR,unit=3),
            Pin(num='E26',name='LAD21',func=Pin.types.BIDIR,unit=3),
            Pin(num='E27',name='LAD18',func=Pin.types.BIDIR,unit=3),
            Pin(num='E29',name='LAD1',func=Pin.types.BIDIR,unit=3),
            Pin(num='E30',name='/UART_RTS1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='E31',name='DMA_DREQ0',func=Pin.types.INPUT,unit=3),
            Pin(num='E32',name='DMA_DREQ1',func=Pin.types.INPUT,unit=3),
            Pin(num='F15',name='D1_MSRCID0/LB_SRCID0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F16',name='D2_MSRCID2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F17',name='/MCP_0',func=Pin.types.INPUT,unit=3),
            Pin(num='F18',name='TMS',func=Pin.types.INPUT,unit=3),
            Pin(num='F20',name='LGPL0/LSDA10',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F21',name='/LWE1/LBS1/LSDDQM1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F23',name='/LCS7/DMA_DDONE2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F24',name='LA30',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F25',name='LAD30',func=Pin.types.BIDIR,unit=3),
            Pin(num='F27',name='LAD23',func=Pin.types.BIDIR,unit=3),
            Pin(num='F28',name='IRQ6',func=Pin.types.INPUT,unit=3),
            Pin(num='F30',name='DMA_DACK1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F31',name='DMA_DDONE0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='F32',name='DMA_DDONE1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G15',name='D1_MSRCID4/LB_SRCID4',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G16',name='SYSCLK',func=Pin.types.INPUT,unit=3),
            Pin(num='G18',name='TDO',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G19',name='LCLK0',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G21',name='LA31',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G22',name='LA29',func=Pin.types.OUTPUT,unit=3),
            Pin(num='G24',name='LAD22',func=Pin.types.BIDIR,unit=3),
            Pin(num='G25',name='LAD19',func=Pin.types.BIDIR,unit=3),
            Pin(num='G26',name='LAD14',func=Pin.types.BIDIR,unit=3),
            Pin(num='G28',name='IRQ0',func=Pin.types.INPUT,unit=3),
            Pin(num='G29',name='IRQ1',func=Pin.types.INPUT,unit=3),
            Pin(num='H15',name='D1_MSRCID3/LB_SRCID3',func=Pin.types.OUTPUT,unit=3),
            Pin(num='H16',name='D2_MSRCID3',func=Pin.types.OUTPUT,unit=3),
            Pin(num='H17',name='/MCP_1',func=Pin.types.INPUT,unit=3),
            Pin(num='H18',name='TCK',func=Pin.types.INPUT,unit=3),
            Pin(num='H19',name='LCKE',func=Pin.types.OUTPUT,unit=3),
            Pin(num='H20',name='LGPL1/LSDWE',func=Pin.types.OUTPUT,unit=3),
            Pin(num='H22',name='LAD31',func=Pin.types.BIDIR,unit=3),
            Pin(num='H23',name='LAD27',func=Pin.types.BIDIR,unit=3),
            Pin(num='H25',name='LAD5',func=Pin.types.BIDIR,unit=3),
            Pin(num='H26',name='LAD13',func=Pin.types.BIDIR,unit=3),
            Pin(num='H27',name='IRQ2',func=Pin.types.INPUT,unit=3),
            Pin(num='H29',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='H30',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='J13',name='TRIG_OUT/READY',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J14',name='TRIG_IN',func=Pin.types.INPUT,unit=3),
            Pin(num='J16',name='D1_MDVAL/LB_DVAL',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J17',name='SPARE',func=Pin.types.UNSPEC,unit=3),
            Pin(num='J18',name='TDI',func=Pin.types.INPUT,unit=3),
            Pin(num='J19',name='LGPL5',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J20',name='LGPL2/LOE/LSDRAS',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J21',name='LA27',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J23',name='IRQ3',func=Pin.types.INPUT,unit=3),
            Pin(num='J24',name='IRQ7',func=Pin.types.INPUT,unit=3),
            Pin(num='J26',name='/IRQ_OUT',func=Pin.types.OUTPUT,unit=3),
            Pin(num='J27',name='IRQ5',func=Pin.types.INPUT,unit=3),
            Pin(num='K14',name='D1_MSRCID2/LB_SRCID2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K15',name='D1_MSRCID1/LB_SRCID1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K16',name='D2_MSRCID4',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K17',name='RTC',func=Pin.types.INPUT,unit=3),
            Pin(num='K18',name='/HRESET_REQ',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K20',name='LGPL3/LSDCAS',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K21',name='LA28',func=Pin.types.OUTPUT,unit=3),
            Pin(num='K22',name='LAD28',func=Pin.types.BIDIR,unit=3),
            Pin(num='K24',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='K25',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='L15',name='SMI_0',func=Pin.types.INPUT,unit=3),
            Pin(num='L16',name='SMI_1',func=Pin.types.INPUT,unit=3),
            Pin(num='L17',name='/CKSTP_OUT',func=Pin.types.OUTPUT,unit=3),
            Pin(num='L18',name='/CKSTP_IN',func=Pin.types.INPUT,unit=3),
            Pin(num='L19',name='LCLK1',func=Pin.types.OUTPUT,unit=3),
            Pin(num='L21',name='LGPL4/LGTA/LUPWAIT/LPBSE',func=Pin.types.BIDIR,unit=3),
            Pin(num='L22',name='LAD9',func=Pin.types.BIDIR,unit=3),
            Pin(num='L23',name='IRQ8',func=Pin.types.INPUT,unit=3),
            Pin(num='M19',name='LSYNC_IN',func=Pin.types.INPUT,unit=3),
            Pin(num='M20',name='LCLK2',func=Pin.types.OUTPUT,unit=3),
            Pin(num='M22',name='LAD10',func=Pin.types.BIDIR,unit=3),
            Pin(num='M23',name='IRQ4',func=Pin.types.INPUT,unit=3),
            Pin(num='P28',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='P29',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='R31',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='R32',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='V28',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='W26',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='W27',name='NC',func=Pin.types.NOCONNECT,unit=3),
            Pin(num='W28',name='RSVD',func=Pin.types.UNSPEC,unit=3),
            Pin(num='Y11',name='TEMP_CATHODE',func=Pin.types.BIDIR,unit=3),
            Pin(num='A19',name='AVDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA16',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA18',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA20',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA22',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA24',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AA30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AB13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='AB23',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AB27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AB31',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AC24',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='AC25',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AC29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AD28',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AD32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AE26',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AE30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AF27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AG29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AH28',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AH32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AJ26',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AJ30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AK27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AK31',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AL26',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AL29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AM28',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='AM32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='B20',name='AVDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='H28',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='H32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='J30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='K27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='K31',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='L12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='L13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='L14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='L25',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='L28',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='L29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='M13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='M14',name='SENSEVDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='M15',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='M16',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='M17',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='M18',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='M26',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='M32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='N12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='N14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='N18',name='VDD_PLAT/SENSEVDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='N20',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='N22',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='N24',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='N30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='P11',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='P13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='P14',name='SENSEVSS_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='P15',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='P17',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='P19',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='P21',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='P23',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='P27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='R12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='R14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='R16',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='R18',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='R20',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='R22',name='VDD_PLAT',func=Pin.types.PWRIN,unit=4),
            Pin(num='R25',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='R29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='T11',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='T13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='T15',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='T17',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='T19',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='T21',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='T23',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='T26',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='T32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='U12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='U14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='U16',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='U18',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='U20',name='SENSEVDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='U22',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='U24',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='U30',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='V11',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='V13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='V15',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='V17',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='V19',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='V20',name='SENSEVSS_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='V21',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='V23',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='V27',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='V31',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='W12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='W14',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='W16',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='W18',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='W20',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='W22',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='W25',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='W29',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y12',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y13',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y15',name='VDD_CORE0',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y17',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y19',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y21',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y23',name='VDD_CORE1',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y28',name='XGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='Y32',name='SGND',func=Pin.types.PWRIN,unit=4),
            Pin(num='A20',name='AVDD_LB',func=Pin.types.PWRIN,unit=5),
            Pin(num='AA25',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AA29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AA6',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AB10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AB28',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AB32',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AB4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC17',name='TVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC20',name='LVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC26',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AC8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AD12',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AD23',name='LVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AD27',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AD31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AD6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AE10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AE25',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AE29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AE4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AF2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AF28',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AF30',name='AGND_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AF32',name='AVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AF8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AG12',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AG18',name='TVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AG30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AG6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AH10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AH22',name='LVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AH27',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AH31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AH4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AJ14',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AJ2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AJ29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AJ8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AK12',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AK20',name='TVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AK28',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AK32',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AK6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AL10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AL16',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AL30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AL4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AM2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AM27',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='AM30',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AM31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B11',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B14',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B19',name='AVDD_PLAT',func=Pin.types.PWRIN,unit=5),
            Pin(num='B2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B22',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B25',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B28',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B5',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='B8',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D13',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D17',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D24',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D27',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='D7',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='E2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F12',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F19',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F22',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F26',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F29',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='F9',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='G17',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='G4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H11',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H14',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H21',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H24',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='H8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='J29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='J6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K13',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K19',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K23',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K26',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='K28',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K32',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='K4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='L2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='L24',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='L30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='L8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='M21',name='OVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='M27',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='M28',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='M31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='M6',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='N25',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='N29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='N4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='P2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='P26',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='P30',name='AGND_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='P32',name='AVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='P8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='R24',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='R28',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='R30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='R6',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='T27',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='T31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='T4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='U2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='U25',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='U29',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='U8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='V26',name='XVDD_SRDS1',func=Pin.types.PWRIN,unit=5),
            Pin(num='V32',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='V6',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='W10',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='W24',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='W30',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='W4',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='Y2',name='D2_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='Y27',name='XVDD_SRDS2',func=Pin.types.PWRIN,unit=5),
            Pin(num='Y31',name='SVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='Y8',name='D1_GVDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='AA13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA17',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AA9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AB24',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AB7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AC11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AC5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AD15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AD3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AD9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AE13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AE18',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AE7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AF11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AF21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AF24',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AF5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AG3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AG9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AH13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AH7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AJ11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AJ5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AK15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AK19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AK23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AK3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AK9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AL13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='AL7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C26',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C6',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='C9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E14',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E18',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E25',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E28',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='E8',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='F3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G10',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G20',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G27',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G30',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='G7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='H5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J15~',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J22',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J25',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='J9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='K7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='L20',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='L5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='M12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='M3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='M9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N17',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='N7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='P12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='P16',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='P18',name='GNDGND/SENSEVSS_PLAT',func=Pin.types.PWRIN,unit=6),
            Pin(num='P20',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='P22',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='P5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R17',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='R9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T14',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T16',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T18',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T20',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T22',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='T7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U17',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='U5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V12',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V14',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V16',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V18',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V22',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V3',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='V9',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W11',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W13',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W15',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W17',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W19',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W21',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W23',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='W7',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y14',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y16',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y18',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y20',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y22',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='Y5',name='GND',func=Pin.types.PWRIN,unit=6),
            Pin(num='A10',name='D1_MDM1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='A11',name='D1_MDQ13',func=Pin.types.BIDIR,unit=7),
            Pin(num='A12',name='D1_MDQ12',func=Pin.types.BIDIR,unit=7),
            Pin(num='A13',name='D1_MDQS0',func=Pin.types.BIDIR,unit=7),
            Pin(num='A14',name='D1_MDQ1',func=Pin.types.BIDIR,unit=7),
            Pin(num='A15',name='D1_MDQ4',func=Pin.types.BIDIR,unit=7),
            Pin(num='A8',name='D1_MDQ11',func=Pin.types.BIDIR,unit=7),
            Pin(num='A9',name='D1_MDQ14',func=Pin.types.BIDIR,unit=7),
            Pin(num='AA10',name='D1_MBA1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AA7',name='/D1_MCK3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AA8',name='D1_MBA0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AB11',name='/D1_MWE',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AB12',name='/D1_MRAS',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AB6',name='D1_MDQ36',func=Pin.types.BIDIR,unit=7),
            Pin(num='AB8',name='D1_MDQ37',func=Pin.types.BIDIR,unit=7),
            Pin(num='AB9',name='/D1_MCS0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AC10',name='/D1_MCAS',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AC12',name='/D1_MCS2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AC6',name='D1_MDQ32',func=Pin.types.BIDIR,unit=7),
            Pin(num='AC7',name='D1_MDQ33',func=Pin.types.BIDIR,unit=7),
            Pin(num='AC9',name='D1_MODT0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AD10',name='/D1_MCS1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AD11',name='/D1_MCS3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AD7',name='D1_MDM4',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AD8',name='/D1_MDQS4',func=Pin.types.BIDIR,unit=7),
            Pin(num='AE11',name='D1_MODT2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AE12',name='D1_MA13',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AE8',name='D1_MDQS4',func=Pin.types.BIDIR,unit=7),
            Pin(num='AE9',name='D1_MDQ38',func=Pin.types.BIDIR,unit=7),
            Pin(num='AF10',name='D1_MODT3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AF12',name='D1_MODT1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AF9',name='D1_MDQ39',func=Pin.types.BIDIR,unit=7),
            Pin(num='AG10',name='D1_MCK5',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AG11',name='/D1_MCK5',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AG8',name='D1_MDQ34',func=Pin.types.BIDIR,unit=7),
            Pin(num='AH11',name='D1_MCK2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AH12',name='/D1_MCK2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AH8',name='D1_MDQ44',func=Pin.types.BIDIR,unit=7),
            Pin(num='AH9',name='D1_MDQ35',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ10',name='D1_MDQ46',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ12',name='D1_MDQ49',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ13',name='/D1_MDQS6',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ15',name='D1_MDQ60',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ16',name='D1_MDQ57',func=Pin.types.BIDIR,unit=7),
            Pin(num='AJ9',name='D1_MDM5',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AK10',name='D1_MDQ47',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK11',name='D1_MDQ43',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK13',name='D1_MDQS6',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK14',name='D1_MDQ55',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK16',name='D1_MDM7',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AK17',name='D1_MDQS7',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK18',name='D1_MDQ58',func=Pin.types.BIDIR,unit=7),
            Pin(num='AK8',name='D1_MDQ45',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL11',name='D1_MDQ52',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL12',name='D1_MDQ48',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL14',name='D1_MDQ50',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL15',name='D1_MDQ61',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL17',name='D1_MDQ62',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL18',name='D1_MDQ59',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL8',name='D1_MDQ40',func=Pin.types.BIDIR,unit=7),
            Pin(num='AL9',name='/D1_MDQS5',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM10',name='D1_MDQ42',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM11',name='D1_MDQ53',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM12',name='D1_MDM6',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AM13',name='D1_MDQ54',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM14',name='D1_MDQ51',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM15',name='D1_MDQ56',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM16',name='/D1_MDQS7',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM17',name='D1_MDQ63',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM18',name='D1_MVREF',func=Pin.types.OUTPUT,unit=7),
            Pin(num='AM8',name='D1_MDQ41',func=Pin.types.BIDIR,unit=7),
            Pin(num='AM9',name='D1_MDQS5',func=Pin.types.BIDIR,unit=7),
            Pin(num='B10',name='/D1_MDQS1',func=Pin.types.BIDIR,unit=7),
            Pin(num='B12',name='D1_MDQ2',func=Pin.types.BIDIR,unit=7),
            Pin(num='B13',name='D1_MDQ6',func=Pin.types.BIDIR,unit=7),
            Pin(num='B15',name='D1_MDQ5',func=Pin.types.BIDIR,unit=7),
            Pin(num='B9',name='D1_MDQ15',func=Pin.types.BIDIR,unit=7),
            Pin(num='C10',name='D1_MDQS1',func=Pin.types.BIDIR,unit=7),
            Pin(num='C11',name='D1_MDQ8',func=Pin.types.BIDIR,unit=7),
            Pin(num='C13',name='D1_MDQ7',func=Pin.types.BIDIR,unit=7),
            Pin(num='C14',name='D1_MDM0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='D11',name='D1_MDQ9',func=Pin.types.BIDIR,unit=7),
            Pin(num='D12',name='D1_MDQ3',func=Pin.types.BIDIR,unit=7),
            Pin(num='D14',name='/D1_MDQS0',func=Pin.types.BIDIR,unit=7),
            Pin(num='D15',name='D1_MDQ0',func=Pin.types.BIDIR,unit=7),
            Pin(num='D9',name='D1_MDQ10',func=Pin.types.BIDIR,unit=7),
            Pin(num='E10',name='D1_MDQ20',func=Pin.types.BIDIR,unit=7),
            Pin(num='E12',name='/D1_MCK1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='E13',name='D1_MCK1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='E15',name='D1_MDIC0',func=Pin.types.BIDIR,unit=7),
            Pin(num='E9',name='D1_MDQ21',func=Pin.types.BIDIR,unit=7),
            Pin(num='F10',name='D1_MDQ28',func=Pin.types.BIDIR,unit=7),
            Pin(num='F11',name='D1_MDQ16',func=Pin.types.BIDIR,unit=7),
            Pin(num='F13',name='/D1_MCK4',func=Pin.types.OUTPUT,unit=7),
            Pin(num='F14',name='D1_MCK4',func=Pin.types.OUTPUT,unit=7),
            Pin(num='G11',name='D1_MDM2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='G12',name='D1_MDQ17',func=Pin.types.BIDIR,unit=7),
            Pin(num='G14',name='D1_MDIC1',func=Pin.types.BIDIR,unit=7),
            Pin(num='G8',name='D1_MDQ24',func=Pin.types.BIDIR,unit=7),
            Pin(num='G9',name='D1_MDQ29',func=Pin.types.BIDIR,unit=7),
            Pin(num='H10',name='D1_MDQ25',func=Pin.types.BIDIR,unit=7),
            Pin(num='H12',name='D1_MDQS2',func=Pin.types.BIDIR,unit=7),
            Pin(num='H13',name='/D1_MDQS2',func=Pin.types.BIDIR,unit=7),
            Pin(num='H9',name='D1_MDM3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='J10',name='D1_MDQ23',func=Pin.types.BIDIR,unit=7),
            Pin(num='J11',name='D1_MDQ22',func=Pin.types.BIDIR,unit=7),
            Pin(num='J7',name='D1_MDQS3',func=Pin.types.BIDIR,unit=7),
            Pin(num='J8',name='/D1_MDQS3',func=Pin.types.BIDIR,unit=7),
            Pin(num='K11',name='D1_MDQ18',func=Pin.types.BIDIR,unit=7),
            Pin(num='K12',name='D1_MDQ19',func=Pin.types.BIDIR,unit=7),
            Pin(num='K8',name='D1_MDQ31',func=Pin.types.BIDIR,unit=7),
            Pin(num='K9',name='D1_MDQ30',func=Pin.types.BIDIR,unit=7),
            Pin(num='L10',name='D1_MECC5',func=Pin.types.BIDIR,unit=7),
            Pin(num='L11',name='D1_MECC4',func=Pin.types.BIDIR,unit=7),
            Pin(num='L7',name='D1_MDQ27',func=Pin.types.BIDIR,unit=7),
            Pin(num='L9',name='D1_MDQ26',func=Pin.types.BIDIR,unit=7),
            Pin(num='M10',name='D1_MCKE1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='M11',name='D1_MCKE3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='M7',name='D1_MECC1',func=Pin.types.BIDIR,unit=7),
            Pin(num='M8',name='D1_MECC0',func=Pin.types.BIDIR,unit=7),
            Pin(num='N10',name='D1_MDM8',func=Pin.types.OUTPUT,unit=7),
            Pin(num='N8',name='D1_MCKE2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='N9',name='D1_MDQS8',func=Pin.types.BIDIR,unit=7),
            Pin(num='P10',name='/D1_MDQS8',func=Pin.types.BIDIR,unit=7),
            Pin(num='P6',name='D1_MA15',func=Pin.types.OUTPUT,unit=7),
            Pin(num='P7',name='D1_MCKE0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='P9',name='D1_MECC6',func=Pin.types.BIDIR,unit=7),
            Pin(num='R10',name='D1_MECC7',func=Pin.types.BIDIR,unit=7),
            Pin(num='R7',name='D1_MA14',func=Pin.types.OUTPUT,unit=7),
            Pin(num='R8',name='D1_MECC2',func=Pin.types.BIDIR,unit=7),
            Pin(num='T10',name='D1_MECC3',func=Pin.types.BIDIR,unit=7),
            Pin(num='T6',name='D1_MA11',func=Pin.types.OUTPUT,unit=7),
            Pin(num='T8',name='D1_MA12',func=Pin.types.OUTPUT,unit=7),
            Pin(num='T9',name='D1_MBA2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='U10',name='D1_MA9',func=Pin.types.OUTPUT,unit=7),
            Pin(num='U6',name='D1_MA5',func=Pin.types.OUTPUT,unit=7),
            Pin(num='U7',name='D1_MA8',func=Pin.types.OUTPUT,unit=7),
            Pin(num='U9',name='D1_MA7',func=Pin.types.OUTPUT,unit=7),
            Pin(num='V10',name='D1_MA6',func=Pin.types.OUTPUT,unit=7),
            Pin(num='V7',name='D1_MA3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='V8',name='D1_MA4',func=Pin.types.OUTPUT,unit=7),
            Pin(num='W6',name='D1_MCK0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='W8',name='D1_MA1',func=Pin.types.OUTPUT,unit=7),
            Pin(num='W9',name='D1_MA2',func=Pin.types.OUTPUT,unit=7),
            Pin(num='Y10',name='D1_MA0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='Y6',name='/D1_MCK0',func=Pin.types.OUTPUT,unit=7),
            Pin(num='Y7',name='D1_MCK3',func=Pin.types.OUTPUT,unit=7),
            Pin(num='Y9',name='D1_MA10',func=Pin.types.OUTPUT,unit=7)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['AC3', 'E1', 'W5', 'L4', 'AC4', 'AK4', 'E3', 'Y1', 'L6', 'AD1', 'AK5', 'E4', 'M1', 'Y3', 'AD2', 'AK7', 'E6', 'Y4', 'M2', 'AD4', 'AL1', 'E7', 'M4', 'AD5', 'AL2', 'F1', 'M5', 'AE1', 'AL3', 'F2', 'N1', 'AE2', 'AL5', 'F4', 'N2', 'AE3', 'AL6', 'F5', 'N3', 'AE5', 'AM1', 'F7', 'N5', 'AE6', 'AM3', 'F8', 'N6', 'AF1', 'AM4', 'G1', 'P1', 'AF3', 'AM5', 'G2', 'P3', 'AF4', 'AM6', 'G3', 'P4', 'AF6', 'AM7', 'G5', 'R1', 'AF7', 'B1', 'G6', 'R2', 'AG1', 'B3', 'H1', 'R4', 'A4', 'AG2', 'B4', 'H3', 'R5', 'A3', 'AG4', 'B6', 'H4', 'T1', 'AG5', 'B7', 'H6', 'T2', 'AG7', 'C1', 'H7', 'T3', 'A18', 'AH1', 'C2', 'J1', 'T5', 'A5', 'AH2', 'C4', 'J2', 'U1', 'A2', 'A6', 'AH3', 'C5', 'J4', 'U3', 'A7', 'AH5', 'C7', 'J5', 'AA1', 'U4', 'AH6', 'AA2', 'C8', 'K1', 'V1', 'AA4', 'AJ1', 'D1', 'K2', 'AA5', 'V2', 'AJ3', 'AB1', 'D2', 'K3', 'V4', 'AB2', 'AJ4', 'D3', 'K5', 'V5', 'AB3', 'AJ6', 'D5', 'K6', 'W1', 'AB5', 'AJ7', 'AK2', 'D6', 'L1', 'W2', 'AC1', 'AK1', 'D8', 'L3', 'W3']},{'label': 'uB', 'num': 2, 'pin_nums': ['AC31', 'AF18', 'AL27', 'AH24', 'N32', 'AF19', 'AC32', 'AL28', 'AH25', 'P24', 'AD13', 'AF20', 'AH26', 'AL31', 'P25', 'AF22', 'AD14', 'AL32', 'AH29', 'P31', 'AL25', 'AD16', 'AF23', 'AA26', 'AH30', 'AM19', 'AA28', 'R26', 'AD17', 'AF25', 'AA27', 'AJ17', 'AM20', 'AA31', 'R27', 'AD18', 'AF26', 'AJ18', 'AM21', 'T24', 'AF29', 'AA32', 'AD19', 'AJ19', 'AM22', 'T25', 'AB14', 'AD20', 'AF31', 'AJ20', 'AM23', 'T28', 'AB15', 'AD21', 'AG13', 'AJ21', 'AM24', 'T29', 'AB16', 'AD22', 'AG14', 'AJ22', 'AM25', 'T30', 'AB17', 'AD29', 'AG15', 'AJ23', 'AM26', 'U26', 'AB18', 'AD30', 'AG16', 'AJ24', 'AM29', 'U27', 'AB19', 'AE14', 'AG17', 'AJ25', 'G31', 'U28', 'AB20', 'AE15', 'AG19', 'AJ27', 'G32', 'U31', 'AB21', 'AE16', 'AG20', 'AJ28', 'J28', 'U32', 'AB22', 'AE17', 'AG21', 'AJ31', 'J31', 'V24', 'AB25', 'AE19', 'AG22', 'AJ32', 'J32', 'V25', 'AB26', 'AE20', 'AG23', 'AK21', 'K29', 'V29', 'AB29', 'AE21', 'AG24', 'AK22', 'K30', 'V30', 'AB30', 'AE22', 'AG25', 'AK24', 'L26', 'W31', 'AC13', 'AE23', 'AG27', 'AK25', 'L27', 'W32', 'AC14', 'AE24', 'AG28', 'AK26', 'L31', 'Y24', 'AC15', 'AE27', 'AH14', 'AK29', 'L32', 'Y25', 'AC16', 'AE28', 'AH15', 'AK30', 'M24', 'Y26', 'AC18', 'AE31', 'AH16', 'AL19', 'M25', 'Y29', 'AC19', 'AE32', 'AH17', 'AL20', 'M29', 'Y30', 'AC21', 'AF13', 'AH18', 'AL21', 'M30', 'AC22', 'AF14', 'AH19', 'AL22', 'N26', 'AF17', 'AC23', 'AF15', 'AH20', 'AL23', 'N27', 'AC27', 'AF16', 'AH21', 'AL24', 'N28', 'AC28', 'AH23', 'N31']},{'label': 'uC', 'num': 3, 'pin_nums': ['A23', 'C19', 'E23', 'G29', 'K21', 'K24', 'A24', 'E24', 'C20', 'K22', 'H15', 'A25', 'C21', 'E26', 'H16', 'K25', 'A26', 'E27', 'C22', 'H17', 'A27', 'C24', 'E29', 'H18', 'L15', 'A28', 'C25', 'E30', 'H19', 'L16', 'A29', 'C27', 'E31', 'H20', 'L17', 'A30', 'E32', 'C28', 'L18', 'H22', 'A31', 'C29', 'F15', 'H23', 'L19', 'A32', 'C30', 'F16', 'H25', 'L21', 'AA11', 'AD25', 'C31', 'F17', 'H26', 'L22', 'AD24', 'C32', 'F18', 'H27', 'L23', 'AD26', 'D16', 'F20', 'H29', 'M19', 'E22', 'D18', 'F21', 'H30', 'M20', 'AG26', 'D19', 'F23', 'J13', 'M22', 'P28', 'AG31', 'D20', 'F24', 'J14', 'M23', 'AG32', 'D21', 'F25', 'J16', 'P29', 'B16', 'D22', 'F27', 'J17', 'B17', 'D23', 'F28', 'J18', 'R31', 'B18', 'D25', 'F30', 'J19', 'R32', 'W26', 'B21', 'D26', 'F31', 'J20', 'V28', 'B23', 'D28', 'F32', 'J21', 'W27', 'B24', 'D29', 'G15', 'J23', 'B26', 'D30', 'G16', 'J24', 'W28', 'B27', 'D31', 'G18', 'J26', 'Y11', 'B29', 'D32', 'G19', 'J27', 'B30', 'E16', 'G21', 'K14', 'B31', 'E17', 'G22', 'K15', 'A16', 'B32', 'E19', 'G24', 'K16', 'A17', 'C16', 'E20', 'G25', 'K17', 'A21', 'C17', 'E21', 'G26', 'K18', 'A22', 'C18', 'G28', 'K20']},{'label': 'uD', 'num': 4, 'pin_nums': ['L12', 'R16', 'V31', 'AA24', 'L13', 'W12', 'R18', 'AA30', 'L14', 'R20', 'W14', 'AB13', 'L25', 'W16', 'R22', 'AB23', 'L28', 'R25', 'W18', 'AB27', 'L29', 'R29', 'W20', 'AB31', 'M13', 'T11', 'W22', 'AC24', 'M14', 'W25', 'T13', 'AC25', 'M15', 'T15', 'W29', 'AC29', 'M16', 'T17', 'Y12', 'AD28', 'M17', 'T19', 'Y13', 'AD32', 'M18', 'T21', 'Y15', 'AE26', 'M26', 'T23', 'Y17', 'AE30', 'M32', 'T26', 'Y19', 'AF27', 'N12', 'T32', 'Y21', 'AG29', 'N14', 'U12', 'Y23', 'AH28', 'N18', 'U14', 'Y28', 'AH32', 'N20', 'U16', 'Y32', 'AJ26', 'N22', 'U18', 'AJ30', 'N24', 'U20', 'AK27', 'N30', 'U22', 'AK31', 'P11', 'U24', 'AL26', 'P13', 'U30', 'AL29', 'P14', 'V11', 'AM28', 'P15', 'V13', 'AM32', 'P17', 'V15', 'A19', 'B20', 'P19', 'V17', 'AA12', 'H28', 'P21', 'V19', 'AA14', 'H32', 'P23', 'V20', 'AA16', 'J30', 'P27', 'V21', 'AA18', 'AA22', 'K27', 'R12', 'V23', 'AA20', 'K31', 'R14', 'V27']},{'label': 'uE', 'num': 5, 'pin_nums': ['AK6', 'P2', 'AL10', 'AD12', 'G17', 'P26', 'AD23', 'AL16', 'G4', 'P30', 'AD27', 'AL30', 'H11', 'P32', 'AD31', 'AL4', 'H14', 'P8', 'AD6', 'AM2', 'H2', 'R24', 'AE10', 'AM27', 'H21', 'R28', 'AE25', 'AM30', 'H24', 'R30', 'AE29', 'AM31', 'H31', 'R6', 'AE4', 'B11', 'H8', 'T27', 'AF2', 'B14', 'J29', 'T31', 'AF28', 'B19', 'J6', 'T4', 'AF30', 'B2', 'K10', 'U2', 'AF32', 'B22', 'K13', 'U25', 'AF8', 'B25', 'K19', 'U29', 'AG12', 'B28', 'K23', 'U8', 'AG18', 'B5', 'K26', 'V26', 'AG30', 'B8', 'K28', 'V32', 'AG6', 'D10', 'K32', 'V6', 'A20', 'AH10', 'D13', 'K4', 'W10', 'AA25', 'AH22', 'D17', 'L2', 'W24', 'AA29', 'AH27', 'D24', 'L24', 'W30', 'AA6', 'AH31', 'D27', 'L30', 'W4', 'AB10', 'AH4', 'D4', 'L8', 'Y2', 'AB28', 'AJ14', 'D7', 'M21', 'Y27', 'AB32', 'AJ2', 'E2', 'M27', 'Y31', 'AB4', 'AJ29', 'F12', 'M28', 'Y8', 'AC17', 'AJ8', 'F19', 'M31', 'AC2', 'AK12', 'F22', 'M6', 'AC20', 'AK20', 'F26', 'N25', 'AC26', 'AK28', 'F29', 'F9', 'N29', 'AC30', 'AK32', 'F6', 'N4', 'AC8']},{'label': 'uF', 'num': 6, 'pin_nums': ['C15', 'U11', 'C23', 'AA23', 'M9', 'U13', 'AA3', 'C26', 'N11', 'U15', 'AA9', 'C3', 'N13', 'U17', 'AB24', 'C6', 'N15', 'U19', 'AB7', 'C9', 'N17', 'U21', 'AC11', 'E11', 'N19', 'U23', 'AC5', 'E14', 'N21', 'U5', 'AD15', 'E18', 'N23', 'V12', 'AD3', 'E25', 'N7', 'V14', 'AD9', 'E28', 'P12', 'V16', 'AE13', 'E5', 'P16', 'V18', 'AE18', 'E8', 'P18', 'V22', 'AE7', 'F3', 'P20', 'V3', 'AF11', 'G10', 'P22', 'V9', 'AF21', 'G13', 'P5', 'W11', 'AF24', 'G20', 'R11', 'W13', 'AF5', 'G23', 'R13', 'W15', 'AG3', 'G27', 'R15', 'W17', 'AG9', 'G30', 'R17', 'W19', 'AH13', 'G7', 'R19', 'W21', 'AH7', 'H5', 'R21', 'W23', 'AJ11', 'J12', 'R23', 'W7', 'AJ5', 'J15~', 'R3', 'Y14', 'AK15', 'J22', 'R9', 'Y16', 'AK19', 'J25', 'T12', 'Y18', 'AK23', 'J3', 'T14', 'Y20', 'AK3', 'J9', 'T16', 'Y22', 'AA13', 'AK9', 'K7', 'T18', 'Y5', 'AA15', 'AL13', 'L20', 'T20', 'AA17', 'AL7', 'L5', 'M3', 'T22', 'AA19', 'C12', 'M12', 'T7', 'AA21']},{'label': 'uG', 'num': 7, 'pin_nums': ['G8', 'AH11', 'A13', 'G9', 'AM16', 'T6', 'AH12', 'A14', 'AM17', 'H10', 'T8', 'A15', 'AH8', 'AM18', 'H12', 'T9', 'AH9', 'A8', 'AM8', 'H13', 'U10', 'A9', 'AJ10', 'AM9', 'H9', 'U6', 'AA10', 'AJ12', 'B10', 'J10', 'U7', 'AA7', 'AJ13', 'B12', 'J11', 'U9', 'AA8', 'AJ15', 'B13', 'J7', 'V10', 'AB11', 'AJ16', 'B15', 'J8', 'V7', 'AB12', 'AJ9', 'B9', 'K11', 'V8', 'AB6', 'AK10', 'C10', 'K12', 'W6', 'AB8', 'AK11', 'C11', 'K8', 'W8', 'AB9', 'AK13', 'C13', 'K9', 'W9', 'AC10', 'AK14', 'C14', 'L10', 'Y10', 'AC12', 'AK16', 'D11', 'L11', 'Y6', 'AK17', 'AC6', 'D12', 'L7', 'Y7', 'AC7', 'AK18', 'D14', 'L9', 'Y9', 'AC9', 'AK8', 'D15', 'M10', 'AD10', 'AL11', 'D9', 'M11', 'AD11', 'AL12', 'E10', 'M7', 'AD7', 'AL14', 'E12', 'M8', 'AD8', 'AL15', 'E13', 'N10', 'AE11', 'AL17', 'E15', 'N8', 'AL18', 'AE12', 'E9', 'N9', 'AG8', 'AE8', 'AL8', 'F10', 'P10', 'AE9', 'AL9', 'F11', 'P6', 'AF10', 'AM10', 'F13', 'P7', 'AF12', 'AM11', 'F14', 'P9', 'AF9', 'AM12', 'G11', 'R10', 'A10', 'AG10', 'AM13', 'G12', 'R7', 'T10', 'A11', 'AG11', 'AM14', 'G14', 'R8', 'A12', 'AM15']}] })])