from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

DSP_AnalogDevices = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'ADAU1450', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADAU1450'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm'], 'footprint':'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'keywords':'sigmadsp audio', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADAU1452_1451_1450.pdf', 'pins':[
            Pin(num='1',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='AUXADC2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='AUXADC3',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='AUXADC4',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='AUXADC5',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='PVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='PLLFILT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='XTALIN/MCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='XTALOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='SS_M/MP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MOSI_M/MP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='SCL_M/SCLK_M/MP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='SDA_M/MISO_M/MP3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='VDRIVE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='30',name='MISO/SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='SCLK/SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='MOSI/ADDR1',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='SS/ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='SELFBOOT',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='LRCLK_OUT0/MP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='SPDIFIN',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='BCLK_OUT0',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='SDATA_OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='LRCLK_OUT1/MP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='BCLK_OUT1',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='SDATA_OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='MP6',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='MP7',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='LRCLK_OUT2/MP8',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='BCLK_OUT2',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='SDATA_OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='SPDIFOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='50',name='LRCLK_OUT3/MP9',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='BCLK_OUT3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='SDATA_OUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='BCLK_IN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='LRCLK_IN0/MP10',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='SDATA_IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='60',name='BCLK_IN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='LRCLK_IN1/MP11',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='SDATA_IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='63',name='THD_M',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='THD_P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='BCLK_IN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='LRCLK_IN2/MP12',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='SDATA_IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='68',name='BCLK_IN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='LRCLK_IN3/MP13',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='SDATA_IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='71',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='AUXADC0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='AUXADC1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADAU1701', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADAU1701'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'sigmadsp audio adc dac', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADAU1701.pdf', 'pins':[
            Pin(num='1',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='MP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='MP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='MP7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='MP6',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='MP10',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='VDRIVE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='MP11',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='ADC0',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='ADDR1/CDATA/WB',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='CLATCH/WP',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='SDA/COUT',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='SCL/CCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='MP9',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MP8',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='MP3',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='MP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='ADC_RES',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='RSVD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='OSCO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='MCLKI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='PVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='PLL_LF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='PLL_MODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='PLL_MODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='ADC1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='CM',func=Pin.types.OUTPUT,unit=1),
            Pin(num='41',name='FILTD',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='VOUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='VOUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='VOUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VOUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='47',name='FILTA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='48',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SELFBOOT',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='MP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='MP5',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADAU1451', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADAU1451'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm'], 'footprint':'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'keywords':'sigmadsp audio', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADAU1452_1451_1450.pdf', 'pins':[
            Pin(num='1',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='AUXADC2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='AUXADC3',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='AUXADC4',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='AUXADC5',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='PVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='PLLFILT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='XTALIN/MCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='XTALOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='SS_M/MP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MOSI_M/MP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='SCL_M/SCLK_M/MP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='SDA_M/MISO_M/MP3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='VDRIVE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='30',name='MISO/SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='SCLK/SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='MOSI/ADDR1',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='SS/ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='SELFBOOT',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='LRCLK_OUT0/MP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='SPDIFIN',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='BCLK_OUT0',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='SDATA_OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='LRCLK_OUT1/MP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='BCLK_OUT1',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='SDATA_OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='MP6',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='MP7',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='LRCLK_OUT2/MP8',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='BCLK_OUT2',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='SDATA_OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='SPDIFOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='50',name='LRCLK_OUT3/MP9',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='BCLK_OUT3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='SDATA_OUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='BCLK_IN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='LRCLK_IN0/MP10',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='SDATA_IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='60',name='BCLK_IN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='LRCLK_IN1/MP11',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='SDATA_IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='63',name='THD_M',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='THD_P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='BCLK_IN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='LRCLK_IN2/MP12',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='SDATA_IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='68',name='BCLK_IN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='LRCLK_IN3/MP13',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='SDATA_IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='71',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='AUXADC0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='AUXADC1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADAU1452', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADAU1452'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm'], 'footprint':'Package_CSP:LFCSP-72-1EP_10x10mm_P0.5mm_EP5.3x5.3mm', 'keywords':'sigmadsp audio', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADAU1452_1451_1450.pdf', 'pins':[
            Pin(num='1',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='AUXADC2',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='AUXADC3',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='AUXADC4',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='AUXADC5',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='PVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='PLLFILT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='XTALIN/MCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='XTALOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='SS_M/MP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MOSI_M/MP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='SCL_M/SCLK_M/MP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='SDA_M/MISO_M/MP3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='VDRIVE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='30',name='MISO/SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='SCLK/SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='MOSI/ADDR1',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='SS/ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='SELFBOOT',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='LRCLK_OUT0/MP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='SPDIFIN',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='BCLK_OUT0',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='SDATA_OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='LRCLK_OUT1/MP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='BCLK_OUT1',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='SDATA_OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='MP6',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='MP7',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='LRCLK_OUT2/MP8',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='BCLK_OUT2',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='SDATA_OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='SPDIFOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='50',name='LRCLK_OUT3/MP9',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='BCLK_OUT3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='SDATA_OUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='55',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='BCLK_IN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='LRCLK_IN0/MP10',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='SDATA_IN0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='60',name='BCLK_IN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='LRCLK_IN1/MP11',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='SDATA_IN1',func=Pin.types.INPUT,unit=1),
            Pin(num='63',name='THD_M',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='THD_P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='BCLK_IN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='66',name='LRCLK_IN2/MP12',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='SDATA_IN2',func=Pin.types.INPUT,unit=1),
            Pin(num='68',name='BCLK_IN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='LRCLK_IN3/MP13',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='SDATA_IN3',func=Pin.types.INPUT,unit=1),
            Pin(num='71',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='72',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='73',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='AUXADC0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='AUXADC1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ADAU1702', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ADAU1702'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm', 'Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'sigmadsp audio adc dac', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ADAU1702.pdf', 'pins':[
            Pin(num='1',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='MP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='MP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='MP7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='MP6',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='MP10',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='VDRIVE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='MP11',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='ADC0',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='ADDR1/CDATA/WB',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='CLATCH/WP',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='SDA/COUT',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='SCL/CCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='MP9',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MP8',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='MP3',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='MP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='ADC_RES',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='RSVD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='OSCO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='MCLKI',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='PVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='PLL_LF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='PLL_MODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='PLL_MODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='ADC1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='CM',func=Pin.types.OUTPUT,unit=1),
            Pin(num='41',name='FILTD',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='VOUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='VOUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='VOUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VOUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='47',name='FILTA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='48',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SELFBOOT',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='MP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='MP5',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] })])