from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

FPGA_CologneChip_GateMate = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'CCGM1A1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CCGM1A1'}), 'ref_prefix':'U', 'fplist':['Package_BGA:BGA-324_15.0x15.0mm_Layout18x18_P0.8mm_Ball0.45mm_Pad0.4mm_NSMD'], 'footprint':'Package_BGA:BGA-324_15.0x15.0mm_Layout18x18_P0.8mm_Ball0.45mm_Pad0.4mm_NSMD', 'keywords':'GateMate FPGA', 'description':'', 'datasheet':'https://colognechip.com/docs/ds1001-gatemate1-datasheet-2022-05.pdf', 'pins':[
            Pin(num='U11',name='SER_RX_P',func=Pin.types.INPUT,unit=1),
            Pin(num='U13',name='SER_TX_P',func=Pin.types.OUTPUT,unit=1),
            Pin(num='V11',name='SER_RX_N',func=Pin.types.INPUT,unit=1),
            Pin(num='V12',name='SER_RTERM',func=Pin.types.PASSIVE,unit=1),
            Pin(num='V13',name='SER_TX_N',func=Pin.types.OUTPUT,unit=1),
            Pin(num='N3',name='IO_WA_A8/~{SPI_CS}',func=Pin.types.BIDIR,unit=2),
            Pin(num='N4',name='IO_WA_B8/SPI_CLK',func=Pin.types.BIDIR,unit=2),
            Pin(num='N5',name='VDD_WA',func=Pin.types.PWRIN,unit=2),
            Pin(num='P1',name='IO_WA_A7/SPI_D1',func=Pin.types.BIDIR,unit=2),
            Pin(num='P2',name='IO_WA_B7/SPI_D0',func=Pin.types.BIDIR,unit=2),
            Pin(num='P3',name='VDD_WA',func=Pin.types.PASSIVE,unit=2),
            Pin(num='P5',name='VDD_WA',func=Pin.types.PASSIVE,unit=2),
            Pin(num='R1',name='IO_WA_A6/SPI_D3',func=Pin.types.BIDIR,unit=2),
            Pin(num='R2',name='IO_WA_B6/SPI_D2',func=Pin.types.BIDIR,unit=2),
            Pin(num='R3',name='JTAG_TCK/IO_WA_A5',func=Pin.types.BIDIR,unit=2),
            Pin(num='R4',name='IO_WA_B5/SPI_FWD',func=Pin.types.BIDIR,unit=2),
            Pin(num='R5',name='CFG_MD0/IO_WA_A0',func=Pin.types.BIDIR,unit=2),
            Pin(num='T1',name='VDD_WA',func=Pin.types.PASSIVE,unit=2),
            Pin(num='T2',name='JTAG_TDI/IO_WA_A4',func=Pin.types.BIDIR,unit=2),
            Pin(num='T3',name='JTAG_TMS/IO_WA_B4',func=Pin.types.BIDIR,unit=2),
            Pin(num='T5',name='CFG_MD1/IO_WA_B0',func=Pin.types.BIDIR,unit=2),
            Pin(num='U1',name='POR_EN/IO_WA_A3',func=Pin.types.BIDIR,unit=2),
            Pin(num='U2',name='JTAG_TDO/IO_WA_B3',func=Pin.types.BIDIR,unit=2),
            Pin(num='U3',name='VDD_WA',func=Pin.types.PASSIVE,unit=2),
            Pin(num='U4',name='CFG_MD2/IO_WA_A1',func=Pin.types.BIDIR,unit=2),
            Pin(num='V2',name='IO_WA_A2/~{CFG_FAILED}',func=Pin.types.BIDIR,unit=2),
            Pin(num='V3',name='IO_WA_B2/CFG_DONE',func=Pin.types.BIDIR,unit=2),
            Pin(num='V4',name='CFG_MD3/IO_WA_B1',func=Pin.types.BIDIR,unit=2),
            Pin(num='A11',name='IO_NB_B2',func=Pin.types.BIDIR,unit=3),
            Pin(num='A12',name='IO_NB_B4',func=Pin.types.BIDIR,unit=3),
            Pin(num='A14',name='IO_NB_B7',func=Pin.types.BIDIR,unit=3),
            Pin(num='A3',name='IO_NA_A0',func=Pin.types.BIDIR,unit=3),
            Pin(num='A4',name='IO_NA_A1',func=Pin.types.BIDIR,unit=3),
            Pin(num='A5',name='VDD_NA',func=Pin.types.PWRIN,unit=3),
            Pin(num='A6',name='IO_NA_A4',func=Pin.types.BIDIR,unit=3),
            Pin(num='A8',name='IO_NA_A7',func=Pin.types.BIDIR,unit=3),
            Pin(num='A9',name='IO_NB_B0',func=Pin.types.BIDIR,unit=3),
            Pin(num='B10',name='VDD_NB',func=Pin.types.PWRIN,unit=3),
            Pin(num='B11',name='IO_NB_A2',func=Pin.types.BIDIR,unit=3),
            Pin(num='B12',name='IO_NB_A4',func=Pin.types.BIDIR,unit=3),
            Pin(num='B13',name='VDD_NB',func=Pin.types.PASSIVE,unit=3),
            Pin(num='B14',name='IO_NB_A7',func=Pin.types.BIDIR,unit=3),
            Pin(num='B3',name='IO_NA_B0',func=Pin.types.BIDIR,unit=3),
            Pin(num='B4',name='IO_NA_B1',func=Pin.types.BIDIR,unit=3),
            Pin(num='B5',name='IO_NA_A2',func=Pin.types.BIDIR,unit=3),
            Pin(num='B6',name='IO_NA_B4',func=Pin.types.BIDIR,unit=3),
            Pin(num='B7',name='VDD_NA',func=Pin.types.PASSIVE,unit=3),
            Pin(num='B8',name='IO_NA_B7',func=Pin.types.BIDIR,unit=3),
            Pin(num='B9',name='IO_NB_A0',func=Pin.types.BIDIR,unit=3),
            Pin(num='C10',name='IO_NB_B1',func=Pin.types.BIDIR,unit=3),
            Pin(num='C11',name='IO_NB_B3',func=Pin.types.BIDIR,unit=3),
            Pin(num='C12',name='IO_NB_B5',func=Pin.types.BIDIR,unit=3),
            Pin(num='C13',name='IO_NB_B6',func=Pin.types.BIDIR,unit=3),
            Pin(num='C14',name='IO_NB_B8',func=Pin.types.BIDIR,unit=3),
            Pin(num='C5',name='IO_NA_B2',func=Pin.types.BIDIR,unit=3),
            Pin(num='C6',name='IO_NA_A3',func=Pin.types.BIDIR,unit=3),
            Pin(num='C7',name='IO_NA_A5',func=Pin.types.BIDIR,unit=3),
            Pin(num='C8',name='IO_NA_A6',func=Pin.types.BIDIR,unit=3),
            Pin(num='C9',name='IO_NA_A8',func=Pin.types.BIDIR,unit=3),
            Pin(num='D10',name='IO_NB_A1',func=Pin.types.BIDIR,unit=3),
            Pin(num='D11',name='IO_NB_A3',func=Pin.types.BIDIR,unit=3),
            Pin(num='D12',name='IO_NB_A5',func=Pin.types.BIDIR,unit=3),
            Pin(num='D13',name='IO_NB_A6',func=Pin.types.BIDIR,unit=3),
            Pin(num='D14',name='IO_NB_A8',func=Pin.types.BIDIR,unit=3),
            Pin(num='D6',name='IO_NA_B3',func=Pin.types.BIDIR,unit=3),
            Pin(num='D7',name='IO_NA_B5',func=Pin.types.BIDIR,unit=3),
            Pin(num='D8',name='IO_NA_B6',func=Pin.types.BIDIR,unit=3),
            Pin(num='D9',name='IO_NA_B8',func=Pin.types.BIDIR,unit=3),
            Pin(num='E10',name='VDD_NB',func=Pin.types.PASSIVE,unit=3),
            Pin(num='E12',name='VDD_NB',func=Pin.types.PASSIVE,unit=3),
            Pin(num='E6',name='VDD_NA',func=Pin.types.PASSIVE,unit=3),
            Pin(num='E8',name='VDD_NA',func=Pin.types.PASSIVE,unit=3),
            Pin(num='F11',name='VDD_NB',func=Pin.types.PASSIVE,unit=3),
            Pin(num='F7',name='VDD_NA',func=Pin.types.PASSIVE,unit=3),
            Pin(num='A15',name='IO_EB_B8',func=Pin.types.BIDIR,unit=4),
            Pin(num='A16',name='VDD_EB',func=Pin.types.PWRIN,unit=4),
            Pin(num='A17',name='IO_EB_B5',func=Pin.types.BIDIR,unit=4),
            Pin(num='B15',name='IO_EB_A8',func=Pin.types.BIDIR,unit=4),
            Pin(num='B17',name='IO_EB_A5',func=Pin.types.BIDIR,unit=4),
            Pin(num='B18',name='VDD_EB',func=Pin.types.PASSIVE,unit=4),
            Pin(num='C15',name='IO_EB_B7',func=Pin.types.BIDIR,unit=4),
            Pin(num='C16',name='IO_EB_B6',func=Pin.types.BIDIR,unit=4),
            Pin(num='C17',name='IO_EB_B4',func=Pin.types.BIDIR,unit=4),
            Pin(num='C18',name='IO_EB_A4',func=Pin.types.BIDIR,unit=4),
            Pin(num='D15',name='IO_EB_A7',func=Pin.types.BIDIR,unit=4),
            Pin(num='D16',name='IO_EB_A6',func=Pin.types.BIDIR,unit=4),
            Pin(num='D17',name='IO_EB_B2',func=Pin.types.BIDIR,unit=4),
            Pin(num='D18',name='IO_EB_A2',func=Pin.types.BIDIR,unit=4),
            Pin(num='E14',name='VDD_EB',func=Pin.types.PASSIVE,unit=4),
            Pin(num='E15',name='IO_EB_B3',func=Pin.types.BIDIR,unit=4),
            Pin(num='E16',name='IO_EB_A3',func=Pin.types.BIDIR,unit=4),
            Pin(num='E17',name='VDD_EB',func=Pin.types.PASSIVE,unit=4),
            Pin(num='F13',name='VDD_EB',func=Pin.types.PASSIVE,unit=4),
            Pin(num='F15',name='IO_EB_B1',func=Pin.types.BIDIR,unit=4),
            Pin(num='F16',name='IO_EB_A1',func=Pin.types.BIDIR,unit=4),
            Pin(num='F17',name='IO_EB_B0',func=Pin.types.BIDIR,unit=4),
            Pin(num='F18',name='IO_EB_A0',func=Pin.types.BIDIR,unit=4),
            Pin(num='G14',name='VDD_EA',func=Pin.types.PWRIN,unit=4),
            Pin(num='G15',name='IO_EA_B8',func=Pin.types.BIDIR,unit=4),
            Pin(num='G16',name='IO_EA_A8',func=Pin.types.BIDIR,unit=4),
            Pin(num='G17',name='IO_EA_B7',func=Pin.types.BIDIR,unit=4),
            Pin(num='G18',name='IO_EA_A7',func=Pin.types.BIDIR,unit=4),
            Pin(num='H15',name='IO_EA_B6',func=Pin.types.BIDIR,unit=4),
            Pin(num='H16',name='IO_EA_A6',func=Pin.types.BIDIR,unit=4),
            Pin(num='H17',name='VDD_EA',func=Pin.types.PASSIVE,unit=4),
            Pin(num='J14',name='VDD_EA',func=Pin.types.PASSIVE,unit=4),
            Pin(num='J15',name='IO_EA_B5',func=Pin.types.BIDIR,unit=4),
            Pin(num='J16',name='IO_EA_A5',func=Pin.types.BIDIR,unit=4),
            Pin(num='J17',name='IO_EA_B4',func=Pin.types.BIDIR,unit=4),
            Pin(num='J18',name='IO_EA_A4',func=Pin.types.BIDIR,unit=4),
            Pin(num='K15',name='IO_EA_B3',func=Pin.types.BIDIR,unit=4),
            Pin(num='K16',name='IO_EA_A3',func=Pin.types.BIDIR,unit=4),
            Pin(num='K17',name='IO_EA_B2',func=Pin.types.BIDIR,unit=4),
            Pin(num='K18',name='IO_EA_A2',func=Pin.types.BIDIR,unit=4),
            Pin(num='L14',name='VDD_EA',func=Pin.types.PASSIVE,unit=4),
            Pin(num='L15',name='IO_EA_B1',func=Pin.types.BIDIR,unit=4),
            Pin(num='L16',name='IO_EA_A1',func=Pin.types.BIDIR,unit=4),
            Pin(num='L17',name='VDD_EA',func=Pin.types.PASSIVE,unit=4),
            Pin(num='M14',name='IO_EA_B0',func=Pin.types.BIDIR,unit=4),
            Pin(num='M15',name='IO_EA_A0',func=Pin.types.BIDIR,unit=4),
            Pin(num='M17',name='IO_SB_A3',func=Pin.types.BIDIR,unit=5),
            Pin(num='M18',name='IO_SB_B3',func=Pin.types.BIDIR,unit=5),
            Pin(num='N11',name='VDD_SB',func=Pin.types.PWRIN,unit=5),
            Pin(num='N13',name='VDD_SB',func=Pin.types.PASSIVE,unit=5),
            Pin(num='N14',name='CLK0/IO_SB_A8',func=Pin.types.BIDIR,unit=5),
            Pin(num='N15',name='IO_SB_B8',func=Pin.types.BIDIR,unit=5),
            Pin(num='N18',name='VDD_SB',func=Pin.types.PASSIVE,unit=5),
            Pin(num='P10',name='VDD_SA',func=Pin.types.PASSIVE,unit=5),
            Pin(num='P11',name='IO_SB_A4',func=Pin.types.BIDIR,unit=5),
            Pin(num='P12',name='CLK1/IO_SB_A7',func=Pin.types.BIDIR,unit=5),
            Pin(num='P13',name='IO_SB_B7',func=Pin.types.BIDIR,unit=5),
            Pin(num='P14',name='CLK2/IO_SB_A6',func=Pin.types.BIDIR,unit=5),
            Pin(num='P15',name='IO_SB_B6',func=Pin.types.BIDIR,unit=5),
            Pin(num='P17',name='IO_SB_A2',func=Pin.types.BIDIR,unit=5),
            Pin(num='P18',name='IO_SB_B2',func=Pin.types.BIDIR,unit=5),
            Pin(num='P6',name='VDD_SA',func=Pin.types.PWRIN,unit=5),
            Pin(num='P8',name='VDD_SA',func=Pin.types.PASSIVE,unit=5),
            Pin(num='R10',name='IO_SA_A7',func=Pin.types.BIDIR,unit=5),
            Pin(num='R11',name='IO_SB_B4',func=Pin.types.BIDIR,unit=5),
            Pin(num='R13',name='CLK3/IO_SB_A5',func=Pin.types.BIDIR,unit=5),
            Pin(num='R14',name='IO_SB_B5',func=Pin.types.BIDIR,unit=5),
            Pin(num='R15',name='VDD_SB',func=Pin.types.PASSIVE,unit=5),
            Pin(num='R17',name='IO_SB_A1',func=Pin.types.BIDIR,unit=5),
            Pin(num='R18',name='IO_SB_B1',func=Pin.types.BIDIR,unit=5),
            Pin(num='R6',name='IO_SA_A1',func=Pin.types.BIDIR,unit=5),
            Pin(num='R7',name='IO_SA_A2',func=Pin.types.BIDIR,unit=5),
            Pin(num='R8',name='IO_SA_A4',func=Pin.types.BIDIR,unit=5),
            Pin(num='R9',name='IO_SA_A6',func=Pin.types.BIDIR,unit=5),
            Pin(num='T10',name='IO_SA_B7',func=Pin.types.BIDIR,unit=5),
            Pin(num='T18',name='VDD_SB',func=Pin.types.PASSIVE,unit=5),
            Pin(num='T6',name='IO_SA_B1',func=Pin.types.BIDIR,unit=5),
            Pin(num='T7',name='IO_SA_B2',func=Pin.types.BIDIR,unit=5),
            Pin(num='T8',name='IO_SA_B4',func=Pin.types.BIDIR,unit=5),
            Pin(num='T9',name='IO_SA_B6',func=Pin.types.BIDIR,unit=5),
            Pin(num='U10',name='IO_SA_A8',func=Pin.types.BIDIR,unit=5),
            Pin(num='U17',name='IO_SB_A0',func=Pin.types.BIDIR,unit=5),
            Pin(num='U18',name='IO_SB_B0',func=Pin.types.BIDIR,unit=5),
            Pin(num='U5',name='IO_SA_A0',func=Pin.types.BIDIR,unit=5),
            Pin(num='U6',name='VDD_SA',func=Pin.types.PASSIVE,unit=5),
            Pin(num='U7',name='IO_SA_A3',func=Pin.types.BIDIR,unit=5),
            Pin(num='U8',name='IO_SA_A5',func=Pin.types.BIDIR,unit=5),
            Pin(num='U9',name='VDD_SA',func=Pin.types.PASSIVE,unit=5),
            Pin(num='V10',name='IO_SA_B8',func=Pin.types.BIDIR,unit=5),
            Pin(num='V5',name='IO_SA_B0',func=Pin.types.BIDIR,unit=5),
            Pin(num='V7',name='IO_SA_B3',func=Pin.types.BIDIR,unit=5),
            Pin(num='V8',name='IO_SA_B5',func=Pin.types.BIDIR,unit=5),
            Pin(num='A2',name='VDD_WC',func=Pin.types.PWRIN,unit=6),
            Pin(num='B1',name='IO_WC_A8',func=Pin.types.BIDIR,unit=6),
            Pin(num='B2',name='IO_WC_B8',func=Pin.types.BIDIR,unit=6),
            Pin(num='C2',name='VDD_WC',func=Pin.types.PASSIVE,unit=6),
            Pin(num='C3',name='IO_WC_A7',func=Pin.types.BIDIR,unit=6),
            Pin(num='C4',name='IO_WC_B7',func=Pin.types.BIDIR,unit=6),
            Pin(num='D1',name='IO_WC_A5',func=Pin.types.BIDIR,unit=6),
            Pin(num='D2',name='IO_WC_B5',func=Pin.types.BIDIR,unit=6),
            Pin(num='D3',name='IO_WC_A6',func=Pin.types.BIDIR,unit=6),
            Pin(num='D4',name='IO_WC_B6',func=Pin.types.BIDIR,unit=6),
            Pin(num='D5',name='VDD_WC',func=Pin.types.PASSIVE,unit=6),
            Pin(num='E1',name='IO_WC_A3',func=Pin.types.BIDIR,unit=6),
            Pin(num='E2',name='IO_WC_B3',func=Pin.types.BIDIR,unit=6),
            Pin(num='E3',name='IO_WC_A4',func=Pin.types.BIDIR,unit=6),
            Pin(num='E4',name='IO_WC_B4',func=Pin.types.BIDIR,unit=6),
            Pin(num='F2',name='VDD_WC',func=Pin.types.PASSIVE,unit=6),
            Pin(num='F3',name='IO_WC_A2',func=Pin.types.BIDIR,unit=6),
            Pin(num='F4',name='IO_WC_B2',func=Pin.types.BIDIR,unit=6),
            Pin(num='F5',name='VDD_WC',func=Pin.types.PASSIVE,unit=6),
            Pin(num='G1',name='IO_WC_A0',func=Pin.types.BIDIR,unit=6),
            Pin(num='G2',name='IO_WC_B0',func=Pin.types.BIDIR,unit=6),
            Pin(num='G3',name='IO_WC_A1',func=Pin.types.BIDIR,unit=6),
            Pin(num='G4',name='IO_WC_B1',func=Pin.types.BIDIR,unit=6),
            Pin(num='H1',name='IO_WB_A7',func=Pin.types.BIDIR,unit=6),
            Pin(num='H2',name='IO_WB_B7',func=Pin.types.BIDIR,unit=6),
            Pin(num='H3',name='IO_WB_A8',func=Pin.types.BIDIR,unit=6),
            Pin(num='H4',name='IO_WB_B8',func=Pin.types.BIDIR,unit=6),
            Pin(num='H5',name='VDD_WB',func=Pin.types.PWRIN,unit=6),
            Pin(num='J2',name='VDD_WB',func=Pin.types.PASSIVE,unit=6),
            Pin(num='J3',name='IO_WB_A6',func=Pin.types.BIDIR,unit=6),
            Pin(num='J4',name='IO_WB_B6',func=Pin.types.BIDIR,unit=6),
            Pin(num='K1',name='IO_WB_A5',func=Pin.types.BIDIR,unit=6),
            Pin(num='K2',name='IO_WB_B5',func=Pin.types.BIDIR,unit=6),
            Pin(num='K3',name='IO_WB_A4',func=Pin.types.BIDIR,unit=6),
            Pin(num='K4',name='IO_WB_B4',func=Pin.types.BIDIR,unit=6),
            Pin(num='K5',name='VDD_WB',func=Pin.types.PASSIVE,unit=6),
            Pin(num='L1',name='IO_WB_A3',func=Pin.types.BIDIR,unit=6),
            Pin(num='L2',name='IO_WB_B3',func=Pin.types.BIDIR,unit=6),
            Pin(num='L3',name='IO_WB_A2',func=Pin.types.BIDIR,unit=6),
            Pin(num='L4',name='IO_WB_B2',func=Pin.types.BIDIR,unit=6),
            Pin(num='M2',name='VDD_WB',func=Pin.types.PASSIVE,unit=6),
            Pin(num='M3',name='IO_WB_A1',func=Pin.types.BIDIR,unit=6),
            Pin(num='M4',name='IO_WB_B1',func=Pin.types.BIDIR,unit=6),
            Pin(num='M5',name='VDD_WB',func=Pin.types.PASSIVE,unit=6),
            Pin(num='N1',name='IO_WB_A0',func=Pin.types.BIDIR,unit=6),
            Pin(num='N2',name='IO_WB_B0',func=Pin.types.BIDIR,unit=6),
            Pin(num='A1',name='GND',func=Pin.types.PWRIN,unit=7),
            Pin(num='A10',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='A13',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='A18',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='A7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='B16',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='C1',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E11',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E13',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E18',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E5',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='E9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F1',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F10',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F14',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F6',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F8',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='F9',name='VDD',func=Pin.types.PWRIN,unit=7),
            Pin(num='G10',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G11',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G12',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G13',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G5',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G6',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G8',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='G9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H10',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H11',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H13',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H14',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H18',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H6',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H7',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H8',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='H9',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J1',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J10',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J11',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J12',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J13',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J5',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J6',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J8',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='J9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K10',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K11',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K13',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K14',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K6',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K7',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K8',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='K9',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L10',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L11',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L12',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L13',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L18',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L5',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L6',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L8',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='L9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M1',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M10',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M11',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M13',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M16',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M6',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M7',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M8',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='M9',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N10',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N16',name='NC',func=Pin.types.NOCONNECT,unit=7),
            Pin(num='N17',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N6',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N8',name='VDD',func=Pin.types.PASSIVE,unit=7),
            Pin(num='N9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='P16',name='VDD_PLL',func=Pin.types.PWRIN,unit=7),
            Pin(num='P4',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='P7',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='P9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='R12',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='R16',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='T11',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='T16',name='VDD_SER_PLL',func=Pin.types.PWRIN,unit=7),
            Pin(num='T17',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='T4',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='U12',name='VDD_SER',func=Pin.types.PWRIN,unit=7),
            Pin(num='U14',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='U15',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='U16',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V1',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V14',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V16',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V17',name='VDD_SER',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V18',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V6',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='V9',name='GND',func=Pin.types.PASSIVE,unit=7),
            Pin(num='T12',name='SER_CLK',func=Pin.types.INPUT,unit=8),
            Pin(num='T13',name='SER_CLK_N',func=Pin.types.INPUT,unit=8),
            Pin(num='T14',name='VDD_CLK',func=Pin.types.PWRIN,unit=8),
            Pin(num='T15',name='~{RESET}',func=Pin.types.INPUT,unit=8),
            Pin(num='V15',name='POR_ADJ',func=Pin.types.PASSIVE,unit=8)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['V11', 'V13', 'U13', 'V12', 'U11']},{'label': 'uB', 'num': 2, 'pin_nums': ['R5', 'P1', 'U4', 'P2', 'V2', 'P5', 'T2', 'V3', 'T3', 'N5', 'V4', 'R1', 'T5', 'R2', 'U1', 'U3', 'N3', 'R3', 'U2', 'N4', 'P3', 'R4', 'T1']},{'label': 'uC', 'num': 3, 'pin_nums': ['D6', 'C7', 'F7', 'A4', 'B9', 'A3', 'B12', 'C8', 'D7', 'B8', 'A5', 'B14', 'C10', 'D14', 'F11', 'A6', 'B3', 'C11', 'C9', 'D8', 'E10', 'A8', 'B4', 'C12', 'D10', 'D9', 'B5', 'A11', 'A9', 'C13', 'B7', 'D11', 'E12', 'B10', 'B6', 'A12', 'C14', 'D12', 'E6', 'A14', 'B11', 'C5', 'D13', 'B13', 'E8', 'C6']},{'label': 'uD', 'num': 4, 'pin_nums': ['M15', 'H16', 'K16', 'E14', 'F17', 'C15', 'F18', 'J14', 'K17', 'L14', 'C16', 'E15', 'G14', 'K18', 'E17', 'A15', 'C17', 'E16', 'G15', 'J15', 'A16', 'C18', 'F13', 'G16', 'J16', 'L15', 'L17', 'A17', 'D15', 'G17', 'J17', 'L16', 'B15', 'D16', 'B18', 'D18', 'F15', 'G18', 'J18', 'B17', 'D17', 'F16', 'H15', 'K15', 'M14', 'H17']},{'label': 'uE', 'num': 5, 'pin_nums': ['P11', 'R6', 'U8', 'R10', 'P12', 'R7', 'T9', 'M18', 'N13', 'P13', 'R11', 'R8', 'N11', 'U10', 'V10', 'P14', 'R13', 'R9', 'R15', 'T18', 'U17', 'V5', 'N14', 'P15', 'R14', 'T10', 'N18', 'U18', 'V7', 'U6', 'N15', 'P17', 'U5', 'V8', 'P10', 'P18', 'R17', 'T6', 'P8', 'T8', 'M17', 'P6', 'R18', 'T7', 'U7', 'U9']},{'label': 'uF', 'num': 6, 'pin_nums': ['C2', 'M5', 'K5', 'H4', 'B2', 'K4', 'M4', 'J2', 'G1', 'H5', 'E1', 'C3', 'E2', 'G2', 'L1', 'N1', 'B1', 'C4', 'E3', 'G3', 'J3', 'F2', 'L2', 'N2', 'F4', 'H3', 'K3', 'D1', 'E4', 'G4', 'J4', 'L3', 'M2', 'M3', 'D2', 'H1', 'K1', 'L4', 'A2', 'D3', 'F3', 'H2', 'D5', 'F5', 'K2', 'D4']},{'label': 'uG', 'num': 7, 'pin_nums': ['H7', 'A18', 'L9', 'A7', 'M1', 'V1', 'B16', 'H8', 'V14', 'M10', 'C1', 'H9', 'M11', 'V16', 'E11', 'J1', 'V17', 'M12', 'E13', 'J10', 'M13', 'V18', 'E18', 'J11', 'M16', 'V6', 'E5', 'J12', 'M6', 'V9', 'E7', 'J13', 'M7', 'E9', 'J5', 'M8', 'F1', 'J6', 'M9', 'F10', 'J7', 'N10', 'F12', 'J8', 'N12', 'F14', 'J9', 'N16', 'F6', 'K10', 'N17', 'F8', 'K11', 'N6', 'K12', 'G10', 'N7', 'F9', 'K13', 'N8', 'G11', 'K14', 'N9', 'G12', 'K6', 'P4', 'G13', 'K7', 'P16', 'G5', 'K8', 'P7', 'G6', 'K9', 'P9', 'G7', 'L10', 'R12', 'G8', 'L11', 'R16', 'G9', 'L12', 'T11', 'H10', 'L13', 'T17', 'H11', 'L18', 'T16', 'H12', 'L5', 'T4', 'A10', 'H13', 'L6', 'U14', 'A1', 'H14', 'L7', 'U12', 'A13', 'H18', 'L8', 'U15', 'H6', 'U16']},{'label': 'uH', 'num': 8, 'pin_nums': ['T13', 'T15', 'V15', 'T12', 'T14']}] })])