from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Filter = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'0850BM14E0016', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'0850BM14E0016'}), 'ref_prefix':'FL', 'fplist':['RF_Converter:Balun_Johanson_1.6x0.8mm'], 'footprint':'RF_Converter:Balun_Johanson_1.6x0.8mm', 'keywords':'Sub-GHz Balun', 'description':'', 'datasheet':'https://www.johansontechnology.com/datasheets/0850BM14E0016/0850BM14E0016.pdf', 'pins':[
            Pin(num='1',name='UBP',func=Pin.types.PASSIVE),
            Pin(num='2',name='RX/TX',func=Pin.types.PASSIVE),
            Pin(num='3',name='RF_N',func=Pin.types.PASSIVE),
            Pin(num='4',name='RF_P',func=Pin.types.PASSIVE),
            Pin(num='5',name='GND',func=Pin.types.PWRIN),
            Pin(num='6',name='GND',func=Pin.types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'0900FM15K0039', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'0900FM15K0039'}), 'ref_prefix':'FL', 'fplist':['RF_Converter:Balun_Johanson_0900FM15K0039'], 'footprint':'RF_Converter:Balun_Johanson_0900FM15K0039', 'keywords':'Sub-GHz filter', 'description':'', 'datasheet':'https://www.johansontechnology.com/datasheets/0900FM15K0039/0900FM15K0039.pdf', 'pins':[
            Pin(num='1',name='RFO',func=Pin.types.PASSIVE),
            Pin(num='10',name='GND',func=Pin.types.PASSIVE),
            Pin(num='2',name='GND',func=Pin.types.PWRIN),
            Pin(num='3',name='RFI_N',func=Pin.types.PASSIVE),
            Pin(num='4',name='RFI_P',func=Pin.types.PASSIVE),
            Pin(num='5',name='GND',func=Pin.types.PASSIVE),
            Pin(num='6',name='SW_RFI',func=Pin.types.PASSIVE),
            Pin(num='7',name='GND',func=Pin.types.PASSIVE),
            Pin(num='8',name='SW_RFO',func=Pin.types.PASSIVE),
            Pin(num='9',name='GND',func=Pin.types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP45-0R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP45-0R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'B39162B8813P810', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'B39162B8813P810'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://product.tdk.com/search-template/en/documents/data_sheet/40/ds/mc/B9482.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BNX025', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BNX025'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Murata_BNX025'], 'footprint':'Filter:Filter_Murata_BNX025', 'keywords':'EMI Filter SMD Murata', 'description':'', 'datasheet':'https://www.murata.com/en-us/products/productdetail.aspx?cate=luNoiseSupprFilteBlockType&partno=BNX025H01%23', 'pins':[
            Pin(num='1',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='CB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PSG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='CG',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-251', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-251'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.3-02-22M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.3-02-22M'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Wurth_WE-CNSW_744232090', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Wurth_WE-CNSW_744232090'}), 'ref_prefix':'L', 'fplist':['Inductor_SMD:L_CommonMode_Wurth_WE-CNSW-1206'], 'footprint':'Inductor_SMD:L_CommonMode_Wurth_WE-CNSW-1206', 'keywords':'common mode choke emi usb', 'description':'', 'datasheet':'https://www.we-online.com/components/products/datasheet/744232090.pdf', 'pins':[
            Pin(num='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'pins':[
            Pin(num='1',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1562xxG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1562xxG'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'filter opamp quad', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/1562fa.pdf', 'pins':[
            Pin(num='1',name='INV_B',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='INV_A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='INV_D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='V1_D',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='V2_D',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='V2_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='V1_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='V1_B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='INV_C',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V2_B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SHDN',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='V2_A',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='V1_A',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SF14-1575F5UUA1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SF14-1575F5UUA1'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/sf14_gnss.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP41-4R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP41-4R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP42-3R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP42-3R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP44-2R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP44-2R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP45-1R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP45-1R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP61-4R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP61-4R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP62-3R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP62-3R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP64-2R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP64-2R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP65-0R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP65-0R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'1FP65-1R', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'1FP65-1R'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx', 'Filter:Filter_FILTERCON_1FPxx'], 'footprint':'Filter:Filter_FILTERCON_1FPxx', 'keywords':'EMI', 'description':'', 'datasheet':'https://filtercon.com.pl/wp-content/uploads/2019/07/Karta-katalogowa-FP-12-1.pdf', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-142', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-142'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-222', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-222'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-601', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-601'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Coilcraft_0603USB-951', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Coilcraft_0603USB-951'}), 'ref_prefix':'FL', 'fplist':['Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB'], 'footprint':'Inductor_SMD:L_CommonModeChoke_Coilcraft_0603USB', 'keywords':'common-mode common mode choke signal line filter', 'description':'', 'datasheet':'https://www.coilcraft.com/pdfs/0603usb.pdf', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.3-02-12M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.3-02-12M'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-0.6-02-4M4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-0.6-02-4M4'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-1-02-3M0', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-1-02-3M0'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-1.5-02-1M6', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-1.5-02-1M6'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Choke_Schaffner_RN102-2-02-1M1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Choke_Schaffner_RN102-2-02-1M1'}), 'ref_prefix':'FL', 'fplist':['Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm'], 'footprint':'Inductor_THT:Choke_Schaffner_RN102-04-14.0x14.0mm', 'keywords':'common-mode common mode choke powerline power line filter', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/rn-series-common-mode-chokes-new/', 'pins':[
            Pin(num='1',name='1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'pins':[
            Pin(num='1',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-10-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-10-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'pins':[
            Pin(num='1',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'pins':[
            Pin(num='1',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN405-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN405-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405', 'Filter:Filter_Schaffner_FN405'], 'footprint':'Filter:Filter_Schaffner_FN405', 'keywords':'EMI', 'description':'', 'datasheet':'https://www.schaffner.com/de/produkte/download/product/datasheet/fn-405-pcb-mounting-filter/', 'pins':[
            Pin(num='1',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="P'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406-8.4-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406-8.4-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-0.5-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-0.5-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-1-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-1-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-3-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-3-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-6-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-6-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'FN406B-8.4-02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FN406B-8.4-02'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406', 'Filter:Filter_Schaffner_FN406'], 'footprint':'Filter:Filter_Schaffner_FN406', 'keywords':'EMI mains', 'description':'', 'datasheet':'https://www.schaffner.com/products/download/product/datasheet/fn-406-ultra-compact-emc-filter/', 'pins':[
            Pin(num='1',name='P',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='N',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name="N'",func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name="P'",func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC1562xG-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC1562xG-2'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'filter opamp quad', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/15622fa.pdf', 'pins':[
            Pin(num='1',name='INV_B',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='INV_A',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='INV_D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='V1_D',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='V2_D',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='V2_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='V1_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='V1_B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='INV_C',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='V2_B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SHDN',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='V-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='V2_A',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='V1_A',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA1G58KA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA1G58KA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA1G96FN0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA1G96FN0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA2G14FA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA2G14FA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA881MFL0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA881MFL0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFA942MFM0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFA942MFM0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB1G58KA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB1G58KA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB1G96FN0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB1G96FN0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB2G14FA0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB2G14FA0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB881MFL0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB881MFL0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SAFFB942MFM0F0A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SAFFB942MFM0F0A'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm', 'Filter:Filter_1109-5_1.1x0.9mm'], 'footprint':'Filter:Filter_1109-5_1.1x0.9mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://www.murata.com/~/media/webrenewal/support/library/catalog/products/filter/rf/p73e.ashx?la=en', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SF14-1575F5UUC1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SF14-1575F5UUC1'}), 'ref_prefix':'FL', 'fplist':['Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm', 'Filter:Filter_1411-5_1.4x1.1mm'], 'footprint':'Filter:Filter_1411-5_1.4x1.1mm', 'keywords':'SAW filter', 'description':'', 'datasheet':'https://global.kyocera.com/prdct/electro/product/pdf/sf14_gnss.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])