from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Interface_Ethernet = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'DP83848C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DP83848C'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'Ethernet PHY MII RMII 10/100Mpbs', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/dp83848c.pdf', 'pins':[
            Pin(num='1',name='TX_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='RD-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='RD+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TD-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='TD+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='PFBIN1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='TX_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='RESERVED',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='RESERVED',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='AVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='PFBOUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='25M_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='AN_EN/LED_ACT/COL',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='AN1/LED_SPEED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='AN0/LED_LINK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='TXD_0',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='IOVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='34',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='IOGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='36',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='PFBIN2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='RX_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='39',name='RX_DV/MII_MODE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='TXD_1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='CRS/CRS_DV/LED_CFG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='41',name='RX_ER/MDIX_EN',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='COL/PHY_AD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='43',name='RXD_0/PHY_AD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='RXD_1/PHY_AD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='RXD_2/PHY_AD3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='RXD_3/PHY_AD4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='47',name='IOGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='48',name='IOVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TXD_2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='TXD_3/SNI_MODE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='PWR_DOWN/INT',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-ML', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-ML'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-28-1EP_6x6mm_P0.65mm_EP4.25x4.25mm'], 'footprint':'Package_DFN_QFN:QFN-28-1EP_6x6mm_P0.65mm_EP4.25x4.25mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'pins':[
            Pin(num='1',name='~{WOL}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VSSTX',func=Pin.types.PWROUT,unit=1),
            Pin(num='15',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='OSC2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='LEDB',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='VSSRX',func=Pin.types.PWROUT,unit=1),
            Pin(num='8',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='TPIN+',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SO', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SO'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-28W_7.5x17.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-28W_7.5x17.9mm_P1.27mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'pins':[
            Pin(num='1',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-28_W7.62mm'], 'footprint':'Package_DIP:DIP-28_W7.62mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'pins':[
            Pin(num='1',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC28J60x-SS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC28J60x-SS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-28_5.3x10.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-28_5.3x10.2mm_P0.65mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/39662e.pdf', 'pins':[
            Pin(num='1',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='VSSRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TPIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='VSSTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='OSC2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='LEDB',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='~{WOL}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC424J600-ML', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC424J600-ML'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-44-1EP_8x8mm_P0.65mm_EP6.45x6.45mm'], 'footprint':'Package_DFN_QFN:QFN-44-1EP_8x8mm_P0.65mm_EP6.45x6.45mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39935c.pdf', 'pins':[
            Pin(num='1',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='VSSRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TPIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VSSTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSC2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='VSSTX',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{INT}/SPISEL',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='AD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='AD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='AD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='AD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='AD12',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='AD13',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='AD14',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='PSPCFG0',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='~{CS}/CS',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='SO/WR/EN',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='SI/RD/R~{W}',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='SCK/AL',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='AD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='AD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='AD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='44',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='AD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='AD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='AD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='AD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='LEDB',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ENC424J600-PT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ENC424J600-PT'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-44_10x10mm_P0.8mm'], 'footprint':'Package_QFP:TQFP-44_10x10mm_P0.8mm', 'keywords':'ENC Ethernet', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39935c.pdf', 'pins':[
            Pin(num='1',name='VSSOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='LEDA',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='RBIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='VDDPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='VSSPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='VSSRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='VDDRX',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TPIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='TPIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='VDDTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VSSTX',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSC2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='TPOUT+',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='TPOUT-',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='VSSTX',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{INT}/SPISEL',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='AD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='AD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='AD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='AD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='AD12',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='OSC1',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='AD13',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='AD14',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='PSPCFG0',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='~{CS}/CS',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='SO/WR/EN',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='SI/RD/R~{W}',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='SCK/AL',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='AD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDDOSC',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='AD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='AD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='VCAP',func=Pin.types.INPUT,unit=1),
            Pin(num='44',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='AD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='AD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='AD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='AD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='LEDB',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081MLX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081MLX'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'ETH PHY RMII MII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ8081MLX.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='RXP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='TXM',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='TXP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='REXT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='RXD3/PHYAD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='RXD2/PHYAD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='RXD1/PHYAD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='RXD0/DUPLEX',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='27',name='RXDV/CONFIG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RXC/B-CAST_OFF',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RXER/ISO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='VDD_1.2',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='INTRP/NAND_Tree#',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='TXC',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD_1.2',func=Pin.types.PWROUT,unit=1),
            Pin(num='40',name='COL/CONFIG0',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='CRS/CONFIG1',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='LED0/NWAYEN',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='LED1/SPEED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='TEST/NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='45',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='46',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='47',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='VDDA_3.3',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='RXM',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081RNA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081RNA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002199A.pdf', 'pins':[
            Pin(num='1',name='VDD_1.2',func=Pin.types.PWROUT,unit=1),
            Pin(num='10',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='RXD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='RXD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='CRS_DV/PHYAD[1:0]',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='REF_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='RXER',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='INTRP',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='VDDA_3.3',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='TXD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='LED0/ANEN_SPEED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='RXM',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='TXM',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='TXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='REXT',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9031RNXCA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9031RNXCA'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_7x7mm_P0.5mm_EP5.15x5.15mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_7x7mm_P0.5mm_EP5.15x5.15mm', 'keywords':'ETHERNET PHY RGMII WOL IEEE 802.3 MICROCHIP', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002117C.pdf', 'pins':[
            Pin(num='1',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='TXRXP_D',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='TXRXM_D',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='14',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='LED2/PHYAD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='DVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='LED1/PHAD0/PME_N1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='TXRXP_A',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='GTX_CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='TX_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='RXD3/MODE3',func=Pin.types.INPUT,unit=1),
            Pin(num='28',name='RXD2/MODE2',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='TXRXM_A',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='RXD1/MODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='RXD0/MODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='RX_DV/CLK125_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='DVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='RX_CLK/PHYAD2',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='MDIO',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='INT_N/PME_N2',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='DVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='CLK125_NDO/LED_MODE',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='RESET_N',func=Pin.types.INPUT,unit=1),
            Pin(num='43',name='LDO_O',func=Pin.types.INPUT,unit=1),
            Pin(num='44',name='AVDDL_PLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='47',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='48',name='ISET',func=Pin.types.OUTPUT,unit=1),
            Pin(num='49',name='PAD_GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TXRXP_B',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='TXRXM_B',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='TXRXP_C',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='TXRXM_C',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='AVDDL',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9563RNX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9563RNX'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm', 'keywords':'Gigabit Ethernet Switch RGMII MII RMII ieee1588v2', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ9563R-Data-Sheet-DS00002419C.pdf', 'pins':[
            Pin(num='1',name='TXRX1P_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='TXRX2M_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TXRX2P_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='TXRX2M_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='TXRX2P_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='TXRX2M_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='TXRX2P_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='TXRX2M_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='TXRX1M_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RXD3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='RXD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='RXD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='RX_CLK/REFCLKO',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='RX_DV/CRS_DV/RX_CTL',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='RX_ER',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='TXRX1P_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='TX_CLK/REFCLKI',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='TX_EN/TX_CTL',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='TX_ER',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='GPIO_1',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='TXRX1M_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='GPIO_2',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='LED2_0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='43',name='LED2_1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='~{PME}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='~{INTRP}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='46',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='47',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='48',name='SDI/SDA/MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='~{SCS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='50',name='SCL/MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='51',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='LED1_0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='LED1_1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='54',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='55',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='56',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='57',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='58',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='TXRX1P_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='ISET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='62',name='TXRX1P_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='TXRX1M_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='TXRX1M_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='TXRX2P_A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ9893RNX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ9893RNX'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_8x8mm_P0.4mm_EP6.5x6.5mm', 'keywords':'Gigabit Ethernet Switch RGMII MII RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/KSZ9893R-Data-Sheet-DS00002420C.pdf', 'pins':[
            Pin(num='1',name='TXRX1P_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='TXRX2M_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='TXRX2P_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='TXRX2M_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='TXRX2P_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='TXRX2M_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='TXRX2P_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='TXRX2M_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='TXRX1M_B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RXD3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='RXD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='RXD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='RX_CLK/REFCLKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='RX_DV/CRS_DV/RX_CTL',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='RX_ER',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='TXRX1P_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='TX_CLK/REFCLKI',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='TX_EN/TX_CTL',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='TX_ER',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='TXRX1M_C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='41',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='LED2_0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='43',name='LED2_1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='~{PME}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='~{INTRP}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='47',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='48',name='SDI/SDA/MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='~{SCS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='50',name='SCL/MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='51',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='LED1_0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='LED1_1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='54',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='55',name='DVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='56',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='57',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='58',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='59',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='TXRX1P_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='ISET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='61',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='62',name='TXRX1P_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='63',name='TXRX1M_A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='AVDDL',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='TXRX1M_D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='AVDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='TXRX2P_A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN7500-ABJZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN7500-ABJZ'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm', 'keywords':'USB Ethernet 10/100/1000', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00001734B.pdf', 'pins':[
            Pin(num='1',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='VDD12CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VDD12USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='GPIO8',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='VDDVARIO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='VDD12CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='GPIO9',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='GPIO10',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='VDD12CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='VDDVARIO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='GPIO11',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='28',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='VDD12CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='VDD12CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='VDDVARIO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='TEST',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='40',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='VDD12A',func=Pin.types.PWRIN,unit=1),
            Pin(num='48',name='VDD12A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='VDD12BIAS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='50',name='VDD12PLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='53',name='VDD12A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='VDD12A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='VDDVARIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VDD12CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='SW_MODE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='USBDM',func=Pin.types.BIDIR,unit=2),
            Pin(num='13',name='USBDP',func=Pin.types.BIDIR,unit=2),
            Pin(num='14',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='16',name='USBRBIAS',func=Pin.types.PASSIVE,unit=2),
            Pin(num='41',name='ETHRBIAS',func=Pin.types.PASSIVE,unit=2),
            Pin(num='43',name='TR0N',func=Pin.types.BIDIR,unit=2),
            Pin(num='44',name='TR0P',func=Pin.types.BIDIR,unit=2),
            Pin(num='46',name='TR1N',func=Pin.types.BIDIR,unit=2),
            Pin(num='47',name='TR1P',func=Pin.types.BIDIR,unit=2),
            Pin(num='51',name='TR2N',func=Pin.types.BIDIR,unit=2),
            Pin(num='52',name='TR2P',func=Pin.types.BIDIR,unit=2),
            Pin(num='54',name='TR3N',func=Pin.types.BIDIR,unit=2),
            Pin(num='55',name='TR3P',func=Pin.types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['29', '37', '30', '23', '10', '22', '3', '49', '8', '24', '38', '5', '53', '9', '31', '39', '50', '15', '17', '25', '32', '4', '56', '19', '18', '11', '26', '33', '40', '20', '1', '27', '34', '42', '2', '36', '48', '57', '7', '28', '35', '45', '6', '21']},{'label': 'uB', 'num': 2, 'pin_nums': ['41', '44', '47', '52', '55', '13', '16', '43', '46', '51', '54', '14', '12']}] }),
        Part(**{ 'name':'LAN8710A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8710A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm_ThermalVias', 'keywords':'ETH PHY MII RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8710a.pdf', 'pins':[
            Pin(num='1',name='VDD2A',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='RXD1/~{MODE1}',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='RXD0/~{MODE0}',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='RXER/RXD4/~{PHYAD0}',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='CRS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='COL/CRS_DV/~{MODE2}',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='~{INT}/TXER/TXD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='TXCLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='RXDV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='VDD1A',func=Pin.types.PWRIN,unit=1),
            Pin(num='28',name='TXN',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='TXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='LED1/~{REGOFF}',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RXN',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RBIAS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='XTAL2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='RXCLK/~{PHYAD1}',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='RXD3/~{PHYAD2}',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='RXD2/~{RMIISEL}',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN8720A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8720A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8720a.pdf', 'pins':[
            Pin(num='1',name='VDD2A',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='RXER/PHYAD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='CRS_DV/MODE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~{INT}/REFCLKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='VDD1A',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='TXN',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='TXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RXN',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RBIAS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='LED1/REGOFF',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='XTAL2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='RXD1/MODE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='RXD0/MODE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VDDIO',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN8742A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN8742A'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias'], 'footprint':'Package_DFN_QFN:VQFN-24-1EP_4x4mm_P0.5mm_EP2.5x2.5mm_ThermalVias', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/8742a.pdf', 'pins':[
            Pin(num='1',name='VDD2A',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='RXER/PHYAD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='CRS_DV/MODE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~{INT}/REFCLKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='VDD1A',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='LED2/~{INTSEL}',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='TXN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='TXP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='RXN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='RXP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='LED1/REGOFF',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='XTAL2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='XTAL1/CLKIN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VDDCR',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='RXD1/MODE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='RXD0/MODE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VDDIO',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9303', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9303'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'keywords':'ETH PHY RMII switch', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/9303.pdf', 'pins':[
            Pin(num='1',name='TXN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P0_OUTD3/~{DUPLEX_POL_0}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0_OUTD2/~{P0_MODE2}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0_OUTD1/~{P0_MODE1}',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0_OUTD0/~{P0_MODE0}',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='P0_OUTDV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='P0_OUTCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0_COL',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='P0_CRS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='P0_IND3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='P0_DUPLEX',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='MDC',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='LED5/GPIO5/~{PHYADDR}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='LED4/GPIO4/~{MNGT1}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='LED3/GPIO3/~{MNGT0}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='LED2/GPIO2/~{E2PSIZE}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='LED1/GPIO1/~{AMDIX2}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='LED0/GPIO0/~{AMDIX1}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='P0_IND2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='EE_SDA/SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='EE_SCL/SCL',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='~{RST}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='IRQ',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P0_IND1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='XO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='VDD18PLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='TXN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='TXP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='VDD33A1',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='RXN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RXP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='VDD33A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='VDD18TX1',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='EXRES',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P0_IND0',func=Pin.types.INPUT,unit=1),
            Pin(num='50',name='VDD33BIAS',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD18TX2',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='VDD33A2',func=Pin.types.PWRIN,unit=1),
            Pin(num='53',name='RXP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RXN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='VDD33A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='TXP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0_INDV',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='P0_INER',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0_INCLK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='VDD33IO',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9512', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9512'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002304A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='18',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['5', '29', '65', '40', '30', '42', '54', '13', '15', '31', '43', '33', '57', '32', '10', '44', '21', '20', '46', '45', '19', '34', '12', '60', '25', '22', '35', '28', '47', '61', '36', '49', '64', '27', '26', '38', '37', '48', '62', '23', '24', '39', '51']},{'label': 'uB', 'num': 2, 'pin_nums': ['3', '58', '6', '1', '59', '4', '11', '41', '7', '14', '17', '50', '63', '16', '52', '8', '18', '9', '53', '55', '2', '56']}] }),
        Part(**{ 'name':'LAN9513', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9513'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002305A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=Pin.types.BIDIR,unit=2),
            Pin(num='18',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=Pin.types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=Pin.types.BIDIR,unit=2),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['40', '64', '32', '51', '23', '13', '25', '42', '5', '27', '65', '15', '26', '34', '43', '54', '19', '10', '35', '44', '46', '57', '28', '36', '45', '20', '38', '12', '29', '37', '60', '21', '30', '39', '47', '61', '22', '49', '31', '48', '62', '33', '24']},{'label': 'uB', 'num': 2, 'pin_nums': ['56', '2', '3', '58', '59', '1', '4', '11', '41', '6', '63', '14', '50', '8', '52', '16', '7', '18', '17', '53', '9', '55']}] }),
        Part(**{ 'name':'LAN9514', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9514'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002306A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=Pin.types.BIDIR,unit=2),
            Pin(num='18',name='PRTCTL5',func=Pin.types.BIDIR,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=Pin.types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=Pin.types.BIDIR,unit=2),
            Pin(num='8',name='USBDM5',func=Pin.types.BIDIR,unit=2),
            Pin(num='9',name='USBDP5',func=Pin.types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['57', '31', '46', '23', '33', '24', '60', '32', '40', '61', '64', '13', '25', '42', '27', '62', '15', '26', '34', '43', '19', '35', '47', '49', '48', '65', '28', '36', '20', '10', '38', '51', '5', '12', '29', '37', '44', '21', '45', '54', '30', '39', '22']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '63', '50', '52', '16', '7', '17', '53', '8', '18', '55', '9', '2', '56', '3', '58', '1', '4', '59', '11', '41', '6']}] }),
        Part(**{ 'name':'RTL8211EG-VB-CG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RTL8211EG-VB-CG'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.8x3.8mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.8x3.8mm', 'keywords':'Ethernet Phy Gigabit', 'description':'', 'datasheet':'https://datasheet.lcsc.com/szlcsc/Realtek-Semicon-RTL8211EG-VB-CG_C69264.pdf', 'pins':[
            Pin(num='1',name='CLK125',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='AVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='MDI[2]+',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='MDI[2]-',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='AVDD10',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='MDI[3]+',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='MDI[3]-',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='17',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='18',name='RXDV/PHY_AD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='RXD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='DVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RXD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='RXD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='RXD3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='RXC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='RXD4/SELRGV',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='DVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='RXD5/TXDLY',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RXD6/RXDLY',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RXD7/AN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='REG_OUT',func=Pin.types.PWROUT,unit=1),
            Pin(num='30',name='RXER/AN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='COL/MODE',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='CRS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='33',name='DVDD10',func=Pin.types.PWRIN,unit=1),
            Pin(num='34',name='GTX_CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='DVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='~{PHYRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='TXD1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TXD2',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='TXD3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='TXCLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='43',name='TXD4',func=Pin.types.INPUT,unit=1),
            Pin(num='44',name='TXD5',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='TXD6',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='TXD7',func=Pin.types.INPUT,unit=1),
            Pin(num='47',name='TXER',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='DVDD10',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='DVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='MDI[0]+',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='LED0/PHY_AD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='LED1/PHY_AD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='LED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='54',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='~{PME}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='56',name='~{INT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='57',name='ENSWREG',func=Pin.types.INPUT,unit=1),
            Pin(num='58',name='RSET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='59',name='AVDD10',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='MDI[0]-',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='AVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='61',name='CKXTAL1',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='CKXTAL2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='63',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='64',name='VDDREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='AVDD10',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='MDI[1]+',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='MDI[1]-',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VSC8541XMV-0x', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VSC8541XMV-0x'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-68-1EP_8x8mm_P0.4mm_EP5.2x5.2mm'], 'footprint':'Package_DFN_QFN:QFN-68-1EP_8x8mm_P0.4mm_EP5.2x5.2mm', 'keywords':'Gigabit Ethernet PHY GMII RGMII MII RMII', 'description':'', 'datasheet':'https://ethernet.microsemi.com/products/download.php?fid=7978&number=vsc8541', 'pins':[
            Pin(num='1',name='REF_REXT',func=Pin.types.PASSIVE),
            Pin(num='10',name='P0_D1P',func=Pin.types.PASSIVE),
            Pin(num='11',name='VDD25A',func=Pin.types.PWRIN),
            Pin(num='12',name='P0_D0N',func=Pin.types.PASSIVE),
            Pin(num='13',name='P0_D0P',func=Pin.types.PASSIVE),
            Pin(num='14',name='VDD1A',func=Pin.types.PWRIN),
            Pin(num='15',name='THERMDA',func=Pin.types.PASSIVE),
            Pin(num='16',name='THERMDC_VSS',func=Pin.types.PASSIVE),
            Pin(num='17',name='VDD1',func=Pin.types.PWRIN),
            Pin(num='18',name='COL',func=Pin.types.BIDIR),
            Pin(num='19',name='CRS',func=Pin.types.BIDIR),
            Pin(num='2',name='VDD25A',func=Pin.types.PWRIN),
            Pin(num='20',name='RXD7',func=Pin.types.BIDIR),
            Pin(num='21',name='RXD6',func=Pin.types.BIDIR),
            Pin(num='22',name='VDDMAC',func=Pin.types.PWRIN),
            Pin(num='23',name='RXD5',func=Pin.types.BIDIR),
            Pin(num='24',name='RXD4',func=Pin.types.BIDIR),
            Pin(num='25',name='RXD3',func=Pin.types.BIDIR),
            Pin(num='26',name='RXD2',func=Pin.types.BIDIR),
            Pin(num='27',name='RXD1',func=Pin.types.BIDIR),
            Pin(num='28',name='VDDMAC',func=Pin.types.PASSIVE),
            Pin(num='29',name='RXD0',func=Pin.types.BIDIR),
            Pin(num='3',name='P0_D3N',func=Pin.types.PASSIVE),
            Pin(num='30',name='RX_DV/RX_CTL',func=Pin.types.BIDIR),
            Pin(num='31',name='RX_ER',func=Pin.types.BIDIR),
            Pin(num='32',name='RX_CLK',func=Pin.types.BIDIR),
            Pin(num='33',name='TX_EN/TX_CTL',func=Pin.types.INPUT),
            Pin(num='34',name='VDD1',func=Pin.types.PASSIVE),
            Pin(num='35',name='TX_ER',func=Pin.types.INPUT),
            Pin(num='36',name='MII_TXCLK',func=Pin.types.BIDIR),
            Pin(num='37',name='GTX_CLK',func=Pin.types.INPUT),
            Pin(num='38',name='TXD0',func=Pin.types.INPUT),
            Pin(num='39',name='VDDMAC',func=Pin.types.PASSIVE),
            Pin(num='4',name='P0_D3P',func=Pin.types.PASSIVE),
            Pin(num='40',name='TXD1',func=Pin.types.INPUT),
            Pin(num='41',name='TXD2',func=Pin.types.INPUT),
            Pin(num='42',name='TXD3',func=Pin.types.INPUT),
            Pin(num='43',name='TXD4',func=Pin.types.INPUT),
            Pin(num='44',name='VDDMAC',func=Pin.types.PASSIVE),
            Pin(num='45',name='TXD5',func=Pin.types.INPUT),
            Pin(num='46',name='TXD6',func=Pin.types.INPUT),
            Pin(num='47',name='TXD7',func=Pin.types.INPUT),
            Pin(num='48',name='MDC',func=Pin.types.INPUT),
            Pin(num='49',name='VDDMDIO',func=Pin.types.PWRIN),
            Pin(num='5',name='VDD1A',func=Pin.types.PWRIN),
            Pin(num='50',name='MDIO',func=Pin.types.BIDIR),
            Pin(num='51',name='MDINT',func=Pin.types.OUTPUT),
            Pin(num='52',name='FASTLINK_FAIL',func=Pin.types.OUTPUT),
            Pin(num='53',name='NRESET',func=Pin.types.INPUT),
            Pin(num='54',name='CLKOUT',func=Pin.types.BIDIR),
            Pin(num='55',name='RCVRD_CLK',func=Pin.types.OUTPUT),
            Pin(num='56',name='COMA_MODE',func=Pin.types.BIDIR),
            Pin(num='57',name='CLK_SQUELCH_IN',func=Pin.types.INPUT),
            Pin(num='58',name='VDDIO',func=Pin.types.PWRIN),
            Pin(num='59',name='LED1',func=Pin.types.OUTPUT),
            Pin(num='6',name='P0_D2N',func=Pin.types.PASSIVE),
            Pin(num='60',name='LED0',func=Pin.types.OUTPUT),
            Pin(num='61',name='REFCLK_SEL_1',func=Pin.types.INPUT),
            Pin(num='62',name='REFCLK_SEL_0',func=Pin.types.INPUT),
            Pin(num='63',name='XTAL1',func=Pin.types.INPUT),
            Pin(num='64',name='XTAL2',func=Pin.types.OUTPUT),
            Pin(num='65',name='RESERVED_1',func=Pin.types.NOCONNECT),
            Pin(num='66',name='RESERVED_0',func=Pin.types.NOCONNECT),
            Pin(num='67',name='REF_FILT',func=Pin.types.PASSIVE),
            Pin(num='68',name='VDD1A',func=Pin.types.PWRIN),
            Pin(num='69',name='VSS',func=Pin.types.PWRIN),
            Pin(num='7',name='P0_D2P',func=Pin.types.PASSIVE),
            Pin(num='8',name='VDD25A',func=Pin.types.PWRIN),
            Pin(num='9',name='P0_D1N',func=Pin.types.PASSIVE)], 'unit_defs':[] }),
        Part(**{ 'name':'W5100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'W5100'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-80_10x10mm_P0.4mm'], 'footprint':'Package_QFP:LQFP-80_10x10mm_P0.4mm', 'keywords':'Wiznet Ethernet controller', 'description':'', 'datasheet':'http://www.wiznet.io/wp-content/uploads/wiznethome/Chip/W5100/Document/W5100_Datasheet_v1.2.7.pdf', 'pins':[
            Pin(num='1',name='RSET_BG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='GNDA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='1V8_OUT',func=Pin.types.PWROUT,unit=1),
            Pin(num='12',name='VCC3V3D',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='GNDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='GNDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='VCC1V8D',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='VCC1V8D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='GNDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC3V3D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='DATA7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='VCC3V3A',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='DATA6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='DATA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='DATA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='DATA3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='DATA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='DATA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='DATA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='MISO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='MOSI',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='~{SCS}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='30',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='SEN',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='GNDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='VCC1V8D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST_MODE3',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='TEST_MODE2',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='TEST_MODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='TEST_MODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='ADDR14',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='ADDR13',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GNDA',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='ADDR12',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='ADDR11',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='ADDR10',func=Pin.types.INPUT,unit=1),
            Pin(num='43',name='GNDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='VCC3V3D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='45',name='ADDR9',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='ADDR8',func=Pin.types.INPUT,unit=1),
            Pin(num='47',name='ADDR7',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='ADDR6',func=Pin.types.INPUT,unit=1),
            Pin(num='49',name='ADDR5',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RXIP',func=Pin.types.INPUT,unit=1),
            Pin(num='50',name='ADDR4',func=Pin.types.INPUT,unit=1),
            Pin(num='51',name='ADDR3',func=Pin.types.INPUT,unit=1),
            Pin(num='52',name='ADDR2',func=Pin.types.INPUT,unit=1),
            Pin(num='53',name='ADDR1',func=Pin.types.INPUT,unit=1),
            Pin(num='54',name='ADDR0',func=Pin.types.INPUT,unit=1),
            Pin(num='55',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='56',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='57',name='~{WR}',func=Pin.types.INPUT,unit=1),
            Pin(num='58',name='~{RD}',func=Pin.types.INPUT,unit=1),
            Pin(num='59',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='RXIN',func=Pin.types.INPUT,unit=1),
            Pin(num='60',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='61',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='62',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='63',name='OPMODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='64',name='OPMODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='65',name='OPMODE2',func=Pin.types.INPUT,unit=1),
            Pin(num='66',name='LINKLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='67',name='SPDLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='68',name='GNDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='69',name='VCC1V8D',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='VCC1V8A',func=Pin.types.PWRIN,unit=1),
            Pin(num='70',name='FDXLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='71',name='COLLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='72',name='RXLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='73',name='TXLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='74',name='VCC1V8A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='75',name='XTLN',func=Pin.types.INPUT,unit=1),
            Pin(num='76',name='XTLP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='77',name='GNDA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='78',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='79',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='TXOP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='80',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='TXON',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'W5500', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'W5500'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'WIZnet Ethernet controller', 'description':'', 'datasheet':'http://wizwiki.net/wiki/lib/exe/fetch.php/products:w5500:w5500_ds_v109e.pdf', 'pins':[
            Pin(num='1',name='TXN',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='EXRES1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='14',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VBG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='TXP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='TOCAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='1V2O',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='SPDLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='LINKLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='DUPLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='ACTLED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='XI/CLKIN',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='~{SCS}',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='34',name='MISO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='35',name='MOSI',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='~{INT}',func=Pin.types.INPUT,unit=1),
            Pin(num='37',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='RSVD',func=Pin.types.INPUT,unit=1),
            Pin(num='43',name='PMODE2',func=Pin.types.INPUT,unit=1),
            Pin(num='44',name='PMODE1',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='PMODE0',func=Pin.types.INPUT,unit=1),
            Pin(num='46',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='47',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='48',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='RXN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='RXP',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DNC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='AGND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WGI210AT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WGI210AT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.4x3.4mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP3.4x3.4mm', 'keywords':'Gigabit ethernet PHY PCIe', 'description':'', 'datasheet':'http://www.intel.com/content/www/us/en/ethernet-controllers/i210-ethernet-controller-datasheet.html', 'pins':[
            Pin(num='1',name='LAN_PWR_GOOD',func=Pin.types.INPUT),
            Pin(num='10',name='VDD3p3',func=Pin.types.PWRIN),
            Pin(num='11',name='VDD0p9',func=Pin.types.PWRIN),
            Pin(num='12',name='NVM_SI',func=Pin.types.OUTPUT),
            Pin(num='13',name='NVM_SK',func=Pin.types.OUTPUT),
            Pin(num='14',name='NVM_SO',func=Pin.types.INPUT),
            Pin(num='15',name='~{NVM_CS}',func=Pin.types.OUTPUT),
            Pin(num='16',name='~{PE_WAKE}',func=Pin.types.BIDIR),
            Pin(num='17',name='~{PE_RST}',func=Pin.types.INPUT),
            Pin(num='18',name='JTAG_TMS',func=Pin.types.INPUT),
            Pin(num='19',name='JTAG_CLK',func=Pin.types.INPUT),
            Pin(num='2',name='NC_SI_CLK_IN',func=Pin.types.INPUT),
            Pin(num='20',name='PE_Tn',func=Pin.types.OUTPUT),
            Pin(num='21',name='PE_Tp',func=Pin.types.OUTPUT),
            Pin(num='22',name='NC/Vext',func=Pin.types.PWRIN),
            Pin(num='23',name='PE_Rn',func=Pin.types.INPUT),
            Pin(num='24',name='PE_Rp',func=Pin.types.INPUT),
            Pin(num='25',name='PECLKn',func=Pin.types.INPUT),
            Pin(num='26',name='PECLKp',func=Pin.types.INPUT),
            Pin(num='27',name='VDD3p3',func=Pin.types.PASSIVE),
            Pin(num='28',name='~{DEV_OFF}',func=Pin.types.INPUT),
            Pin(num='29',name='JTAG_TDI',func=Pin.types.INPUT),
            Pin(num='3',name='NC_SI_CRS_DV',func=Pin.types.OUTPUT),
            Pin(num='30',name='LED1',func=Pin.types.OUTPUT),
            Pin(num='31',name='LED0',func=Pin.types.OUTPUT),
            Pin(num='32',name='VDD0p9',func=Pin.types.PWRIN),
            Pin(num='33',name='LED2',func=Pin.types.OUTPUT),
            Pin(num='34',name='SMB_CLK',func=Pin.types.BIDIR),
            Pin(num='35',name='~{SMB_ALRT}',func=Pin.types.OUTPUT),
            Pin(num='36',name='SMB_DATA',func=Pin.types.BIDIR),
            Pin(num='37',name='CBOT',func=Pin.types.PASSIVE),
            Pin(num='38',name='VDD0p9_OUT',func=Pin.types.PWROUT),
            Pin(num='39',name='VDD1p5_OUT',func=Pin.types.PWROUT),
            Pin(num='4',name='JTAG_TDO',func=Pin.types.OUTPUT),
            Pin(num='40',name='CTOP',func=Pin.types.PASSIVE),
            Pin(num='41',name='VDD3p3',func=Pin.types.PASSIVE),
            Pin(num='42',name='VDD0p9',func=Pin.types.PWRIN),
            Pin(num='43',name='NC_SI_ARB_IN',func=Pin.types.INPUT),
            Pin(num='44',name='NC_SI_ARB_OUT',func=Pin.types.OUTPUT),
            Pin(num='45',name='XTAL2',func=Pin.types.OUTPUT),
            Pin(num='46',name='XTAL1',func=Pin.types.INPUT),
            Pin(num='47',name='VDD1p5',func=Pin.types.PWRIN),
            Pin(num='48',name='RSET',func=Pin.types.PASSIVE),
            Pin(num='49',name='MDI_MINUS[3]/SER_N',func=Pin.types.BIDIR),
            Pin(num='5',name='NC_SI_RXD1',func=Pin.types.OUTPUT),
            Pin(num='50',name='MDI_PLUS[3]/SER_P',func=Pin.types.BIDIR),
            Pin(num='51',name='VDD3p3',func=Pin.types.PWRIN),
            Pin(num='52',name='MDI_MINUS[2]/SET_N',func=Pin.types.BIDIR),
            Pin(num='53',name='MDI_PLUS[2]',func=Pin.types.BIDIR),
            Pin(num='54',name='MDI_MINUS[1]/SRDS_SIG_DET',func=Pin.types.BIDIR),
            Pin(num='55',name='MDI_PLUS[1]/SFP_I2C_CLK',func=Pin.types.BIDIR),
            Pin(num='56',name='VDD1p5',func=Pin.types.PWRIN),
            Pin(num='57',name='MDI_MINUS[0]/SFP_I2C_DATA',func=Pin.types.BIDIR),
            Pin(num='58',name='MDI_PLUS[0]/NC',func=Pin.types.BIDIR),
            Pin(num='59',name='VDD0p9',func=Pin.types.PWRIN),
            Pin(num='6',name='NC_SI_RXD0',func=Pin.types.OUTPUT),
            Pin(num='60',name='SDP3',func=Pin.types.BIDIR),
            Pin(num='61',name='SDP1',func=Pin.types.BIDIR),
            Pin(num='62',name='SDP2',func=Pin.types.BIDIR),
            Pin(num='63',name='SDP0',func=Pin.types.BIDIR),
            Pin(num='64',name='VDD3p3',func=Pin.types.PASSIVE),
            Pin(num='65',name='GND',func=Pin.types.PWRIN),
            Pin(num='7',name='NC_SI_TX_EN',func=Pin.types.INPUT),
            Pin(num='8',name='NC_SI_TXD1',func=Pin.types.INPUT),
            Pin(num='9',name='NC_SI_TXD0',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'DP83848I', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DP83848I'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm', 'Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'Ethernet PHY MII RMII 10/100Mpbs', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/dp83848c.pdf', 'pins':[
            Pin(num='1',name='TX_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='RD-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='RD+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='TD-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='TD+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='PFBIN1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='TX_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='RESERVED',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='RESERVED',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='AVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='PFBOUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='RBIAS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='25M_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='AN_EN/LED_ACT/COL',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='AN1/LED_SPEED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='AN0/LED_LINK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='TXD_0',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='IOVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='34',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='IOGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='36',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='37',name='PFBIN2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='RX_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='39',name='RX_DV/MII_MODE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='TXD_1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='CRS/CRS_DV/LED_CFG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='41',name='RX_ER/MDIX_EN',func=Pin.types.OUTPUT,unit=1),
            Pin(num='42',name='COL/PHY_AD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='43',name='RXD_0/PHY_AD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='44',name='RXD_1/PHY_AD2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='45',name='RXD_2/PHY_AD3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='RXD_3/PHY_AD4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='47',name='IOGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='48',name='IOVDD33',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TXD_2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='TXD_3/SNI_MODE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='PWR_DOWN/INT',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KSZ8081RND', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KSZ8081RND'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'ETH PHY RMII', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002199A.pdf', 'pins':[
            Pin(num='1',name='VDD_1.2',func=Pin.types.PWROUT,unit=1),
            Pin(num='10',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='MDC',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='RXD1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='RXD0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='CRS_DV/PHYAD[1:0]',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='REF_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='RXER',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='INTRP',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='TXEN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='VDDA_3.3',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='TXD0',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='TXD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='LED0/ANEN_SPEED',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='RXM',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='TXM',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='TXP',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='REXT',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9303i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9303i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_8x8mm_P0.5mm_EP5.9x5.9mm_ThermalVias', 'keywords':'ETH PHY RMII switch industrial', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/9303.pdf', 'pins':[
            Pin(num='1',name='TXN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P0_OUTD3/~{DUPLEX_POL_0}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0_OUTD2/~{P0_MODE2}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0_OUTD1/~{P0_MODE1}',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0_OUTD0/~{P0_MODE0}',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='P0_OUTDV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='P0_OUTCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0_COL',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='P0_CRS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='P0_IND3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='P0_DUPLEX',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='MDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='MDC',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='LED5/GPIO5/~{PHYADDR}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='LED4/GPIO4/~{MNGT1}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='LED3/GPIO3/~{MNGT0}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='LED2/GPIO2/~{E2PSIZE}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='LED1/GPIO1/~{AMDIX2}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='LED0/GPIO0/~{AMDIX1}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='P0_IND2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='30',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='35',name='EE_SDA/SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='EE_SCL/SCL',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='~{RST}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='IRQ',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='P0_IND1',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='XO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='VDD18PLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='TXN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='TXP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='VDD33A1',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='RXN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RXP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='VDD33A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='VDD18TX1',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='EXRES',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P0_IND0',func=Pin.types.INPUT,unit=1),
            Pin(num='50',name='VDD33BIAS',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD18TX2',func=Pin.types.PWRIN,unit=1),
            Pin(num='52',name='VDD33A2',func=Pin.types.PWRIN,unit=1),
            Pin(num='53',name='RXP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RXN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='VDD33A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='TXP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0_INDV',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='P0_INER',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0_INCLK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='VDD33IO',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LAN9512i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9512i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002304A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='18',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['10', '44', '54', '22', '30', '45', '36', '57', '35', '31', '46', '37', '20', '60', '32', '47', '38', '61', '33', '15', '48', '39', '62', '26', '23', '40', '19', '49', '12', '64', '24', '27', '5', '42', '65', '13', '25', '28', '43', '51', '21', '34', '29']},{'label': 'uB', 'num': 2, 'pin_nums': ['41', '11', '6', '14', '50', '63', '7', '16', '52', '17', '8', '53', '18', '9', '55', '2', '56', '3', '58', '1', '59', '4']}] }),
        Part(**{ 'name':'LAN9513i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9513i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002305A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=Pin.types.BIDIR,unit=2),
            Pin(num='18',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=Pin.types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=Pin.types.BIDIR,unit=2),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=2),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['27', '19', '15', '35', '54', '44', '28', '36', '57', '45', '20', '29', '37', '46', '60', '21', '38', '30', '10', '47', '61', '22', '39', '31', '23', '48', '62', '32', '40', '24', '64', '49', '25', '42', '33', '5', '65', '13', '26', '34', '43', '12', '51']},{'label': 'uB', 'num': 2, 'pin_nums': ['6', '11', '41', '63', '14', '50', '52', '16', '7', '8', '17', '53', '18', '9', '55', '2', '56', '3', '58', '59', '1', '4']}] }),
        Part(**{ 'name':'LAN9514i', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LAN9514i'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'USB HUB Ethernet 10/100', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/00002306A.pdf', 'pins':[
            Pin(num='10',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='TEST1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VDD18CORE',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD33IO',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='~{FDX_LED}/GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='~{LNKA_LED}/GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='~{SPD_LED}/GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='EECLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='EECS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='EEDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='EEDI',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='~{TRST}',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='TMS',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='TDI',func=Pin.types.INPUT,unit=1),
            Pin(num='31',name='TDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='TCK',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='TEST2',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD18CORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='40',name='TEST3',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='CLK24_EN',func=Pin.types.INPUT,unit=1),
            Pin(num='45',name='CLK24_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='46',name='VDD33IO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='TEST4',func=Pin.types.INPUT,unit=1),
            Pin(num='48',name='VDD18ETHPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD33A',func=Pin.types.PWRIN,unit=1),
            Pin(num='51',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='54',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='60',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='61',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='62',name='VDD18USBPLL',func=Pin.types.PWRIN,unit=1),
            Pin(num='64',name='VDD33A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='65',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='1',name='USBDM2',func=Pin.types.BIDIR,unit=2),
            Pin(num='11',name='VBUS_DET',func=Pin.types.INPUT,unit=2),
            Pin(num='14',name='PRTCTL2',func=Pin.types.BIDIR,unit=2),
            Pin(num='16',name='PRTCTL3',func=Pin.types.BIDIR,unit=2),
            Pin(num='17',name='PRTCTL4',func=Pin.types.BIDIR,unit=2),
            Pin(num='18',name='PRTCTL5',func=Pin.types.BIDIR,unit=2),
            Pin(num='2',name='USBDP2',func=Pin.types.BIDIR,unit=2),
            Pin(num='3',name='USBDM3',func=Pin.types.BIDIR,unit=2),
            Pin(num='4',name='USBDP3',func=Pin.types.BIDIR,unit=2),
            Pin(num='41',name='AUTOMDIX_EN',func=Pin.types.INPUT,unit=2),
            Pin(num='50',name='EXRES',func=Pin.types.INPUT,unit=2),
            Pin(num='52',name='RXP',func=Pin.types.INPUT,unit=2),
            Pin(num='53',name='RXN',func=Pin.types.INPUT,unit=2),
            Pin(num='55',name='TXP',func=Pin.types.OUTPUT,unit=2),
            Pin(num='56',name='TXN',func=Pin.types.OUTPUT,unit=2),
            Pin(num='58',name='USBDM0',func=Pin.types.BIDIR,unit=2),
            Pin(num='59',name='USBDP0',func=Pin.types.BIDIR,unit=2),
            Pin(num='6',name='USBDM4',func=Pin.types.BIDIR,unit=2),
            Pin(num='63',name='USBRBIAS',func=Pin.types.INPUT,unit=2),
            Pin(num='7',name='USBDP4',func=Pin.types.BIDIR,unit=2),
            Pin(num='8',name='USBDM5',func=Pin.types.BIDIR,unit=2),
            Pin(num='9',name='USBDP5',func=Pin.types.BIDIR,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['27', '15', '19', '35', '44', '54', '28', '57', '36', '20', '45', '29', '46', '60', '37', '21', '10', '30', '61', '47', '38', '22', '31', '23', '62', '48', '39', '24', '32', '40', '64', '49', '33', '25', '42', '65', '5', '13', '26', '34', '12', '43', '51']},{'label': 'uB', 'num': 2, 'pin_nums': ['41', '11', '6', '50', '14', '63', '52', '16', '7', '17', '53', '8', '18', '55', '9', '2', '56', '3', '58', '59', '1', '4']}] })])