from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Interface_Telecom = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'FX614', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'FX614'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Bell Modem', 'description':'', 'datasheet':'https://www.cmlmicro.com/wp-content/uploads/2017/06/FX614_ds.pdf', 'pins':[
            Pin(num='1',name='XTALN',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='RXEQ',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='TXD',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='RXD',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='DET',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~{RDYN}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='XTAL/CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='M0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='M1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RXIN',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='RXFB',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='TXOP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VBIAS',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HT9170D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HT9170D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-18W_7.5x11.6mm_P1.27mm'], 'footprint':'Package_SO:SOIC-18W_7.5x11.6mm_P1.27mm', 'keywords':'DTMF Receiver', 'description':'', 'datasheet':'http://www.holtek.com/documents/10179/116711/9170v111.pdf', 'pins':[
            Pin(num='1',name='VP',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='OE',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='D0',func=Pin.types.TRISTATE,unit=1),
            Pin(num='12',name='D1',func=Pin.types.TRISTATE,unit=1),
            Pin(num='13',name='D2',func=Pin.types.TRISTATE,unit=1),
            Pin(num='14',name='D3',func=Pin.types.TRISTATE,unit=1),
            Pin(num='15',name='DV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='EST',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='RT/GT',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='GS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='VREF',func=Pin.types.PWROUT,unit=1),
            Pin(num='5',name='INH',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='PWDN',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si3210', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si3210'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-38_4.4x9.7mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-38_4.4x9.7mm_P0.5mm', 'keywords':'ProSLIC slic', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/368/si3210-38974.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VDDA1',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='IREF',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='CAPP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='QGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='CAPM',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='STIPDC',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='SRINGDC',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='STIPE',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='SVBAT',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='SRINGE',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='STIPAC',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='SRINGAC',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='IGMN',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='GNDA',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='IGMP',func=Pin.types.OUTPUT,unit=1),
            Pin(num='25',name='IRINGN',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='IRINGP',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='VDDA2',func=Pin.types.PWRIN,unit=1),
            Pin(num='28',name='ITIPP',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='ITIPN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='PCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='VDDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='GNDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='TEST',func=Pin.types.INPUT,unit=1),
            Pin(num='33',name='DCFF',func=Pin.types.OUTPUT,unit=1),
            Pin(num='34',name='DCDRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='35',name='SDITHRU',func=Pin.types.OUTPUT,unit=1),
            Pin(num='36',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='37',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DRX',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='DTX',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='FSYNC',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDCH',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='SDCL',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] })])