from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

LED = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'APA-106-F5', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APA-106-F5'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm-4_RGB'], 'footprint':'LED_THT:LED_D5.0mm-4_RGB', 'keywords':'RGB LED addressable 8bit pwm 5bit greyscale', 'description':'', 'datasheet':'https://cdn.sparkfun.com/datasheets/Components/LED/COM-12877.pdf', 'pins':[
            Pin(num='1',name='DO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DI',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APA102', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APA102'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_RGB_5050-6'], 'footprint':'LED_SMD:LED_RGB_5050-6', 'keywords':'RGB LED addressable 8bit pwm 5bit greyscale', 'description':'', 'datasheet':'http://www.led-color.com/upload/201506/APA102%20LED.pdf', 'pins':[
            Pin(num='1',name='DI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='CI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='DO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APA102-2020', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APA102-2020'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED-APA102-2020'], 'footprint':'LED_SMD:LED-APA102-2020', 'keywords':'RGB LED addressable 8bit pwm 5bit greyscale', 'description':'', 'datasheet':'http://www.led-color.com/upload/201604/APA102-2020%20SMD%20LED.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CKI',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APFA3010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APFA3010'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Kingbright_APFA3010_3x1.5mm_Horizontal'], 'footprint':'LED_SMD:LED_Kingbright_APFA3010_3x1.5mm_Horizontal', 'keywords':'LED RGB SMD Kingbright APFA3010 Horizontal', 'description':'', 'datasheet':'http://www.kingbrightusa.com/images/catalog/SPEC/APFA3010LSEEZGKQBKC.pdf', 'pins':[
            Pin(num='1',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='B',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASMB-MTB0-0A3A2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASMB-MTB0-0A3A2'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Avago_PLCC4_3.2x2.8mm_CW'], 'footprint':'LED_SMD:LED_Avago_PLCC4_3.2x2.8mm_CW', 'keywords':'led rgb diode', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-4186EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='BK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='RK',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASMB-MTB1-0A3A2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASMB-MTB1-0A3A2'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Avago_PLCC4_3.2x2.8mm_CW'], 'footprint':'LED_SMD:LED_Avago_PLCC4_3.2x2.8mm_CW', 'keywords':'led rgb diode', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-4194EN', 'pins':[
            Pin(num='1',name='RK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='GK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='BK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASMT-YTC2-0AA02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASMT-YTC2-0AA02'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Avago_PLCC6_3x2.8mm'], 'footprint':'LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'http://www.avagotech.com/docs/AV02-2589EN', 'pins':[
            Pin(num='1',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='AB',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CLS6B-FKW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CLS6B-FKW'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-PLCC6_4.7x1.5mm'], 'footprint':'LED_SMD:LED_Cree-PLCC6_4.7x1.5mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://www.cree.com/led-components/media/documents/CLS6B-FKW.pdf', 'pins':[
            Pin(num='1',name='AB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='KR',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CLV1L-FKB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CLV1L-FKB'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-PLCC4_3.2x2.8mm_CCW'], 'footprint':'LED_SMD:LED_Cree-PLCC4_3.2x2.8mm_CCW', 'keywords':'led rgb diode', 'description':'', 'datasheet':'http://www.cree.com/led-components/media/documents/CLV1L-FKB-1238.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='RK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='BK',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HDSP-4830', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4830'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4830'], 'footprint':'Display:HDSP-4830', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['19', '2']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['17', '4']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '6']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']},{'label': 'uH', 'num': 8, 'pin_nums': ['13', '8']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['10', '11']}] }),
        Part(**{ 'name':'HDSP-4830_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4830_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4830'], 'footprint':'Display:HDSP-4830', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HDSP-4832', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4832'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4832'], 'footprint':'Display:HDSP-4832', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['2', '19']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['17', '4']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '6']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']},{'label': 'uH', 'num': 8, 'pin_nums': ['13', '8']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['11', '10']}] }),
        Part(**{ 'name':'HDSP-4832_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4832_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4832'], 'footprint':'Display:HDSP-4832', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HDSP-4836', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4836'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4836'], 'footprint':'Display:HDSP-4836', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['19', '2']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['4', '17']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '6']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']},{'label': 'uH', 'num': 8, 'pin_nums': ['13', '8']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['10', '11']}] }),
        Part(**{ 'name':'HDSP-4836_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4836_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4836'], 'footprint':'Display:HDSP-4836', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HDSP-4840', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4840'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4840'], 'footprint':'Display:HDSP-4840', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['19', '2']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['17', '4']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '6']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']},{'label': 'uH', 'num': 8, 'pin_nums': ['8', '13']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['10', '11']}] }),
        Part(**{ 'name':'HDSP-4840_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4840_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4840'], 'footprint':'Display:HDSP-4840', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HDSP-4850', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4850'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4850'], 'footprint':'Display:HDSP-4850', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['2', '19']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['17', '4']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['6', '15']},{'label': 'uG', 'num': 7, 'pin_nums': ['14', '7']},{'label': 'uH', 'num': 8, 'pin_nums': ['13', '8']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['10', '11']}] }),
        Part(**{ 'name':'HDSP-4850_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HDSP-4850_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HDSP-4850'], 'footprint':'Display:HDSP-4850', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'HLCP-J100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLCP-J100'}), 'ref_prefix':'BAR', 'fplist':['Display:HLCP-J100'], 'footprint':'Display:HLCP-J100', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=2),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=3),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=4),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=5),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=5),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=6),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=6),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=7),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=7),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=8),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=8),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=9),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=9),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=10),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=10)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['1', '20']},{'label': 'uB', 'num': 2, 'pin_nums': ['2', '19']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '3']},{'label': 'uD', 'num': 4, 'pin_nums': ['17', '4']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5']},{'label': 'uF', 'num': 6, 'pin_nums': ['15', '6']},{'label': 'uG', 'num': 7, 'pin_nums': ['7', '14']},{'label': 'uH', 'num': 8, 'pin_nums': ['13', '8']},{'label': 'uI', 'num': 9, 'pin_nums': ['12', '9']},{'label': 'uJ', 'num': 10, 'pin_nums': ['10', '11']}] }),
        Part(**{ 'name':'HLCP-J100_2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HLCP-J100_2'}), 'ref_prefix':'BAR', 'fplist':['Display:HLCP-J100'], 'footprint':'Display:HLCP-J100', 'keywords':'display LED array', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-1798EN', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IR26-21C_L110_TR8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IR26-21C_L110_TR8'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_1206_3216Metric'], 'footprint':'LED_SMD:LED_1206_3216Metric', 'keywords':'IR LED', 'description':'', 'datasheet':'http://www.everlight.com/file/ProductFile/IR26-21C-L110-TR8.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IRL81A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IRL81A'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_SideEmitter_Rectangular_W4.5mm_H1.6mm'], 'footprint':'LED_THT:LED_SideEmitter_Rectangular_W4.5mm_H1.6mm', 'keywords':'IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic0/00203825_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Inolux_IN-P55TATRGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Inolux_IN-P55TATRGB'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Inolux_IN-P55TATRGB_PLCC6_5.0x5.5mm_P1.8mm'], 'footprint':'LED_SMD:LED_Inolux_IN-P55TATRGB_PLCC6_5.0x5.5mm_P1.8mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://www.inolux-corp.com/datasheet/SMDLED/RGB%20Top%20View/IN-P55TATRGB.pdf', 'pins':[
            Pin(num='1',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='KG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='AB',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Inolux_IN-PI554FCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Inolux_IN-PI554FCH'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Inolux_IN-PI554FCH_PLCC4_5.0x5.0mm_P3.2mm'], 'footprint':'LED_SMD:LED_Inolux_IN-PI554FCH_PLCC4_5.0x5.0mm_P3.2mm', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'http://www.inolux-corp.com/datasheet/SMDLED/Addressable%20LED/IN-PI554FCH.pdf', 'pins':[
            Pin(num='1',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Inolux_IN-PI556FCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Inolux_IN-PI556FCH'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm'], 'footprint':'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'http://www.inolux-corp.com/datasheet/SMDLED/Addressable%20LED/IN-PI556FCH.pdf', 'pins':[
            Pin(num='1',name='DO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LD271', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LD271'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'IR LED', 'description':'', 'datasheet':'http://www.alliedelec.com/m/d/40788c34903a719969df15f1fbea1056.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LED_Cree_XHP50_12V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LED_Cree_XHP50_12V'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-XHP50_12V'], 'footprint':'LED_SMD:LED_Cree-XHP50_12V', 'keywords':'led diode', 'description':'', 'datasheet':'http://www.cree.com/%7E/media/Files/Cree/LED%20Components%20and%20Modules/XLamp/Data%20and%20Binning/ds%20XHP50.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PAD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LED_Cree_XHP50_6V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LED_Cree_XHP50_6V'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-XHP50_6V'], 'footprint':'LED_SMD:LED_Cree-XHP50_6V', 'keywords':'led diode', 'description':'', 'datasheet':'http://www.cree.com/%7E/media/Files/Cree/LED%20Components%20and%20Modules/XLamp/Data%20and%20Binning/ds%20XHP50.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PAD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LED_Cree_XHP70_12V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LED_Cree_XHP70_12V'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-XHP70_12V'], 'footprint':'LED_SMD:LED_Cree-XHP70_12V', 'keywords':'led diode', 'description':'', 'datasheet':'http://www.cree.com/%7E/media/Files/Cree/LED%20Components%20and%20Modules/XLamp/Data%20and%20Binning/ds%20XHP70.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PAD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LED_Cree_XHP70_6V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LED_Cree_XHP70_6V'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-XHP70_6V'], 'footprint':'LED_SMD:LED_Cree-XHP70_6V', 'keywords':'led diode', 'description':'', 'datasheet':'http://www.cree.com/%7E/media/Files/Cree/LED%20Components%20and%20Modules/XLamp/Data%20and%20Binning/ds%20XHP70.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='PAD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTST-C235KGKRKT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTST-C235KGKRKT'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_LiteOn_LTST-C235KGKRKT'], 'footprint':'LED_SMD:LED_LiteOn_LTST-C235KGKRKT', 'keywords':'diode bicolor down-facing reverse', 'description':'', 'datasheet':'https://optoelectronics.liteon.com/upload/download/DS22-2009-0219/LTST-C235KGKRKT.pdf', 'pins':[
            Pin(num='1',name='K2',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='K1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LiteOn_LTST-E563C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LiteOn_LTST-E563C'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_LiteOn_LTST-E563C_PLCC4_5.0x5.0mm_P3.2mm'], 'footprint':'LED_SMD:LED_LiteOn_LTST-E563C_PLCC4_5.0x5.0mm_P3.2mm', 'keywords':'RGB LED addressable 5050', 'description':'', 'datasheet':'https://optoelectronics.liteon.com/upload/download/DS35-2018-0092/LTST-E563CHEGBW-AW.PDF', 'pins':[
            Pin(num='1',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NeoPixel_THT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NeoPixel_THT'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'https://www.adafruit.com/product/1938', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DIN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'QLS6A-FKW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'QLS6A-FKW'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-PLCC6_4.7x1.5mm'], 'footprint':'LED_SMD:LED_Cree-PLCC6_4.7x1.5mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://www.cree.com/led-components/media/documents/1381-QLS6AFKW.pdf', 'pins':[
            Pin(num='1',name='AB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='KR',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH4356P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH4356P'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D3.0mm_IRBlack'], 'footprint':'LED_THT:LED_D3.0mm_IRBlack', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic5/00181708_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH460', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH460'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-18-2_Window', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic6/00029609_0.pdf/SFh%20460.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH482', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH482'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-18-2_Window', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic2/00182155_0.pdf/SFH%20482%20E7800,%20Lead%20(Pb)%20Free%20Product%20-%20RoHS%20Compliant.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SK6805', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SK6805'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_SK6805_PLCC4_2.4x2.7mm_P1.3mm'], 'footprint':'LED_SMD:LED_SK6805_PLCC4_2.4x2.7mm_P1.3mm', 'keywords':'RGB LED NeoPixel Nano addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/product-files/3484/3484_Datasheet.pdf', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SK6812', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SK6812'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_SK6812_PLCC4_5.0x5.0mm_P3.2mm'], 'footprint':'LED_SMD:LED_SK6812_PLCC4_5.0x5.0mm_P3.2mm', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/product-files/1138/SK6812+LED+datasheet+.pdf', 'pins':[
            Pin(num='1',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DOUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SK6812MINI', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SK6812MINI'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_SK6812MINI_PLCC4_3.5x3.5mm_P1.75mm'], 'footprint':'LED_SMD:LED_SK6812MINI_PLCC4_3.5x3.5mm_P1.75mm', 'keywords':'RGB LED NeoPixel Mini addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/product-files/2686/SK6812MINI_REV.01-1-2.pdf', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SMLVN6RGB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SMLVN6RGB'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_ROHM_SMLVN6'], 'footprint':'LED_SMD:LED_ROHM_SMLVN6', 'keywords':'LED RGB Diode', 'description':'', 'datasheet':'https://www.rohm.com/datasheet/SMLVN6RGB1U', 'pins':[
            Pin(num='1',name='BA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='RA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='RK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='BK',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2812B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2812B'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812B_PLCC4_5.0x5.0mm_P3.2mm'], 'footprint':'LED_SMD:LED_WS2812B_PLCC4_5.0x5.0mm_P3.2mm', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/datasheets/WS2812B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DIN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2812B-2020', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2812B-2020'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812B-2020_PLCC4_2.0x2.0mm'], 'footprint':'LED_SMD:LED_WS2812B-2020_PLCC4_2.0x2.0mm', 'keywords':'RGB LED NeoPixel Nano addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/product-files/4684/4684_WS2812B-2020_V1.3_EN.pdf', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2812S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2812S'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm'], 'footprint':'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'keywords':'RGB LED addressable', 'description':'', 'datasheet':'http://www.world-semi.com/DownLoadFile/115', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2813', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2813'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm'], 'footprint':'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'keywords':'RGB LED addressable', 'description':'', 'datasheet':'http://www.normandled.com/upload/201605/WS2813%20LED%20Datasheet.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='BIN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2822S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2822S'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm'], 'footprint':'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'keywords':'RGB LED addressable', 'description':'', 'datasheet':'http://akizukidenshi.com/download/ds/worldsemi/WS2822S.pdf', 'pins':[
            Pin(num='1',name='DAI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='ADRI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='ADRO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ASMT-YTB7-0AA02', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ASMT-YTB7-0AA02'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'LED_SMD:LED_Avago_PLCC6_3x2.8mm'], 'footprint':'LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-3793EN', 'pins':[
            Pin(num='1',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='AB',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CLX6F-FKC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CLX6F-FKC'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'LED_SMD:LED_RGB_PLCC-6'], 'footprint':'LED_SMD:LED_Avago_PLCC6_3x2.8mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://assets.cree-led.com/a/ds/h/HB-CLX6F-FKC.pdf', 'pins':[
            Pin(num='1',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='AB',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CQY99', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CQY99'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'IR LED', 'description':'', 'datasheet':'https://www.prtice.info/IMG/pdf/CQY99.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'IR204A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'IR204A'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack'], 'footprint':'LED_THT:LED_D3.0mm_IRBlack', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://www.everlight.com/file/ProductFile/IR204-A.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LD274', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LD274'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'IR LED', 'description':'', 'datasheet':'http://pdf.datasheetcatalog.com/datasheet/siemens/LD274.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'QLS6B-FKW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'QLS6B-FKW'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_Cree-PLCC6_4.7x1.5mm', 'LED_SMD:LED_Cree-PLCC6_4.7x1.5mm'], 'footprint':'LED_SMD:LED_Cree-PLCC6_4.7x1.5mm', 'keywords':'LED RGB', 'description':'', 'datasheet':'https://www.cree.com/led-components/media/documents/1397-QLS6BFKW.pdf', 'pins':[
            Pin(num='1',name='AB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='KB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='KR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='KR',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH4346', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH4346'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack'], 'footprint':'LED_THT:LED_D3.0mm_IRBlack', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/SFH4346.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH4546', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH4546'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic1/00101982_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH4550', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH4550'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'IR LED', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic3/00116140_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH480', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH480'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-2_Window', 'Package_TO_SOT_THT:TO-18-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-18-2_Window', 'keywords':'IR LED Opto', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic1/00083613_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSAL4400', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSAL4400'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack', 'LED_THT:LED_D3.0mm_IRBlack'], 'footprint':'LED_THT:LED_D3.0mm_IRBlack', 'keywords':'opto IR LED', 'description':'', 'datasheet':'http://www.vishay.com/docs/81006/tsal4400.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'WS2812', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'WS2812'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm'], 'footprint':'LED_SMD:LED_WS2812_PLCC6_5.0x5.0mm_P1.6mm', 'keywords':'RGB LED NeoPixel addressable', 'description':'', 'datasheet':'https://cdn-shop.adafruit.com/datasheets/WS2812.pdf', 'pins':[
            Pin(num='1',name='DOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='DIN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] })])