from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_Dialog = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'DA14691', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DA14691'}), 'ref_prefix':'U', 'fplist':['Package_BGA:VFBGA-86_6x6mm_Layout10x10_P0.55mm_Ball0.25mm_Pad0.2mm'], 'footprint':'Package_BGA:VFBGA-86_6x6mm_Layout10x10_P0.55mm_Ball0.25mm_Pad0.2mm', 'keywords':'BLE MCU', 'description':'', 'datasheet':'https://www.dialog-semiconductor.com/sites/default/files/da1469x_datasheet_3v1.pdf', 'pins':[
            Pin(num='A1',name='QSPIF_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='A10',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A2',name='QSPIF_D0',func=Pin.types.BIDIR,unit=1),
            Pin(num='A3',name='P0_10/M33_SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='A4',name='P0_12/CMAC_SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='A5',name='VSUP_RF',func=Pin.types.PWRIN,unit=1),
            Pin(num='A6',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A7',name='RF_GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='A8',name='RFIOP',func=Pin.types.BIDIR,unit=1),
            Pin(num='A9',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B1',name='QSPIF_CS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='B10',name='P0_06',func=Pin.types.BIDIR,unit=1),
            Pin(num='B2',name='QSPIF_D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='B3',name='P0_11/M33_SWCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='B4',name='P0_13/CMAC_SWCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='B5',name='P0_09',func=Pin.types.BIDIR,unit=1),
            Pin(num='B7',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B8',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='B9',name='P0_07',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='QSPIF_D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='C10',name='P0_27',func=Pin.types.BIDIR,unit=1),
            Pin(num='C2',name='QSPIF_D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='C3',name='P0_30',func=Pin.types.BIDIR,unit=1),
            Pin(num='C4',name='P0_21',func=Pin.types.BIDIR,unit=1),
            Pin(num='C6',name='P0_19',func=Pin.types.BIDIR,unit=1),
            Pin(num='C8',name='P0_17',func=Pin.types.BIDIR,unit=1),
            Pin(num='C9',name='P0_16',func=Pin.types.BIDIR,unit=1),
            Pin(num='D1',name='P0_05',func=Pin.types.BIDIR,unit=1),
            Pin(num='D10',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D2',name='P0_00',func=Pin.types.BIDIR,unit=1),
            Pin(num='D3',name='P0_31',func=Pin.types.BIDIR,unit=1),
            Pin(num='D5',name='P0_29',func=Pin.types.BIDIR,unit=1),
            Pin(num='D6',name='P0_08',func=Pin.types.BIDIR,unit=1),
            Pin(num='D9',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E1',name='P0_04',func=Pin.types.BIDIR,unit=1),
            Pin(num='E10',name='XTAL32M_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E2',name='P0_03',func=Pin.types.BIDIR,unit=1),
            Pin(num='E4',name='P1_05',func=Pin.types.BIDIR,unit=1),
            Pin(num='E6',name='P1_03',func=Pin.types.BIDIR,unit=1),
            Pin(num='E8',name='P1_01',func=Pin.types.BIDIR,unit=1),
            Pin(num='E9',name='P1_00',func=Pin.types.BIDIR,unit=1),
            Pin(num='F1',name='P0_02',func=Pin.types.BIDIR,unit=1),
            Pin(num='F10',name='XTAL32M_M',func=Pin.types.OUTPUT,unit=1),
            Pin(num='F2',name='P0_01',func=Pin.types.BIDIR,unit=1),
            Pin(num='F3',name='VSSIOQ',func=Pin.types.PWRIN,unit=1),
            Pin(num='F4',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='F5',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='F7',name='P1_07',func=Pin.types.BIDIR,unit=1),
            Pin(num='F9',name='XTAL32M_P',func=Pin.types.INPUT,unit=1),
            Pin(num='G1',name='V18F',func=Pin.types.PWROUT,unit=1),
            Pin(num='G10',name='P0_18',func=Pin.types.BIDIR,unit=1),
            Pin(num='G2',name='V18P',func=Pin.types.PWROUT,unit=1),
            Pin(num='G3',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='G4',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G5',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G6',name='P1_11',func=Pin.types.BIDIR,unit=1),
            Pin(num='G8',name='P0_20',func=Pin.types.BIDIR,unit=1),
            Pin(num='G9',name='P1_09',func=Pin.types.BIDIR,unit=1),
            Pin(num='H1',name='V14',func=Pin.types.PWROUT,unit=1),
            Pin(num='H10',name='P0_23/XTAL_32K_P',func=Pin.types.BIDIR,unit=1),
            Pin(num='H2',name='V18',func=Pin.types.PWROUT,unit=1),
            Pin(num='H3',name='P1_04',func=Pin.types.BIDIR,unit=1),
            Pin(num='H5',name='P0_28',func=Pin.types.BIDIR,unit=1),
            Pin(num='H7',name='P0_26',func=Pin.types.BIDIR,unit=1),
            Pin(num='H8',name='P0_25',func=Pin.types.BIDIR,unit=1),
            Pin(num='H9',name='P0_22/XTAL_32K_M',func=Pin.types.BIDIR,unit=1),
            Pin(num='J1',name='LY',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J10',name='P1_02',func=Pin.types.BIDIR,unit=1),
            Pin(num='J2',name='V12',func=Pin.types.PWROUT,unit=1),
            Pin(num='J3',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='J5',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='J6',name='V30',func=Pin.types.PWROUT,unit=1),
            Pin(num='J7',name='P1_08',func=Pin.types.BIDIR,unit=1),
            Pin(num='J8',name='P1_06',func=Pin.types.BIDIR,unit=1),
            Pin(num='J9',name='P0_24',func=Pin.types.BIDIR,unit=1),
            Pin(num='K1',name='LX',func=Pin.types.PASSIVE,unit=1),
            Pin(num='K10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='K2',name='VBAT2',func=Pin.types.PWROUT,unit=1),
            Pin(num='K3',name='BUCK_GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='K4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='K5',name='VBAT1',func=Pin.types.PWROUT,unit=1),
            Pin(num='K6',name='P0_14/USB_P',func=Pin.types.BIDIR,unit=1),
            Pin(num='K7',name='P0_15/USB_M',func=Pin.types.BIDIR,unit=1),
            Pin(num='K8',name='P1_10',func=Pin.types.BIDIR,unit=1),
            Pin(num='K9',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DA14695', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DA14695'}), 'ref_prefix':'U', 'fplist':['Package_BGA:VFBGA-86_6x6mm_Layout10x10_P0.55mm_Ball0.25mm_Pad0.2mm', 'Package_BGA:VFBGA-86_6x6mm_Layout10x10_P0.55mm_Ball0.25mm_Pad0.2mm'], 'footprint':'Package_BGA:VFBGA-86_6x6mm_Layout10x10_P0.55mm_Ball0.25mm_Pad0.2mm', 'keywords':'BLE MCU', 'description':'', 'datasheet':'https://www.dialog-semiconductor.com/sites/default/files/da1469x_datasheet_3v1.pdf', 'pins':[
            Pin(num='A1',name='QSPIF_CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='A10',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A2',name='QSPIF_D0',func=Pin.types.BIDIR,unit=1),
            Pin(num='A3',name='P0_10/M33_SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='A4',name='P0_12/CMAC_SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='A5',name='VSUP_RF',func=Pin.types.PWRIN,unit=1),
            Pin(num='A6',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A7',name='RF_GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='A8',name='RFIOP',func=Pin.types.BIDIR,unit=1),
            Pin(num='A9',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B1',name='QSPIF_CS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='B10',name='P0_06',func=Pin.types.BIDIR,unit=1),
            Pin(num='B2',name='QSPIF_D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='B3',name='P0_11/M33_SWCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='B4',name='P0_13/CMAC_SWCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='B5',name='P0_09',func=Pin.types.BIDIR,unit=1),
            Pin(num='B7',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B8',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='B9',name='P0_07',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='QSPIF_D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='C10',name='P0_27',func=Pin.types.BIDIR,unit=1),
            Pin(num='C2',name='QSPIF_D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='C3',name='P0_30',func=Pin.types.BIDIR,unit=1),
            Pin(num='C4',name='P0_21',func=Pin.types.BIDIR,unit=1),
            Pin(num='C6',name='P0_19',func=Pin.types.BIDIR,unit=1),
            Pin(num='C8',name='P0_17',func=Pin.types.BIDIR,unit=1),
            Pin(num='C9',name='P0_16',func=Pin.types.BIDIR,unit=1),
            Pin(num='D1',name='P0_05',func=Pin.types.BIDIR,unit=1),
            Pin(num='D10',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D2',name='P0_00',func=Pin.types.BIDIR,unit=1),
            Pin(num='D3',name='P0_31',func=Pin.types.BIDIR,unit=1),
            Pin(num='D5',name='P0_29',func=Pin.types.BIDIR,unit=1),
            Pin(num='D6',name='P0_08',func=Pin.types.BIDIR,unit=1),
            Pin(num='D9',name='RF_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E1',name='P0_04',func=Pin.types.BIDIR,unit=1),
            Pin(num='E10',name='XTAL32M_GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E2',name='P0_03',func=Pin.types.BIDIR,unit=1),
            Pin(num='E4',name='P1_05',func=Pin.types.BIDIR,unit=1),
            Pin(num='E6',name='P1_03',func=Pin.types.BIDIR,unit=1),
            Pin(num='E8',name='P1_01',func=Pin.types.BIDIR,unit=1),
            Pin(num='E9',name='P1_00',func=Pin.types.BIDIR,unit=1),
            Pin(num='F1',name='P0_02',func=Pin.types.BIDIR,unit=1),
            Pin(num='F10',name='XTAL32M_M',func=Pin.types.OUTPUT,unit=1),
            Pin(num='F2',name='P0_01',func=Pin.types.BIDIR,unit=1),
            Pin(num='F3',name='VSSIOQ',func=Pin.types.PWRIN,unit=1),
            Pin(num='F4',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='F5',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='F7',name='P1_07',func=Pin.types.BIDIR,unit=1),
            Pin(num='F9',name='XTAL32M_P',func=Pin.types.INPUT,unit=1),
            Pin(num='G1',name='V18F',func=Pin.types.PWROUT,unit=1),
            Pin(num='G10',name='P0_18',func=Pin.types.BIDIR,unit=1),
            Pin(num='G2',name='V18P',func=Pin.types.PWROUT,unit=1),
            Pin(num='G3',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='G4',name='DGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G5',name='AGND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G6',name='P1_11',func=Pin.types.BIDIR,unit=1),
            Pin(num='G8',name='P0_20',func=Pin.types.BIDIR,unit=1),
            Pin(num='G9',name='P1_09',func=Pin.types.BIDIR,unit=1),
            Pin(num='H1',name='V14',func=Pin.types.PWROUT,unit=1),
            Pin(num='H10',name='P0_23/XTAL_32K_P',func=Pin.types.BIDIR,unit=1),
            Pin(num='H2',name='V18',func=Pin.types.PWROUT,unit=1),
            Pin(num='H3',name='P1_04',func=Pin.types.BIDIR,unit=1),
            Pin(num='H5',name='P0_28',func=Pin.types.BIDIR,unit=1),
            Pin(num='H7',name='P0_26',func=Pin.types.BIDIR,unit=1),
            Pin(num='H8',name='P0_25',func=Pin.types.BIDIR,unit=1),
            Pin(num='H9',name='P0_22/XTAL_32K_M',func=Pin.types.BIDIR,unit=1),
            Pin(num='J1',name='LY',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J10',name='P1_02',func=Pin.types.BIDIR,unit=1),
            Pin(num='J2',name='V12',func=Pin.types.PWROUT,unit=1),
            Pin(num='J3',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='J5',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='J6',name='V30',func=Pin.types.PWROUT,unit=1),
            Pin(num='J7',name='P1_08',func=Pin.types.BIDIR,unit=1),
            Pin(num='J8',name='P1_06',func=Pin.types.BIDIR,unit=1),
            Pin(num='J9',name='P0_24',func=Pin.types.BIDIR,unit=1),
            Pin(num='K1',name='LX',func=Pin.types.PASSIVE,unit=1),
            Pin(num='K10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='K2',name='VBAT2',func=Pin.types.PWROUT,unit=1),
            Pin(num='K3',name='BUCK_GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='K4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='K5',name='VBAT1',func=Pin.types.PWROUT,unit=1),
            Pin(num='K6',name='P0_14/USB_P',func=Pin.types.BIDIR,unit=1),
            Pin(num='K7',name='P0_15/USB_M',func=Pin.types.BIDIR,unit=1),
            Pin(num='K8',name='P1_10',func=Pin.types.BIDIR,unit=1),
            Pin(num='K9',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])