from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_Microchip_PIC12 = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'PIC12C508-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508A-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508A-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509A-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509A-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C671-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C671-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C672-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C672-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE518-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE518-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE519-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE519-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE673-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE673-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE674-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE674-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CR509A-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CR509A-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1501-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1501-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1822-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1822-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1840-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1840-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F508-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F508-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F509-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F509-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F510-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F510-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41268D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F519-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F519-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41319B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F609-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F609-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F615-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F615-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F617-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F617-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F629-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F629-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F635-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F635-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F675-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F675-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F683-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F683-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F752-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F752-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV609-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV609-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV615-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV615-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV752-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV752-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1840T48-xST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1840T48-xST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP RF Transmitter', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/40001594C.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='XTAL',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='VDDRF',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='CTRL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='RFOUT',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VSSRF',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='DATA',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508A-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508A-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508A-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508A-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C508A-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C508A-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509A-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509A-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509A-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509A-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C509A-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C509A-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C671-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C671-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C671-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C671-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C672-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C672-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12C672-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12C672-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE518-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE518-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE518-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE518-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE518-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE518-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE519-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE519-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE519-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE519-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE519-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE519-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE673-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE673-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CE674-xJW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CE674-xJW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:CERDIP-8_W7.62mm_SideBrazed'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/30561b.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CR509A-xSM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CR509A-xSM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12CR509A-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12CR509A-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8W_5.3x5.3mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/devicedoc/40139e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1501-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1501-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1501-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1501-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1501-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1501-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1822-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1822-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1822-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1822-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1840-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1840-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F1840-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F1840-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F508-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F508-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F508-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F508-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F508-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F508-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F509-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F509-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F509-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F509-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F509-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F509-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41236E.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F510-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F510-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41268D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F510-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F510-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41268D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F510-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F510-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41268D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F519-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F519-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41319B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F519-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F519-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41319B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F519-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F519-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41319B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F609-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F609-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F609-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F609-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F609-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F609-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F615-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F615-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F615-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F615-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F615-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F615-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F617-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F617-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F617-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F617-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F617-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F617-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F629-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F629-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F629-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F629-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F629-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F629-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F635-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F635-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F635-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F635-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F635-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F635-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F675-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F675-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F675-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F675-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F675-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F675-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41190G.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F683-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F683-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41211D_.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F683-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F683-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41232D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F683-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F683-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41211D_.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F752-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F752-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12F752-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12F752-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV609-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV609-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV609-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV609-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV609-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV609-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV615-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV615-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV615-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV615-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV615-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV615-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41302D.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV752-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV752-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12HV752-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12HV752-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller High Voltage', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41576B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GP5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GP4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GP3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GP2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GP1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GP0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1501-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1501-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1501-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1501-xMS'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1501-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1501-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller Low Power', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1501-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1501-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41615A.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1822-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1822-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1822-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1822-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1822-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1822-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41413B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1840-xMC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1840-xMC'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1840-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1840-xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC12LF1840-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC12LF1840-xSN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'FLASH-Based 8-Bit CMOS Microcontroller XLP', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/41441B.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RA3',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] })])