from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_Microchip_PIC24 = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'PIC24FJ256DA210-xBG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ256DA210-xBG'}), 'ref_prefix':'U', 'fplist':['Package_BGA:XBGA-121_10x10mm_Layout11x11_P0.8mm'], 'footprint':'Package_BGA:XBGA-121_10x10mm_Layout11x11_P0.8mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39969b.pdf', 'pins':[
            Pin(num='A1',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='A10',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='A11',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='A2',name='RE3',func=Pin.types.BIDIR,unit=1),
            Pin(num='A3',name='RG13',func=Pin.types.BIDIR,unit=1),
            Pin(num='A4',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='A5',name='RG0',func=Pin.types.BIDIR,unit=1),
            Pin(num='A6',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='A7',name='ENVREG',func=Pin.types.INPUT,unit=1),
            Pin(num='A8',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='A9',name='RD12',func=Pin.types.BIDIR,unit=1),
            Pin(num='B1',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='B10',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B11',name='RC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='B2',name='RG15',func=Pin.types.BIDIR,unit=1),
            Pin(num='B3',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='B4',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='B5',name='RA7',func=Pin.types.BIDIR,unit=1),
            Pin(num='B6',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='B7',name='VCAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B8',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='B9',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='C10',name='RC13',func=Pin.types.BIDIR,unit=1),
            Pin(num='C11',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='C2',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='C3',name='RG12',func=Pin.types.BIDIR,unit=1),
            Pin(num='C4',name='RG14',func=Pin.types.BIDIR,unit=1),
            Pin(num='C5',name='RA6',func=Pin.types.BIDIR,unit=1),
            Pin(num='C6',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='C7',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='C8',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='C9',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='D1',name='RC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='D10',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='D11',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='D2',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='D3',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='D4',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D5',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D6',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='D7',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='D8',name='RD13',func=Pin.types.BIDIR,unit=1),
            Pin(num='D9',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='E1',name='RC4',func=Pin.types.BIDIR,unit=1),
            Pin(num='E10',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='E11',name='RA14',func=Pin.types.BIDIR,unit=1),
            Pin(num='E2',name='RC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='E3',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='E4',name='RC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='E5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='E6',name='RG1',func=Pin.types.BIDIR,unit=1),
            Pin(num='E7',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='E8',name='RA15',func=Pin.types.BIDIR,unit=1),
            Pin(num='E9',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='F1',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='F10',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='F11',name='RC15/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='F2',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='F3',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='F4',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='F5',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='F6',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='F7',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='F8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='F9',name='RC12/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='G1',name='RE8',func=Pin.types.BIDIR,unit=1),
            Pin(num='G10',name='RA3',func=Pin.types.BIDIR,unit=1),
            Pin(num='G11',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='G2',name='RE9',func=Pin.types.BIDIR,unit=1),
            Pin(num='G3',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='G4',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='G5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='G6',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G7',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='G8',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='G9',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='H1',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='H10',name='D+/RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='H11',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='H2',name='RB4/PGED3',func=Pin.types.BIDIR,unit=1),
            Pin(num='H3',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='H4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='H5',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='H6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='H7',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='H8',name='RF7',func=Pin.types.BIDIR,unit=1),
            Pin(num='H9',name='VUSB',func=Pin.types.BIDIR,unit=1),
            Pin(num='J1',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='J10',name='RF8',func=Pin.types.BIDIR,unit=1),
            Pin(num='J11',name='D-/RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='J2',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='J3',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='J4',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='J5',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='J6',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='J7',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='J8',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='J9',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='K1',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='K10',name='RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='K11',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='K2',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='K3',name='RA10',func=Pin.types.BIDIR,unit=1),
            Pin(num='K4',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='K5',name='N/C',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='K6',name='RF12',func=Pin.types.BIDIR,unit=1),
            Pin(num='K7',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='K8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='K9',name='RD15',func=Pin.types.BIDIR,unit=1),
            Pin(num='L1',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='L10',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='L11',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='L2',name='RA9',func=Pin.types.BIDIR,unit=1),
            Pin(num='L3',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='L4',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='L5',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='L6',name='RF13',func=Pin.types.BIDIR,unit=1),
            Pin(num='L7',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='L8',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='L9',name='RD14',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FJ256DA210-xPT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ256DA210-xPT'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-100_12x12mm_P0.4mm'], 'footprint':'Package_QFP:TQFP-100_12x12mm_P0.4mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39969b.pdf', 'pins':[
            Pin(num='1',name='RG15',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='100',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='RA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='RE8',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='RE9',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='RB4/PGED3/USBOEN',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RA9',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RA10',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='RA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='RF31',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='RF12',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='47',name='RD14',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='RD15',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='USBID/RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='RF8',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RF7',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='VUSB',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='D-/RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='D+/RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='RA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='RA3',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='RA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='RA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='63',name='RC12/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='RC15/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='65',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='66',name='RA14',func=Pin.types.BIDIR,unit=1),
            Pin(num='67',name='RA15',func=Pin.types.BIDIR,unit=1),
            Pin(num='68',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='69',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='70',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='71',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='72',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='73',name='RC13',func=Pin.types.BIDIR,unit=1),
            Pin(num='74',name='RC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='75',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='76',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='77',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='78',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='79',name='RD12',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='RC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='80',name='RD13',func=Pin.types.BIDIR,unit=1),
            Pin(num='81',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='82',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='83',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='84',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='85',name='VCAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='86',name='ENVREG',func=Pin.types.INPUT,unit=1),
            Pin(num='87',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='88',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='89',name='RG1',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='RC4',func=Pin.types.BIDIR,unit=1),
            Pin(num='90',name='RG0',func=Pin.types.BIDIR,unit=1),
            Pin(num='91',name='RA6',func=Pin.types.BIDIR,unit=1),
            Pin(num='92',name='RA7',func=Pin.types.BIDIR,unit=1),
            Pin(num='93',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='94',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='95',name='RG14',func=Pin.types.BIDIR,unit=1),
            Pin(num='96',name='RG12',func=Pin.types.BIDIR,unit=1),
            Pin(num='97',name='RG13',func=Pin.types.BIDIR,unit=1),
            Pin(num='98',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='99',name='RE3',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FJ64GA306-xPT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ64GA306-xPT'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-64_10x10mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/30009996g.pdf', 'pins':[
            Pin(num='1',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RB4/PGED3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RF6',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='RC12/CLKI/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='RC15/CLKO/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='RC13/SOSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='RC14/SCKLI/SOSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='VCAP/VDDCORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='RE3',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FV32KA304-IPT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FV32KA304-IPT'}), 'ref_prefix':'IC', 'fplist':['Package_QFP:TQFP-44_10x10mm_P0.8mm'], 'footprint':'Package_QFP:TQFP-44_10x10mm_P0.8mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/39995d.pdf', 'pins':[
            Pin(num='1',name='RB9/DA1/T1CK/~{U1RTS}/CTED4/CN21',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='RB12/N12/HLVDIN/CTED2/CN14',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='RB13/AN11/SDO1/CTPLS/CN13',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RA10/OC3/CN35',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RA11/IC3/CTED8/CN36',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='RB14/CVREF/AN10/C3INB/RTCC/C1OUT/OCFA/CTED5/INT1/CN12',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='RB15/AN9/C3INA/T3CK/T2CK/REFO/SS1/CTED6/CN11',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='Vss/AVss',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='AVdd/Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='RA5/~{MCLR}/Vpp',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='RA0/VREF+/CVREF+/AN0/C3INC/CN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='U1RX/CN18/RC6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='RA1/CVREF-/VREF-/AN1/CN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='RB0/PGED1/AN2/ULPWU/CTCMP/C1IND/C2INB/C3IND/U2TX/CN4',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB1/PGEC1/AN3/C1INC/C2INA/U2RX/CTED12/CN5',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB2/AN4/C1INB/C2IND/SDA2/T5CK/T4CK/CTED13/CN6',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB3/AN5/C1INA/C2INC/SCL2/CN7',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='AN6/CN32/RC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='AN7/CN31/RC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='AN8/CN10/RC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='29',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U1TX/CN17/RC7',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RA2/OSCI/AN13/CLKI/CN30',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RA3/OSCO/AN14/CLKO/CN29',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RA8/OCFB/CN33',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RB4/SOSCI/AN15/~{U2RTS}/CN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RA4/SOSCO/SCLKI/U2CTS/CN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RA9/~{SS2}/CN34',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='SDI2/CN28/RC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='SDO2/CN25/RC4',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='SCK2/CN26/RC5',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='Vss',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='OC2/CN20/RC8',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='Vdd',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='RB5/PGED3/ASDA1*/CN27',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='RB6/PGEC3/ASCL1*/CN24',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RB7/INT0/CN23',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RB8/SCL1/U1CTS/C3OUT/CTED10',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='IC2/CTED7/CN19/RC9',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RA7/IC1/CTED3/CN9',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='RA6/C2OUT/OC1/CTED1/INT2/CN8',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='RB10/PGED2/SDI1/CTED11/CN16',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='RB11/PGEC2/SCK1/CTED9/CN15',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FJ128GA306-xMR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ128GA306-xMR'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-64_10x10mm_P0.5mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.15x7.15mm'], 'footprint':'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/30009996g.pdf', 'pins':[
            Pin(num='1',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RB4/PGED3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RF6',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='RC12/CLKI/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='RC15/CLKO/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='RC13/SOSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='RC14/SCKLI/SOSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='VCAP/VDDCORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='RE3',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FJ128GA306-xPT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ128GA306-xPT'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-64_10x10mm_P0.5mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.15x7.15mm', 'Package_QFP:TQFP-64_10x10mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/30009996g.pdf', 'pins':[
            Pin(num='1',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RB4/PGED3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RF6',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='RC12/CLKI/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='RC15/CLKO/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='RC13/SOSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='RC14/SCKLI/SOSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='VCAP/VDDCORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='RE3',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PIC24FJ64GA306-xMR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PIC24FJ64GA306-xMR'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-64_10x10mm_P0.5mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.15x7.15mm', 'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.15x7.15mm'], 'footprint':'Package_QFP:TQFP-64_10x10mm_P0.5mm', 'keywords':'Flash-Based 16-Bit Microcontroller', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/30009996g.pdf', 'pins':[
            Pin(num='1',name='RE5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='RB5/PGEC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='RB4/PGED3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='RB3',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='RB2',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='RB1/PGEC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='RB0/PGED1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='RB6/PGEC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='RB7/PGED2',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='RE6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='AVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='RB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='RB9',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='RB10',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='RB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='RB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='RB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='RB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='RE7',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='RB15',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='RF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='RF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='RF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='RF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='RF6',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='RG3',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='RG2',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='RC12/CLKI/OSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='RG6',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='RC15/CLKO/OSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='42',name='RD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='RD9',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='RD10',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='RD11',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='RD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='RC13/SOSCI',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='RC14/SCKLI/SOSCO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='RD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='RG7',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='RD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='RD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='RD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='RD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='RD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='RD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='VCAP/VDDCORE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='57',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='58',name='RF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='RF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='RG8',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='RE0',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='RE1',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='RE2',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='RE3',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='RE4',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{MCLR}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RG9',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] })])