from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_Nordic = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'nRF51x22-QFxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF51x22-QFxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm', 'keywords':'MCU ARM BLE 2.4GHz', 'description':'', 'datasheet':'http://infocenter.nordicsemi.com/pdf/nRF51822_PS_v3.3.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='P0.8',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.9',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='20',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='SWDIO/~{RST}',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P0.18',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='VDD_PA',func=Pin.types.PWROUT,unit=1),
            Pin(num='31',name='ANT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='ANT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='36',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='38',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P0.21',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P0.5',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52810-QCxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52810-QCxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.6x3.6mm', 'keywords':'MCU ARM BLE 2.4GHz', 'description':'', 'datasheet':'http://infocenter.nordicsemi.com/pdf/nRF52810_PS_v1.1.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0.18',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.21/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='P0.00/XL1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.28/AIN4',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.30/AIN6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='P0.01/XL2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='32',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='P0.04/AIN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='P0.05/AIN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52810-QFxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52810-QFxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm', 'keywords':'MCU ARM BLE 2.4GHz', 'description':'', 'datasheet':'http://infocenter.nordicsemi.com/pdf/nRF52810_PS_v1.1.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.00/XL1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P0.18',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P0.21/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.01/XL2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.02/AIN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P0.28/AIN4',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P0.29/AIN5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P0.30/AIN6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P0.31/AIN7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='45',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='48',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P0.03/AIN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.04/AIN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.05/AIN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P0.07',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52811-QCxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52811-QCxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.6x3.6mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.6x3.6mm_ThermalVias', 'keywords':'MCU ARM BLE ANT 2.4GHz 802.15.4', 'description':'', 'datasheet':'https://infocenter.nordicsemi.com/pdf/nRF52811_PS_v1.0.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0.18',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.21/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='AIN4/P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='AIN6/P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='32',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AIN2/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='AIN3/P0.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52820-QDxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52820-QDxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm', 'keywords':'MCU ARM BLE ANT 2.4GHz 802.15.4', 'description':'', 'datasheet':'https://infocenter.nordicsemi.com/pdf/nRF52820_PS_v1.0.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='DECUSB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.18/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='DEC5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VSS_PA',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='DEC6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='AIN1/P0.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='AIN0/P0.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='4',name='AIN2/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AIN3/P0.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VDDH',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52832-QFxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52832-QFxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.6x4.6mm', 'keywords':'MCU ARM BLE 2.4GHz', 'description':'', 'datasheet':'http://infocenter.nordicsemi.com/pdf/nRF52832_PS_v1.4.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='NFC1/P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='NFC2/P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.00/XL1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P0.18/SWO',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P0.21/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.01/XL2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='35',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='36',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.02/AIN0',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P0.28/AIN4',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P0.29/AIN5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P0.30/AIN6',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P0.31/AIN7',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='45',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='46',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='48',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='49',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P0.03/AIN1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.04/AIN2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.05/AIN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='P0.07',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52833_QDxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52833_QDxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm', 'keywords':'MCU ARM BLE ANT 2.4GHz 802.15.4', 'description':'', 'datasheet':'https://infocenter.nordicsemi.com/pdf/nRF52833_PS_v1.5.pdf', 'pins':[
            Pin(num='1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='DECUSB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.18/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='DEC5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='NFC1/P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='NFC2/P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VSS_PA',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='DEC6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='29',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='AIN1/P0.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='AIN0/P0.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='AIN4/P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='AIN5/P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='AIN6/P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='AIN7/P0.31',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='38',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='39',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='4',name='AIN2/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='AIN3/P0.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P1.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VDDH',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52833_QIxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52833_QIxx'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Nordic_AQFN-73-1EP_7x7mm_P0.5mm'], 'footprint':'Package_DFN_QFN:Nordic_AQFN-73-1EP_7x7mm_P0.5mm', 'keywords':'MCU ARM BLE ANT 2.4GHz 802.15.4', 'description':'', 'datasheet':'https://infocenter.nordicsemi.com/pdf/nRF52833_PS_v1.5.pdf', 'pins':[
            Pin(num='A10',name='AIN5/P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='A12',name='AIN0/P0.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='A14',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='A16',name='P1.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='A18',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='A20',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='A22',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A23',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='A8',name='AIN7/P0.31',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA24',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='AB2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='AC11',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC13',name='P0.18/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC15',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='AC17',name='P0.21',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC19',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='AC21',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='AC24',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC5',name='DECUSB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AC9',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD10',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD12',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD14',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AD16',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD18',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD2',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='AD20',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD22',name='TRACEDATA0/P1.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD23',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AD4',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD6',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD8',name='P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='B1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='B11',name='AIN4/P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='B13',name='AIN1/P0.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='B15',name='P1.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='B17',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='B19',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='B24',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='B3',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='B5',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B7',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='B9',name='AIN6/P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D2',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='D23',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E24',name='DEC6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='EP',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='F2',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='F23',name='VSS_PA',func=Pin.types.PWRIN,unit=1),
            Pin(num='G1',name='P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='H2',name='P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='H23',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J1',name='AIN2/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='J24',name='NFC2/P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='K2',name='AIN3/P0.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='L1',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='L24',name='NFC1/P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='M2',name='TRACECLK/P0.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='N1',name='P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='N24',name='DEC5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='P2',name='P1.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='P23',name='P1.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='R1',name='TRACEDATA3/P1.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='R24',name='P1.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='T2',name='TRACEDATA2/P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='T23',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='U1',name='TRACEDATA1/P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='U24',name='P1.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='V23',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='W1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='W24',name='P1.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='Y2',name='VDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='Y23',name='P1.01',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF52840', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF52840'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Nordic_AQFN-73-1EP_7x7mm_P0.5mm'], 'footprint':'Package_DFN_QFN:Nordic_AQFN-73-1EP_7x7mm_P0.5mm', 'keywords':'MCU ARM BLE ANT 2.4GHz 802.15.4', 'description':'', 'datasheet':'http://infocenter.nordicsemi.com/topic/com.nordic.infocenter.nrf52/dita/nrf52/chips/nrf52840.html', 'pins':[
            Pin(num='A10',name='AIN5/P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='A12',name='AIN0/P0.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='A14',name='P1.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='A16',name='P1.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='A18',name='DEC2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A20',name='P1.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='A22',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A23',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='A8',name='AIN7/P0.31',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA24',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='AB2',name='DCCH',func=Pin.types.PWROUT,unit=1),
            Pin(num='AC11',name='P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC13',name='P0.18/~{RESET}',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC15',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC17',name='P0.21',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC19',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC21',name='P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC24',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC5',name='DECUSB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AC9',name='P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD10',name='P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD12',name='P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD14',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AD16',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD18',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD2',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='AD20',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD22',name='TRACEDATA0/P1.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD23',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AD4',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD6',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='AD8',name='P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='B1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='B11',name='AIN4/P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='B13',name='AIN1/P0.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='B15',name='P1.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='B17',name='P1.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='B19',name='P1.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='B24',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='B3',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='B5',name='DEC4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B7',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='B9',name='AIN6/P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='C1',name='DEC1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='D2',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='D23',name='DEC3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E24',name='DEC6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='EP',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='F2',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='F23',name='VSS_PA',func=Pin.types.PWRIN,unit=1),
            Pin(num='G1',name='P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='H2',name='P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='H23',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J1',name='AIN2/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='J24',name='NFC2/P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='K2',name='AIN3/P0.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='L1',name='P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='L24',name='NFC1/P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='M2',name='TRACECLK/P0.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='N1',name='P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='N24',name='DEC5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='P2',name='P1.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='P23',name='P1.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='R1',name='TRACEDATA3/P1.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='R24',name='P1.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='T2',name='TRACEDATA2/P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='T23',name='P1.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='U1',name='TRACEDATA1/P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='U24',name='P1.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='V23',name='P1.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='W1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='W24',name='P1.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='Y2',name='VDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='Y23',name='P1.01',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'nRF5340-QKxx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'nRF5340-QKxx'}), 'ref_prefix':'U1', 'fplist':['Package_DFN_QFN:Nordic_AQFN-94-1EP_7x7mm_P0.4mm'], 'footprint':'Package_DFN_QFN:Nordic_AQFN-94-1EP_7x7mm_P0.4mm', 'keywords':'nordic nrf nRF5340 aQFN94 BLE Zigbee NFC Thread M33', 'description':'', 'datasheet':'https://infocenter.nordicsemi.com/pdf/nRF5340_PS_v1.2.pdf', 'pins':[
            Pin(num='A13',name='DECA',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A15',name='DECD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A17',name='P1.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='A19',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='A21',name='DCC',func=Pin.types.PWROUT,unit=1),
            Pin(num='A23',name='DECN',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A25',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='A27',name='DECR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='A5',name='VBUS',func=Pin.types.PWRIN,unit=1),
            Pin(num='AA1',name='NFC2/P0.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='AA31',name='SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='AB2',name='AIN2/P0.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='AC1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AC31',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='AD2',name='AIN3/P0.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='AE1',name='TWI/P1.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='AE31',name='AIN7/P0.28',func=Pin.types.BIDIR,unit=1),
            Pin(num='AF2',name='TWI/P1.03',func=Pin.types.BIDIR,unit=1),
            Pin(num='AG1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AG31',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='AH2',name='SCK/TRACEDATA3/P0.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='AJ1',name='MOSI/TRACEDATA2/P0.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='AJ31',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AK10',name='IO2/P0.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK12',name='SCK/P0.17',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK14',name='CSN/P0.18',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK16',name='P0.20',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK18',name='P0.22',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK2',name='MISO/TRACEDATA1/P0.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK20',name='P0.23',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK22',name='P1.05',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK24',name='P1.07',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK26',name='P1.09',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK28',name='AIN4/P0.25',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK30',name='AIN6/P0.27',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK4',name='CSN/TRACEDATA0/P0.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK6',name='DCX/TRACECLK/P0.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='AK8',name='IO1/P0.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL11',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AL13',name='P0.19',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL15',name='P0.21',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL17',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AL19',name='P1.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL21',name='P1.06',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL23',name='P1.08',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL25',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AL27',name='P0.24',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL29',name='AIN5/P0.26',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL3',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AL5',name='IO0/P0.13',func=Pin.types.BIDIR,unit=1),
            Pin(num='AL7',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='AL9',name='IO3/P0.16',func=Pin.types.BIDIR,unit=1),
            Pin(num='B10',name='DCCD',func=Pin.types.PWROUT,unit=1),
            Pin(num='B12',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='B14',name='P1.15',func=Pin.types.BIDIR,unit=1),
            Pin(num='B16',name='P1.14',func=Pin.types.BIDIR,unit=1),
            Pin(num='B18',name='P1.12',func=Pin.types.BIDIR,unit=1),
            Pin(num='B2',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='B20',name='P1.11',func=Pin.types.BIDIR,unit=1),
            Pin(num='B22',name='P0.31',func=Pin.types.BIDIR,unit=1),
            Pin(num='B24',name='P0.30',func=Pin.types.BIDIR,unit=1),
            Pin(num='B26',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='B28',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B30',name='XC2',func=Pin.types.INPUT,unit=1),
            Pin(num='B4',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='B6',name='DECUSB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='B8',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='C1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='C31',name='XC1',func=Pin.types.INPUT,unit=1),
            Pin(num='D2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='E1',name='VDDH',func=Pin.types.PWRIN,unit=1),
            Pin(num='E31',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='EP',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='F2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='G1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='G31',name='DECRF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='H2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='J1',name='DCCH',func=Pin.types.PASSIVE,unit=1),
            Pin(num='J31',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='K2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='L1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='L31',name='ANT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='M2',name='P1.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='N1',name='XL1/P0.00',func=Pin.types.BIDIR,unit=1),
            Pin(num='N31',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='P2',name='P1.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='R1',name='XL2/P0.01',func=Pin.types.BIDIR,unit=1),
            Pin(num='R31',name='P1.10',func=Pin.types.BIDIR,unit=1),
            Pin(num='T2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='U1',name='VDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='U31',name='P0.29',func=Pin.types.BIDIR,unit=1),
            Pin(num='V2',name='AIN0/P0.04',func=Pin.types.BIDIR,unit=1),
            Pin(num='W1',name='NFC1/P0.02',func=Pin.types.BIDIR,unit=1),
            Pin(num='W31',name='SWDCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='Y2',name='AIN1/P0.05',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] })])