from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_RaspberryPi = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'RP2040', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RP2040'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-56-1EP_7x7mm_P0.4mm_EP3.2x3.2mm'], 'footprint':'Package_DFN_QFN:QFN-56-1EP_7x7mm_P0.4mm_EP3.2x3.2mm', 'keywords':'RP2040 ARM Cortex-M0+ USB', 'description':'', 'datasheet':'https://datasheets.raspberrypi.com/rp2040/rp2040-datasheet.pdf', 'pins':[
            Pin(num='1',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='GPIO8',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='GPIO9',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='GPIO10',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='GPIO11',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='GPIO12',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='GPIO13',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='GPIO14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='GPIO15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='TESTEN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='XIN',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='XOUT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='SWCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='SWD',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='RUN',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='GPIO16',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='GPIO17',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='GPIO18',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='GPIO19',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='GPIO20',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='GPIO21',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='GPIO22',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='GPIO23',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO24',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO25',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='GPIO26_ADC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='GPIO27_ADC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='GPIO28_ADC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='GPIO29_ADC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='43',name='ADC_AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='44',name='VREG_IN',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='VREG_VOUT',func=Pin.types.PWROUT,unit=1),
            Pin(num='46',name='USB_DM',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='USB_DP',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='USB_VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='49',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='DVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='51',name='QSPI_SD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='QSPI_SCLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='53',name='QSPI_SD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='QSPI_SD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='QSPI_SD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='56',name='QSPI_SS',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='GPIO7',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] })])