from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

MCU_SiliconLabs = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'C8051F380-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F380-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC EMIF TQFP48', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P4.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P4.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P4.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P4.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P4.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P4.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P4.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P4.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P3.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P3.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P3.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P3.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P3.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P3.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P3.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P3.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='D-',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F381-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F381-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC QFN32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F381-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F381-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC LQFP32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32G230F128G-E-QFN64', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32G230F128G-E-QFN64'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm'], 'footprint':'Package_DFN_QFN:QFN-64-1EP_9x9mm_P0.5mm_EP7.3x7.3mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32g-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PC2',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='PC3',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='PC4',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PC5',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='PA8',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PA9',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PA10',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='PA1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='PB12',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='AVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='PD0',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='PD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='PA2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='PD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='PD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='PD4',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='PD5',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='PD8',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='PC6',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='PC7',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='PA3',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='41',name='PC8',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='PC9',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='PC10',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='PC11',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='PC12',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='PC13',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PA4',func=Pin.types.BIDIR,unit=1),
            Pin(num='50',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='51',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='52',name='PF3',func=Pin.types.BIDIR,unit=1),
            Pin(num='53',name='PF4',func=Pin.types.BIDIR,unit=1),
            Pin(num='54',name='PF5',func=Pin.types.BIDIR,unit=1),
            Pin(num='55',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='56',name='PE8',func=Pin.types.BIDIR,unit=1),
            Pin(num='57',name='PE9',func=Pin.types.BIDIR,unit=1),
            Pin(num='58',name='PE10',func=Pin.types.BIDIR,unit=1),
            Pin(num='59',name='PE11',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PA5',func=Pin.types.BIDIR,unit=1),
            Pin(num='60',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='61',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='62',name='PE14',func=Pin.types.BIDIR,unit=1),
            Pin(num='63',name='PE15',func=Pin.types.BIDIR,unit=1),
            Pin(num='64',name='PA15',func=Pin.types.BIDIR,unit=1),
            Pin(num='65',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='PA6',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='PC0',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32HG108F32G-C-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32HG108F32G-C-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 happy gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32hg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32HG308F32G-C-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32HG308F32G-C-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 happy gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32hg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD_0',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='USB_VREGI',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='USB_VREGO',func=Pin.types.PWROUT,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD_0',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD_5',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD_2',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8G-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8G-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8G-A-QSOP24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8G-A-QSOP24'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:QSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QSOP24', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='10',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='12',name='P2.1',func=Pin.types.BIDIR),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='14',name='P1.4',func=Pin.types.BIDIR),
            Pin(num='15',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='16',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='17',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='18',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='21',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='22',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='23',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='24',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='3',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='4',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='5',name='GND',func=Pin.types.PWRIN),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN),
            Pin(num='7',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='8',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.7',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8G-A-SOIC16', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8G-A-SOIC16'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC SOIC16', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='12',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='13',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='14',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='3',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='4',name='GND',func=Pin.types.PWRIN),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN),
            Pin(num='6',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='7',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.2',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8LB12F32E-C-QFP32', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8LB12F32E-C-QFP32'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8lb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='10',name='P3.0',func=Pin.types.BIDIR),
            Pin(num='11',name='P2.6',func=Pin.types.BIDIR),
            Pin(num='12',name='P2.5',func=Pin.types.BIDIR),
            Pin(num='13',name='P2.4',func=Pin.types.BIDIR),
            Pin(num='14',name='P2.3',func=Pin.types.BIDIR),
            Pin(num='15',name='P2.2',func=Pin.types.BIDIR),
            Pin(num='16',name='P2.1',func=Pin.types.BIDIR),
            Pin(num='17',name='P2.0',func=Pin.types.BIDIR),
            Pin(num='18',name='P1.7',func=Pin.types.BIDIR),
            Pin(num='19',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='2',name='GND',func=Pin.types.PWRIN),
            Pin(num='20',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='21',name='P1.4',func=Pin.types.BIDIR),
            Pin(num='22',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='23',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='24',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='25',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='26',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='27',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='28',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='29',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='3',name='VIO',func=Pin.types.PWRIN),
            Pin(num='30',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='31',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='32',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='~{RST}',func=Pin.types.INPUT),
            Pin(num='6',name='P3.7',func=Pin.types.BIDIR),
            Pin(num='7',name='P3.3',func=Pin.types.BIDIR),
            Pin(num='8',name='P3.2',func=Pin.types.BIDIR),
            Pin(num='9',name='P3.1',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8UB30F40G-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8UB30F40G-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C USB LDOREG ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8ub3-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P2.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='VREGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='P2.1/VBUS',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8UB31F40G-A-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8UB31F40G-A-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm', 'keywords':'8051 microcontroller PWM UART SPI I2C USB LDOREG ADC QFN24', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8ub3-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P2.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='VREGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='P2.1/VBUS',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8UB31F40G-A-QSOP24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8UB31F40G-A-QSOP24'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:QSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'8051 microcontroller PWM UART SPI I2C USB LDOREG ADC QSOP24', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8ub3-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P2.1/VBUS',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='~{RST}/C2CK',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='VIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VREGIN',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFR32xG23xxxxF512xM48', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFR32xG23xxxxF512xM48'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.3x4.3mm'], 'footprint':'Package_DFN_QFN:QFN-48-1EP_6x6mm_P0.4mm_EP4.3x4.3mm', 'keywords':'Z-Wave ARM MCU CM33 Radio 900MHz SoC Silicon Labs Silabs 32-bit CPU EFR32 EFR32ZG23 EFR32M23 EFR32FG23 EFR32SG23 Sidewalk', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efr32zg23-datasheet.pdf', 'pins':[
            Pin(num='1',name='PC00',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PC09',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='HFXTAL_I',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='HFXTAL_O',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='RFVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='RFVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='SUBG_I1',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='SUBG_I0',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='SUBG_O1',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='SUBG_O0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='PC01',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='PAVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='PB03',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='PB02',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='PB01',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PB00',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='PA00',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='PA01_SWCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='PA02_SWDIO',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='PA03_SWO',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='PA04_TCLK',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='PC02',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='PA05_TD1',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='PA06_TD2',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='PA07_TD3',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='PA08_UTX',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='PA09_URX',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='PA10',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='VREGSW',func=Pin.types.PASSIVE,unit=1),
            Pin(num='38',name='VREGVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='39',name='VREGVSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='PC03',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='41',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='42',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='43',name='PD05_PSYNC',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='PD04_PDATA',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='PD03',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='PD02',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='PD01_LFXI',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='PD00_LFXO',func=Pin.types.BIDIR,unit=1),
            Pin(num='49',name='PAD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PC04',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PC05',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='PC06',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='PC07',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='PC08',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F382-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F382-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC EMIF TQFP48', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P4.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P4.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P4.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P4.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P4.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P4.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P4.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P4.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P3.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P3.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P3.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P3.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P3.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P3.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P3.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P3.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='D-',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F383-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F383-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC QFN32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F383-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F383-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC LQFP32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F384-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F384-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C EMIF TQFP48', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P4.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P4.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P4.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P4.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P4.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P4.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P4.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P4.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P3.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P3.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P3.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P3.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P3.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P3.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P3.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P3.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='D-',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F385-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F385-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C QFN32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F385-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F385-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C LQFP32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F386-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F386-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'Package_QFP:TQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:TQFP-48_7x7mm_P0.5mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C EMIF TQFP48', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P4.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P4.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P4.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P4.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P4.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P4.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P4.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P4.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P3.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P3.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P3.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P3.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P3.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P3.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P3.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='P3.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='40',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='41',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='43',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='44',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='45',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='46',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='47',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='48',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='D-',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F387-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F387-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C QFN32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F387-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F387-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C LQFP32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F38C-GM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F38C-GM'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.3x3.3mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC QFN32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C8051F38C-GQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C8051F38C-GQ'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller PCA UART USB SPI I2C ADC LQFP32', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/C8051F38x.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='P3.0/C2D',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='P2.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='P2.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='P2.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='P2.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='P2.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='P2.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='17',name='P2.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='P2.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='P1.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='P1.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='P1.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='P1.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='P1.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='P1.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='P1.1',func=Pin.types.BIDIR,unit=1),
            Pin(num='26',name='P1.0',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='P0.7',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='P0.6',func=Pin.types.BIDIR,unit=1),
            Pin(num='29',name='P0.5',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='P0.4',func=Pin.types.BIDIR,unit=1),
            Pin(num='31',name='P0.3',func=Pin.types.BIDIR,unit=1),
            Pin(num='32',name='P0.2',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D+',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D-',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='REGIN',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBUS',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='~{RST}/C2CK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32HG108F64G-C-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32HG108F64G-C-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 happy gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32hg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32HG308F64G-C-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32HG308F64G-C-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 happy gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32hg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD_0',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='USB_VREGI',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='USB_VREGO',func=Pin.types.PWROUT,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD_0',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD_5',func=Pin.types.PWRIN,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD_2',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG108F16-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG108F16-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG108F32-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG108F32-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG108F4-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG108F4-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG108F8-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG108F8-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG110F16-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG110F16-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG110F32-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG110F32-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG110F4-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG110F4-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM32ZG110F8-B-QFN24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM32ZG110F8-B-QFN24'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm'], 'footprint':'Package_DFN_QFN:QFN-24-1EP_5x5mm_P0.65mm_EP3.6x3.6mm', 'keywords':'MCU microcontroller silicon labs siliconlabs silabs EFM32 zero gecko', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm32zg-datasheet.pdf', 'pins':[
            Pin(num='1',name='PA0',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='PB13',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='PB14',func=Pin.types.BIDIR,unit=1),
            Pin(num='12',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='PD6',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='PD7',func=Pin.types.BIDIR,unit=1),
            Pin(num='15',name='VDD_DREG',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='DECOUPLE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='PC14',func=Pin.types.BIDIR,unit=1),
            Pin(num='18',name='PC15',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='PF0',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='IOVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='PF1',func=Pin.types.BIDIR,unit=1),
            Pin(num='21',name='PF2',func=Pin.types.BIDIR,unit=1),
            Pin(num='22',name='IOVDD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='PE12',func=Pin.types.BIDIR,unit=1),
            Pin(num='24',name='PE13',func=Pin.types.BIDIR,unit=1),
            Pin(num='25',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PC0',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='PC1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='PB7',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='PB8',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='PB11',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AVDD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F2A-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F2A-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20 automotive', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F2G-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F2G-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F2I-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F2I-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F4A-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F4A-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20 automotive', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F4G-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F4G-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F4I-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F4I-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8A-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8A-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20 automotive', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8I-A-QFN20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8I-A-QFN20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:SiliconLabs_QFN-20-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QFN20', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE),
            Pin(num='13',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='14',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='17',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='18',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE),
            Pin(num='3',name='GND',func=Pin.types.PWRIN),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='6',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='7',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.4',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8I-A-QSOP24', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8I-A-QSOP24'}), 'ref_prefix':'U', 'fplist':['Package_SO:QSOP-24_3.9x8.7mm_P0.635mm', 'Package_SO:QSOP-24_3.9x8.7mm_P0.635mm'], 'footprint':'Package_SO:QSOP-24_3.9x8.7mm_P0.635mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC QSOP24', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='10',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='12',name='P2.1',func=Pin.types.BIDIR),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='14',name='P1.4',func=Pin.types.BIDIR),
            Pin(num='15',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='16',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='17',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='18',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='19',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='20',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='21',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='22',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='23',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='24',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='3',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='4',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='5',name='GND',func=Pin.types.PWRIN),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN),
            Pin(num='7',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='8',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.7',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8BB10F8I-A-SOIC16', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8BB10F8I-A-SOIC16'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'8051 microcontroller PWM UART SPI I2C ADC SOIC16', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8bb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='10',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='11',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='12',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='13',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='14',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='15',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='16',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='2',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='3',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='4',name='GND',func=Pin.types.PWRIN),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN),
            Pin(num='6',name='RSTb/C2CK',func=Pin.types.INPUT),
            Pin(num='7',name='P2.0/C2D',func=Pin.types.BIDIR),
            Pin(num='8',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='9',name='P1.2',func=Pin.types.BIDIR)], 'unit_defs':[] }),
        Part(**{ 'name':'EFM8LB12F64E-C-QFP32', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'EFM8LB12F64E-C-QFP32'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-32_7x7mm_P0.8mm', 'Package_QFP:LQFP-32_7x7mm_P0.8mm'], 'footprint':'Package_QFP:LQFP-32_7x7mm_P0.8mm', 'keywords':'8051 microcontroller', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/efm8lb1-datasheet.pdf', 'pins':[
            Pin(num='1',name='P0.0',func=Pin.types.BIDIR),
            Pin(num='10',name='P3.0',func=Pin.types.BIDIR),
            Pin(num='11',name='P2.6',func=Pin.types.BIDIR),
            Pin(num='12',name='P2.5',func=Pin.types.BIDIR),
            Pin(num='13',name='P2.4',func=Pin.types.BIDIR),
            Pin(num='14',name='P2.3',func=Pin.types.BIDIR),
            Pin(num='15',name='P2.2',func=Pin.types.BIDIR),
            Pin(num='16',name='P2.1',func=Pin.types.BIDIR),
            Pin(num='17',name='P2.0',func=Pin.types.BIDIR),
            Pin(num='18',name='P1.7',func=Pin.types.BIDIR),
            Pin(num='19',name='P1.6',func=Pin.types.BIDIR),
            Pin(num='2',name='GND',func=Pin.types.PWRIN),
            Pin(num='20',name='P1.5',func=Pin.types.BIDIR),
            Pin(num='21',name='P1.4',func=Pin.types.BIDIR),
            Pin(num='22',name='P1.3',func=Pin.types.BIDIR),
            Pin(num='23',name='P1.2',func=Pin.types.BIDIR),
            Pin(num='24',name='P1.1',func=Pin.types.BIDIR),
            Pin(num='25',name='P1.0',func=Pin.types.BIDIR),
            Pin(num='26',name='P0.7',func=Pin.types.BIDIR),
            Pin(num='27',name='P0.6',func=Pin.types.BIDIR),
            Pin(num='28',name='P0.5',func=Pin.types.BIDIR),
            Pin(num='29',name='P0.4',func=Pin.types.BIDIR),
            Pin(num='3',name='VIO',func=Pin.types.PWRIN),
            Pin(num='30',name='P0.3',func=Pin.types.BIDIR),
            Pin(num='31',name='P0.2',func=Pin.types.BIDIR),
            Pin(num='32',name='P0.1',func=Pin.types.BIDIR),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN),
            Pin(num='5',name='~{RST}',func=Pin.types.INPUT),
            Pin(num='6',name='P3.7',func=Pin.types.BIDIR),
            Pin(num='7',name='P3.3',func=Pin.types.BIDIR),
            Pin(num='8',name='P3.2',func=Pin.types.BIDIR),
            Pin(num='9',name='P3.1',func=Pin.types.BIDIR)], 'unit_defs':[] })])