from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Potentiometer_Digital = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AD5254', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5254'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5253_5254.pdf', 'pins':[
            Pin(num='1',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='W2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='W3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5272BCP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5272BCP'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-WD-10-1EP_3x3mm_P0.5mm_EP1.64x2.38mm'], 'footprint':'Package_CSP:LFCSP-WD-10-1EP_3x3mm_P0.5mm_EP1.64x2.38mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5272_5274.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='ADDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='EXT_CAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5272BRM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5272BRM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5272_5274.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='ADDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='EXT_CAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5280', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5280'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5280_5282.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='O2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='VLOG',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='O1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='AD0',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='AD1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5282', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5282'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-16_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-16_4.4x5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5280_5282.pdf', 'pins':[
            Pin(num='1',name='O1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='VLOG',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='W2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='AD0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5290', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5290'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'analog-devices ', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5290.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='V_{SS}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5293', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5293'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'R POT', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5293.pdf', 'pins':[
            Pin(num='1',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='RDY',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='Vss-',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='RH',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='RW',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='RL',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='Vdd+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='EXT_CAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='Vlog',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1267_DIP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1267_DIP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'Dual Digital Potentiometer Maxim', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1267.pdf', 'pins':[
            Pin(num='1',name='VB',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='L0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='SOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='L1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{Reset}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='DQ',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='COUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1267_SOIC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1267_SOIC'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16_3.9x9.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16_3.9x9.9mm_P1.27mm', 'keywords':'Dual Digital Potentiometer Maxim', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1267.pdf', 'pins':[
            Pin(num='1',name='VB',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='COUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='L0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='SOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='L1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{Reset}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='DQ',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1267_TSSOP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1267_TSSOP'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'Dual Digital Potentiometer Maxim', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1267.pdf', 'pins':[
            Pin(num='1',name='VB',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='DQ',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='COUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='L0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='SOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='20',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='L1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{Reset}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CLK',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1882E', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1882E'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-16_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-16_4.4x5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1882.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='H1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{CE}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='14',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='L0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='H0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='L1',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX5436', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX5436'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'digital potentiometer resistor variable', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX5436-MAX5439.pdf', 'pins':[
            Pin(num='1',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Din',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CS',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Gnd',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='H',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='L',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4011-xxxxMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4011-xxxxMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21978c.pdf, MSOP-8', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='U/~{D}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4011-xxxxSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4011-xxxxSN'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21978c.pdf, SOIC-8', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='U/~{D}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4012-xxxxCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4012-xxxxCH'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21978c.pdf, SOT-23-6', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4013-xxxxCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4013-xxxxCH'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21978c.pdf, SOT-23-6', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4014-xxxxOT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4014-xxxxOT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21978c.pdf, SOT-23-5', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4017-xxxxLT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4017-xxxxLT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'TWI pot rheostat', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22147a.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4018-xxxxLT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4018-xxxxLT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-363_SC-70-6'], 'footprint':'Package_TO_SOT_SMD:SOT-363_SC-70-6', 'keywords':'TWI pot', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22147a.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4019-xxxxLT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4019-xxxxLT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'TWI pot rheostat', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22147a.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP41010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP41010'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4131-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4131-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'digipot RAM 7-bit 7bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='3',name='SDI/SDO',func=Pin.types.BIDIR),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='5',name='P0A',func=Pin.types.PASSIVE),
            Pin(num='6',name='P0W',func=Pin.types.PASSIVE),
            Pin(num='7',name='P0B',func=Pin.types.PASSIVE),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4132-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4132-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'potentiometer digipot RAM 7-bit 7bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SDO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP42010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP42010'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{RS}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PB1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PA1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='PW0',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4251-xxxx-ML', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4251-xxxx-ML'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.5x2.5mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_4x4mm_P0.65mm_EP2.5x2.5mm', 'keywords':'Digital Pot Potentiometer', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/22060b.pdf', 'pins':[
            Pin(num='1',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='12',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='EP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='P1B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P1W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='P1A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='P0W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4251-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4251-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'Digital Pot Potentiometer', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='P1B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P1W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='P1A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='P0W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4251-xxxx-SL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4251-xxxx-SL'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-14_3.9x8.7mm_P1.27mm'], 'footprint':'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'keywords':'Digital Pot Potentiometer', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='P1B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P1W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='P1A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='P0W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4251-xxxx-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4251-xxxx-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'Digital Pot Potentiometer', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='P1B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P1W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='P1A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='P0W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4431-xxxx-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4431-xxxx-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'Digital Pot Potentiometer DigiPot', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/22267A_MCP4431.pdf', 'pins':[
            Pin(num='11',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P1A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='8',name='P1B',func=Pin.types.PASSIVE,unit=2),
            Pin(num='9',name='P1W',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='P2B',func=Pin.types.PASSIVE,unit=3),
            Pin(num='19',name='P2W',func=Pin.types.PASSIVE,unit=3),
            Pin(num='20',name='P2A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='1',name='P3A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='2',name='P3W',func=Pin.types.PASSIVE,unit=4),
            Pin(num='3',name='P3B',func=Pin.types.PASSIVE,unit=4),
            Pin(num='14',name='NC',func=Pin.types.NOCONNECT,unit=5),
            Pin(num='15',name='~{RESET}',func=Pin.types.INPUT,unit=5),
            Pin(num='16',name='A1',func=Pin.types.INPUT,unit=5),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='4',name='HVC/A0',func=Pin.types.INPUT,unit=5),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=5),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '11', '12']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '10', '8']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '19', '20']},{'label': 'uD', 'num': 4, 'pin_nums': ['3', '2', '1']},{'label': 'uE', 'num': 5, 'pin_nums': ['14', '15', '5', '17', '7', '16', '4', '6']}] }),
        Part(**{ 'name':'MCP45HV51-MQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP45HV51-MQ'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_5x5mm_P0.65mm_EP3.35x3.35mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_5x5mm_P0.65mm_EP3.35x3.35mm', 'keywords':'I2C Potentiometer pot digital', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005304A.pdf', 'pins':[
            Pin(num='1',name='VL',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{WLAT}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP45HV51-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP45HV51-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'I2C Potentiometer pot digital', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005304A.pdf', 'pins':[
            Pin(num='1',name='VL',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{WLAT}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='DGND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPL0401A-10-Q1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPL0401A-10-Q1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:Texas_R-PDSO-G6'], 'footprint':'Package_TO_SOT_SMD:Texas_R-PDSO-G6', 'keywords':'Digital Pot Potentiometer I2C', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tpl0401a-10-q1.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='H',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'X9118', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'X9118'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/x911/x9118.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PASSIVE),
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='3',name='A0',func=Pin.types.INPUT),
            Pin(num='4',name='SCL',func=Pin.types.INPUT),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN),
            Pin(num='8',name='V-',func=Pin.types.PASSIVE),
            Pin(num='9',name='A1',func=Pin.types.INPUT),
            Pin(num='11',name='RW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='RH0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='RL0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{WP}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'X9250', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'X9250'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'potentiometer resistor variable digital', 'description':'', 'datasheet':'https://www.intersil.com/content/dam/Intersil/documents/x925/x9250.pdf', 'pins':[
            Pin(num='11',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='13',name='SIN',func=Pin.types.INPUT),
            Pin(num='14',name='A1',func=Pin.types.INPUT),
            Pin(num='18',name='VSS',func=Pin.types.PWRIN),
            Pin(num='19',name='V-',func=Pin.types.PASSIVE),
            Pin(num='2',name='A0',func=Pin.types.INPUT),
            Pin(num='23',name='SCL',func=Pin.types.INPUT),
            Pin(num='24',name='~{HOLD}',func=Pin.types.INPUT),
            Pin(num='6',name='V+',func=Pin.types.PASSIVE),
            Pin(num='7',name='VCC',func=Pin.types.PWRIN),
            Pin(num='1',name='SOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='RW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='RL1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='RH1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='RW1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='RW2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='RH2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='RL2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='RW3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='RH3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='RL3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='RL0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='RH0',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'X9258', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'X9258'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'potentiometer resistor variable digital', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/intersil/documents/x925/x9258.pdf', 'pins':[
            Pin(num='11',name='A2',func=Pin.types.INPUT),
            Pin(num='13',name='SDA',func=Pin.types.BIDIR),
            Pin(num='14',name='A1',func=Pin.types.INPUT),
            Pin(num='18',name='VSS',func=Pin.types.PWRIN),
            Pin(num='19',name='V-',func=Pin.types.PASSIVE),
            Pin(num='2',name='A0',func=Pin.types.INPUT),
            Pin(num='23',name='SCL',func=Pin.types.INPUT),
            Pin(num='24',name='A3',func=Pin.types.INPUT),
            Pin(num='6',name='V+',func=Pin.types.PASSIVE),
            Pin(num='7',name='VCC',func=Pin.types.PWRIN),
            Pin(num='10',name='RW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='RL1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='RH1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='RW1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='RW2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='RH2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='RL2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='RW3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='RH3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='RL3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='RL0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='RH0',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5253', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5253'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5253_5254.pdf', 'pins':[
            Pin(num='1',name='W0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='B2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='W2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='A3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='B3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='W3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='20',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='AD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{WP}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='W1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='B1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5274BCP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5274BCP'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-WD-10-1EP_3x3mm_P0.5mm_EP1.64x2.38mm', 'Package_CSP:LFCSP-WD-10-1EP_3x3mm_P0.5mm_EP1.64x2.38mm'], 'footprint':'Package_CSP:LFCSP-WD-10-1EP_3x3mm_P0.5mm_EP1.64x2.38mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5272_5274.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='ADDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='EXT_CAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD5274BRM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD5274BRM'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm', 'Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'digital potentiometer', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD5272_5274.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='ADDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='EXT_CAP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX5438', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX5438'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'digital potentiometer resistor variable', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX5436-MAX5439.pdf', 'pins':[
            Pin(num='1',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Din',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CS',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='Gnd',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='H',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='L',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4021-xxxxMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4021-xxxxMS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21945e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='U/~{D}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4021-xxxxSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4021-xxxxSN'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21945e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='U/~{D}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4022-xxxxCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4022-xxxxCH'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21945e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4023-xxxxCH', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4023-xxxxCH'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21945e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4024-xxxxOT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4024-xxxxOT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Digital Pot Potentiometer Up Down', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21945e.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP41050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP41050'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP41100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP41100'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4141-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4141-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'digipot EE 7-bit 7bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22059b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='3',name='SDI/SDO',func=Pin.types.BIDIR),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='5',name='P0A',func=Pin.types.PASSIVE),
            Pin(num='6',name='P0W',func=Pin.types.PASSIVE),
            Pin(num='7',name='P0B',func=Pin.types.PASSIVE),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4142-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4142-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'potentiometer digipot EE 7-bit 7bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22059b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SDO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4151-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4151-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'digipot RAM 8-bit 8bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='3',name='SDI/SDO',func=Pin.types.BIDIR),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='5',name='P0A',func=Pin.types.PASSIVE),
            Pin(num='6',name='P0W',func=Pin.types.PASSIVE),
            Pin(num='7',name='P0B',func=Pin.types.PASSIVE),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4152-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4152-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'potentiometer digipot RAM 8-bit 8bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22060b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SDO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4161-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4161-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'digipot EE 8-bit 8bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22059b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='3',name='SDI/SDO',func=Pin.types.BIDIR),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='5',name='P0A',func=Pin.types.PASSIVE),
            Pin(num='6',name='P0W',func=Pin.types.PASSIVE),
            Pin(num='7',name='P0B',func=Pin.types.PASSIVE),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4162-xxxx-P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4162-xxxx-P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'potentiometer digipot EE 8-bit 8bit', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/22059b.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT),
            Pin(num='2',name='SCK',func=Pin.types.INPUT),
            Pin(num='4',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='3',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SDO',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP42050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP42050'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{RS}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PB1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PA1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='PW0',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP42100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP42100'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'R POT', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/11195c.pdf', 'pins':[
            Pin(num='1',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='PB0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='~{RS}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='SO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SI',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='PB1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='PW1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='PA1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='PA0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='PW0',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP4441-xxxx-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4441-xxxx-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'Digital Pot Potentiometer DigiPot', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/22267A_MCP4431.pdf', 'pins':[
            Pin(num='11',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P1A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='8',name='P1B',func=Pin.types.PASSIVE,unit=2),
            Pin(num='9',name='P1W',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='P2B',func=Pin.types.PASSIVE,unit=3),
            Pin(num='19',name='P2W',func=Pin.types.PASSIVE,unit=3),
            Pin(num='20',name='P2A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='1',name='P3A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='2',name='P3W',func=Pin.types.PASSIVE,unit=4),
            Pin(num='3',name='P3B',func=Pin.types.PASSIVE,unit=4),
            Pin(num='14',name='NC',func=Pin.types.NOCONNECT,unit=5),
            Pin(num='15',name='~{RESET}',func=Pin.types.INPUT,unit=5),
            Pin(num='16',name='A1',func=Pin.types.INPUT,unit=5),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='4',name='HVC/A0',func=Pin.types.INPUT,unit=5),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=5),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '11', '12']},{'label': 'uB', 'num': 2, 'pin_nums': ['10', '8', '9']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '20', '19']},{'label': 'uD', 'num': 4, 'pin_nums': ['2', '3', '1']},{'label': 'uE', 'num': 5, 'pin_nums': ['6', '17', '5', '16', '14', '7', '4', '15']}] }),
        Part(**{ 'name':'MCP4451-xxxx-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4451-xxxx-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'Digital Pot Potentiometer DigiPot', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/22267A_MCP4431.pdf', 'pins':[
            Pin(num='11',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P1A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='8',name='P1B',func=Pin.types.PASSIVE,unit=2),
            Pin(num='9',name='P1W',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='P2B',func=Pin.types.PASSIVE,unit=3),
            Pin(num='19',name='P2W',func=Pin.types.PASSIVE,unit=3),
            Pin(num='20',name='P2A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='1',name='P3A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='2',name='P3W',func=Pin.types.PASSIVE,unit=4),
            Pin(num='3',name='P3B',func=Pin.types.PASSIVE,unit=4),
            Pin(num='14',name='NC',func=Pin.types.NOCONNECT,unit=5),
            Pin(num='15',name='~{RESET}',func=Pin.types.INPUT,unit=5),
            Pin(num='16',name='A1',func=Pin.types.INPUT,unit=5),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='4',name='HVC/A0',func=Pin.types.INPUT,unit=5),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=5),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '12', '11']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '8', '10']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '19', '20']},{'label': 'uD', 'num': 4, 'pin_nums': ['1', '2', '3']},{'label': 'uE', 'num': 5, 'pin_nums': ['16', '5', '17', '15', '14', '6', '7', '4']}] }),
        Part(**{ 'name':'MCP4461-xxxx-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP4461-xxxx-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-20_4.4x6.5mm_P0.65mm', 'keywords':'Digital Pot Potentiometer DigiPot', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/en/DeviceDoc/22267A_MCP4431.pdf', 'pins':[
            Pin(num='11',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='P1A',func=Pin.types.PASSIVE,unit=2),
            Pin(num='8',name='P1B',func=Pin.types.PASSIVE,unit=2),
            Pin(num='9',name='P1W',func=Pin.types.PASSIVE,unit=2),
            Pin(num='18',name='P2B',func=Pin.types.PASSIVE,unit=3),
            Pin(num='19',name='P2W',func=Pin.types.PASSIVE,unit=3),
            Pin(num='20',name='P2A',func=Pin.types.PASSIVE,unit=3),
            Pin(num='1',name='P3A',func=Pin.types.PASSIVE,unit=4),
            Pin(num='2',name='P3W',func=Pin.types.PASSIVE,unit=4),
            Pin(num='3',name='P3B',func=Pin.types.PASSIVE,unit=4),
            Pin(num='14',name='NC',func=Pin.types.NOCONNECT,unit=5),
            Pin(num='15',name='~{RESET}',func=Pin.types.INPUT,unit=5),
            Pin(num='16',name='A1',func=Pin.types.INPUT,unit=5),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=5),
            Pin(num='4',name='HVC/A0',func=Pin.types.INPUT,unit=5),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=5),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=5),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=5)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['13', '11', '12']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '10', '8']},{'label': 'uC', 'num': 3, 'pin_nums': ['18', '20', '19']},{'label': 'uD', 'num': 4, 'pin_nums': ['2', '1', '3']},{'label': 'uE', 'num': 5, 'pin_nums': ['7', '6', '17', '5', '16', '4', '14', '15']}] }),
        Part(**{ 'name':'MCP45HV31-MQ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP45HV31-MQ'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-20-1EP_5x5mm_P0.65mm_EP3.35x3.35mm', 'Package_DFN_QFN:QFN-20-1EP_5x5mm_P0.65mm_EP3.35x3.35mm'], 'footprint':'Package_DFN_QFN:QFN-20-1EP_5x5mm_P0.65mm_EP3.35x3.35mm', 'keywords':'I2C Potentiometer pot digital', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005304A.pdf', 'pins':[
            Pin(num='1',name='VL',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='12',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='EP',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{WLAT}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP45HV31-ST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP45HV31-ST'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'I2C Potentiometer pot digital', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005304A.pdf', 'pins':[
            Pin(num='1',name='VL',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='V-',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='P0B',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='P0W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='P0A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{WLAT}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='~{SHDN}',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='DGND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPL0401B-10-Q1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPL0401B-10-Q1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:Texas_R-PDSO-G6', 'Package_TO_SOT_SMD:Texas_R-PDSO-G6'], 'footprint':'Package_TO_SOT_SMD:Texas_R-PDSO-G6', 'keywords':'Digital Pot Potentiometer I2C', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tpl0401a-10-q1.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='H',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])