from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

RF_WiFi = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'HF-A11-SMT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'HF-A11-SMT'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'WiFi IEEE802.11 b/g/n', 'description':'', 'datasheet':'http://www.hi-flying.com/index.php?route=tool/upload/download&code=190ec6c62d497905ed783d140f8e5af7a753b8ab', 'pins':[
            Pin(num='1',name='3.3V',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='RX+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='RX-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='~{LINK}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='~{READY}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='~{RELOAD}',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='3.3V',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='UART1_RXD',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='UART1_TXD',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='1.8VOUT',func=Pin.types.PWROUT,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='RF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='UART_TXD',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='UART_RXD',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='UART_RTS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='UART_CTS',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='TX+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='TX-',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'USR-C322', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'USR-C322'}), 'ref_prefix':'U', 'fplist':['RF_WiFi:USR-C322'], 'footprint':'RF_WiFi:USR-C322', 'keywords':'WiFi IEEE802.11 b/g/n', 'description':'', 'datasheet':'https://www.usriot.com/download/WIFI/USR-C322%20User%20Manual%20V2.3.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='11',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='VBT_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='VDD_ANA2',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='19',name='UART0_TX',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='UART0_RX',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='~{RELOAD}',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='~{READY}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='23',name='~{LINK}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='24',name='UART0_CTS',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='UART0_RTS',func=Pin.types.OUTPUT,unit=1),
            Pin(num='26',name='GPIO4',func=Pin.types.BIDIR,unit=1),
            Pin(num='27',name='GPIO5',func=Pin.types.BIDIR,unit=1),
            Pin(num='28',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='UART1_TX',func=Pin.types.OUTPUT,unit=1),
            Pin(num='31',name='UART1_RX',func=Pin.types.INPUT,unit=1),
            Pin(num='32',name='GPIO6',func=Pin.types.BIDIR,unit=1),
            Pin(num='33',name='GPIO7',func=Pin.types.BIDIR,unit=1),
            Pin(num='34',name='GPIO8',func=Pin.types.BIDIR,unit=1),
            Pin(num='35',name='GPIO9',func=Pin.types.BIDIR,unit=1),
            Pin(num='36',name='GPIO10',func=Pin.types.BIDIR,unit=1),
            Pin(num='37',name='GPIO11',func=Pin.types.BIDIR,unit=1),
            Pin(num='38',name='GPIO12',func=Pin.types.BIDIR,unit=1),
            Pin(num='39',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='40',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='41',name='GPIO13',func=Pin.types.BIDIR,unit=1),
            Pin(num='42',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='43',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='44',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='SOP2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='SOP1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SOP0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='ANA_DC-DC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] })])