from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Sensor_Optical = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'A1050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'A1050'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_D6.4mm_P3.4mm_Vertical'], 'footprint':'OptoDevice:R_LDR_D6.4mm_P3.4mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/A106012.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'A9050', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'A9050'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical'], 'footprint':'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/A90xxxx%23PE.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APDS-9251-001', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APDS-9251-001'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Broadcom_LGA-8_2x2mm_P0.5mm'], 'footprint':'OptoDevice:Broadcom_LGA-8_2x2mm_P0.5mm', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'https://docs.broadcom.com/doc/APDS-9251-001-DS', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APDS-9301', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APDS-9301'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Broadcom_APDS-9301'], 'footprint':'OptoDevice:Broadcom_APDS-9301', 'keywords':'ambient light sensor i2c', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-2315EN', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ADR_SEL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='INT',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APDS-9306', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APDS-9306'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Broadcom_LGA-8_2x2mm_P0.53mm'], 'footprint':'OptoDevice:Broadcom_LGA-8_2x2mm_P0.53mm', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-4755EN', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'APDS-9306-065', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'APDS-9306-065'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Broadcom_DFN-6_2x2mm_P0.65mm'], 'footprint':'OptoDevice:Broadcom_DFN-6_2x2mm_P0.65mm', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'https://docs.broadcom.com/docs/AV02-4755EN', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS7261', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS7261'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm'], 'footprint':'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'keywords':'6-Channel XYZ Spectral_ID Device Electronic Shutter Smart Interface i2c uart', 'description':'', 'datasheet':'https://ams.com/documents/20143/36005/AS7261_DS000493_1-00.pdf/0e7d1f12-702e-d061-b07a-67b0b6316800', 'pins':[
            Pin(num='1',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='11',name='RX/SCL_S',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='TX/SDA_S',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='INT',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='LED_DRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='LED_IND',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='~{RES}',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='MOSI',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='MISO',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='CSN_EE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CSN_SD',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='I2C_ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='NF',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS72651', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS72651'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm'], 'footprint':'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'keywords':'Smart Spectral Sensor', 'description':'', 'datasheet':'https://ams.com/documents/20143/36005/AS7265x_DS000612_1-00.pdf/08051c8a-a7f6-6231-7993-2d3fe0bf38b8', 'pins':[
            Pin(num='1',name='~{SLV1_RES}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='SDA_M',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='RX/SCL_S',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='TX/SDA_S',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='INT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD2',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='LED_DRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VDD1',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='LED_IND',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='~{RES}',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='~{SLV2_RES}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='SCK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='MOSI',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='MISO',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='I2C_ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='SCL_M',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS7341DLG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS7341DLG'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_OLGA-8_2x3.1mm_P0.8mm'], 'footprint':'Package_LGA:AMS_OLGA-8_2x3.1mm_P0.8mm', 'keywords':'11-Channel Spectral i2c optical color', 'description':'', 'datasheet':'https://ams.com/documents/20143/36005/AS7341_DS000504_3-00.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='LDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='GPIO',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BP103', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BP103'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-18-3_Lens'], 'footprint':'Package_TO_SOT_THT:TO-18-3_Lens', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic3/00101777_0.pdf/BP', 'pins':[
            Pin(num='1',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='C',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BP104-SMD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BP104-SMD'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_BP104-SMD'], 'footprint':'OptoDevice:Osram_BP104-SMD', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://dammedia.osram.info/media/resource/hires/osram-dam-5989350/BP%20104%20FAS_EN.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW21', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW21'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-5-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-5-2_Window', 'keywords':'opto photodiode', 'description':'', 'datasheet':'http://techwww.in.tu-clausthal.de/site/Dokumentation/Dioden/Fotodioden/BPW21-Fotodiode.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW34', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW34'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_DIL2_4.3x4.65mm_P5.08mm'], 'footprint':'OptoDevice:Osram_DIL2_4.3x4.65mm_P5.08mm', 'keywords':'opto PIN photodiode', 'description':'', 'datasheet':'http://www.vishay.com/docs/81521/bpw34.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW40', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW40'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D5.0mm_Clear'], 'footprint':'LED_THT:LED_D5.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://www.rcscomponents.kiev.ua/datasheets/bpw40.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW82', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW82'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_BPW82'], 'footprint':'OptoDevice:Osram_BPW82', 'keywords':'opto photo diode', 'description':'', 'datasheet':'http://www.vishay.com/docs/81529/bpw82.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPX65', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPX65'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-2_Lens'], 'footprint':'Package_TO_SOT_THT:TO-18-2_Lens', 'keywords':'opto PIN photo diode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic1/00181579_0.pdf/BPX%2065,%20Lead%20(Pb)%20Free%20Product%20-%20RoHS%20Compliant.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'C12880MA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'C12880MA'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Hamamatsu_C12880'], 'footprint':'OptoDevice:Hamamatsu_C12880', 'keywords':'spectrometer', 'description':'', 'datasheet':'http://www.hamamatsu.com/resources/pdf/ssd/c12880ma_kacc1226e.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='VIDEO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CASE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='ST',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='TRG',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='EOS',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Flir_LEPTON', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Flir_LEPTON'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'LWIR camera', 'description':'', 'datasheet':'https://cdn.sparkfun.com/datasheets/Sensors/Infrared/FLIR_Lepton_Data_Brief.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='SPI_MOSI',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='SPI_MISO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='SPI_CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='SPI_CS_L',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='VDDIO',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='18',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GPIO3',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='23',name='PWR_DWN_L',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='RESET_L',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='MASTER_CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='28',name='MIPI_CLK_N',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='MIPI_CLK_P',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GPIO2',func=Pin.types.BIDIR,unit=1),
            Pin(num='30',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='MIPI_DATA_N',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='MIPI_DATA_P',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GPIO1',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GPIO0',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='VDDC',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ISL29035', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ISL29035'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Renesas_DFN-6_1.5x1.6mm_P0.5mm'], 'footprint':'OptoDevice:Renesas_DFN-6_1.5x1.6mm_P0.5mm', 'keywords':'ambient light sensor i2c', 'description':'', 'datasheet':'https://www.renesas.com/us/en/document/dst/isl29035-datasheet', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='~INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KPS-3227', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KPS-3227'}), 'ref_prefix':'Q', 'fplist':['OptoDevice:Kingbright_KPS-3227'], 'footprint':'OptoDevice:Kingbright_KPS-3227', 'keywords':'Kingbright npn phototransistor ambient light photo sensor', 'description':'', 'datasheet':'https://www.kingbright.com/attachments/file/psearch/000/00/00/KPS-3227SP1C(Ver.16).pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KPS-5130', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KPS-5130'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Kingbright_KPS-5130'], 'footprint':'OptoDevice:Kingbright_KPS-5130', 'keywords':'opto photodiode RGB colour sensor', 'description':'', 'datasheet':'https://www.kingbright.com/attachments/file/psearch/000/00/20160808bak/KPS-5130PD7C(Ver.13).pdf', 'pins':[
            Pin(num='1',name='AR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='AG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='AB',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='C',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LDR03', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LDR03'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_10x8.5mm_P7.6mm_Vertical'], 'footprint':'OptoDevice:R_LDR_10x8.5mm_P7.6mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://www.elektronica-componenten.nl/WebRoot/StoreNL/Shops/61422969/54F1/BA0C/C664/31B9/2173/C0A8/2AB9/2AEF/LDR03IMP.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LDR07', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LDR07'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_5.1x4.3mm_P3.4mm_Vertical'], 'footprint':'OptoDevice:R_LDR_5.1x4.3mm_P3.4mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://www.tme.eu/de/Document/f2e3ad76a925811312d226c31da4cd7e/LDR07.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LPT80A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LPT80A'}), 'ref_prefix':'Q', 'fplist':['OptoDevice:Osram_LPT80A'], 'footprint':'OptoDevice:Osram_LPT80A', 'keywords':'NPN phototransistor', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic4/00209607_0.pdf/LPT%2080A.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTR-303ALS-01', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTR-303ALS-01'}), 'ref_prefix':'U', 'fplist':['OptoDevice:Lite-On_LTR-303ALS-01'], 'footprint':'OptoDevice:Lite-On_LTR-303ALS-01', 'keywords':'ambient light sensor i2c', 'description':'', 'datasheet':'https://optoelectronics.liteon.com/upload/download/DS86-2013-0004/LTR-303ALS-01_DS_V1.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'M9960', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'M9960'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_5.2x5.2mm_P3.5mm_Horizontal'], 'footprint':'OptoDevice:R_LDR_5.2x5.2mm_P3.5mm_Horizontal', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/M996011a_b.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NOA1305', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NOA1305'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_2x2mm_P0.65mm_EP1x1.6mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_2x2mm_P0.65mm_EP1x1.6mm', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'http://www.onsemi.com/pub/Collateral/NOA1305-D.PDF', 'pins':[
            Pin(num='1',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='EP',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PMTx08Dyn', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PMTx08Dyn'}), 'ref_prefix':'PMT', 'fplist':[''], 'footprint':'', 'keywords':'PMT 8-stage', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='Dy1',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy2',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy3',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy4',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy5',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy6',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy7',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy8',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='K',name='Photocathode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='P',name='Anode',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PMTx08Dyn_Shld', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PMTx08Dyn_Shld'}), 'ref_prefix':'PMT', 'fplist':[''], 'footprint':'', 'keywords':'PMT 8-stage', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='Dy1',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy2',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy3',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy4',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy5',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy6',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy7',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='Dy8',name='Dynode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='E',name='Electrostatic',func=Pin.types.PASSIVE,unit=1),
            Pin(num='K',name='Photocathode',func=Pin.types.PASSIVE,unit=1),
            Pin(num='M',name='Magnetic',func=Pin.types.PASSIVE,unit=1),
            Pin(num='P',name='Anode',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S13360-3025CS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S13360-3025CS'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Hamamatsu_S13360-30CS'], 'footprint':'OptoDevice:Hamamatsu_S13360-30CS', 'keywords':'opto SiPM MPPC hamamatsu SPAD', 'description':'', 'datasheet':'http://www.hamamatsu.com/resources/pdf/ssd/s13360_series_kapd1052e.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S5971', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S5971'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-3'], 'footprint':'Package_TO_SOT_THT:TO-18-3', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://www.hamamatsu.com/resources/pdf/ssd/s5971_etc_kpin1025e.pdf', 'pins':[
            Pin(num='2',name='C',func=Pin.types.PASSIVE),
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH203', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH203'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'opto PIN photodiode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic9/00101656_0.pdf/SFH%20203,%20SFH%20203%20FA,%20Lead%20(Pb)%20Free%20Product%20-%20RoHS%20Compliant.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH205F', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH205F'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SFH205'], 'footprint':'OptoDevice:Osram_SFH205', 'keywords':'opto photo diode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic2/00101668_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH206K', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH206K'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SFH205'], 'footprint':'OptoDevice:Osram_SFH205', 'keywords':'opto PIN photodiode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic0/00211439_0.pdf/SFH%20206%20K.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH216', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH216'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-18-2_Window', 'keywords':'opto PIN photo diode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic1/00029253_0.pdf/SFH', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH225FA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH225FA'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SFH225'], 'footprint':'OptoDevice:Osram_SFH225', 'keywords':'opto PIN photodiode IR', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic0/00209685_0.pdf/SFH%20225%20FA.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH2400', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH2400'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SMD-SmartDIL'], 'footprint':'OptoDevice:Osram_SMD-SmartDIL', 'keywords':'opto photodiode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic5/00215665_0.pdf/SFH%202400.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH2701', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH2701'}), 'ref_prefix':'D', 'fplist':['LED_SMD:LED_1206_3216Metric_Castellated'], 'footprint':'LED_SMD:LED_1206_3216Metric_Castellated', 'keywords':'opto photodiode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic6/00201111_0.pdf/SFH%202701.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH309', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH309'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic2/00101811_0.pdf/SFH%20309,%20SFH%20309%20FA,%20Lead%20(Pb)%20Free%20Product%20-%20RoHS%20Compliant.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH3201', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH3201'}), 'ref_prefix':'Q', 'fplist':['OptoDevice:Osram_SFH9x0x'], 'footprint':'OptoDevice:Osram_SFH9x0x', 'keywords':'NPN phototransistor', 'description':'', 'datasheet':'https://dammedia.osram.info/media/resource/hires/osram-dam-2495980/SFH%203201.pdf', 'pins':[
            Pin(num='3',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='C',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSL2550D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSL2550D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'http://ams.com/eng/content/download/250130/975613/142977', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='DAT',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSL2550T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSL2550T'}), 'ref_prefix':'U', 'fplist':['OptoDevice:AMS_TSL2550_SMD'], 'footprint':'OptoDevice:AMS_TSL2550_SMD', 'keywords':'opto ambient light sensor', 'description':'', 'datasheet':'http://ams.com/eng/content/download/250130/975613/142977', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DAT',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSL25911FN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSL25911FN'}), 'ref_prefix':'U', 'fplist':['OptoDevice:AMS_TSL25911FN'], 'footprint':'OptoDevice:AMS_TSL25911FN', 'keywords':'ALS', 'description':'', 'datasheet':'https://ams.com/documents/20143/9331680/TSL2591_DS000338_7-00.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'VT93xx', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'VT93xx'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_4.9x4.2mm_P2.54mm_Vertical'], 'footprint':'OptoDevice:R_LDR_4.9x4.2mm_P2.54mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://www.produktinfo.conrad.com/datenblaetter/125000-149999/140375-da-01-en-FOTOWIDERSTAND__VT_93_N2__THT_.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'A1060', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'A1060'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_D6.4mm_P3.4mm_Vertical', 'OptoDevice:R_LDR_D6.4mm_P3.4mm_Vertical'], 'footprint':'OptoDevice:R_LDR_D6.4mm_P3.4mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/A106012.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'A9013', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'A9013'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical'], 'footprint':'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://www.produktinfo.conrad.com/datenblaetter/125000-149999/145475-da-01-en-FOTOWIDERSTAND_A_9060_A_9013.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'A9060', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'A9060'}), 'ref_prefix':'R', 'fplist':['OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical'], 'footprint':'OptoDevice:R_LDR_5.0x4.1mm_P3mm_Vertical', 'keywords':'light dependent photo resistor LDR', 'description':'', 'datasheet':'http://cdn-reichelt.de/documents/datenblatt/A500/A90xxxx%23PE.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS7262', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS7262'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm'], 'footprint':'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'keywords':'6-Channel Visible Spectral_ID Device Electronic Shutter Smart Interface i2c uart', 'description':'', 'datasheet':'https://ams.com/documents/20143/36005/AS7262_DS000486_5-00.pdf', 'pins':[
            Pin(num='1',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='11',name='RX/SCL_S',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='TX/SDA_S',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='INT',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='LED_DRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='LED_IND',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='~{RES}',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='MOSI',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='MISO',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='CSN_EE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CSN_SD',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='I2C_ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='NF',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS7263', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS7263'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm'], 'footprint':'Package_LGA:AMS_LGA-20_4.7x4.5mm_P0.65mm', 'keywords':'6-Channel NIR Spectral_ID Device Electronic Shutter Smart Interface i2c uart', 'description':'', 'datasheet':'https://ams.com/documents/20143/36005/AS7263_DS000476_4-00.pdf', 'pins':[
            Pin(num='1',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='11',name='RX/SCL_S',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='TX/SDA_S',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='INT',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='LED_DRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='LED_IND',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='~{RES}',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='NF',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='MOSI',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='MISO',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='CSN_EE',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CSN_SD',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='I2C_ENB',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='NF',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AS7343xDLG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AS7343xDLG'}), 'ref_prefix':'U', 'fplist':['Package_LGA:AMS_OLGA-8_2x3.1mm_P0.8mm', 'Package_LGA:AMS_OLGA-8_2x3.1mm_P0.8mm'], 'footprint':'Package_LGA:AMS_OLGA-8_2x3.1mm_P0.8mm', 'keywords':'14-Channel Spectral i2c optical color', 'description':'', 'datasheet':'https://ams.com/documents/20143/6705498/AS7343_DS001046_6_00.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='LDR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='PGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='GPIO',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BP103B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BP103B'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear'], 'footprint':'LED_THT:LED_D5.0mm_Clear', 'keywords':'NPN phototransistor', 'description':'', 'datasheet':'http://www.b-kainka.de/Daten/Sensor/bp103bf.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BP103BF', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BP103BF'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear'], 'footprint':'LED_THT:LED_D5.0mm_Clear', 'keywords':'IR NPN phototransistor', 'description':'', 'datasheet':'http://www.b-kainka.de/Daten/Sensor/bp103bf.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BP104', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BP104'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_DIL2_4.3x4.65mm_P5.08mm', 'OptoDevice:Osram_DIL2_4.3x4.65mm_P5.08mm'], 'footprint':'OptoDevice:Osram_DIL2_4.3x4.65mm_P5.08mm', 'keywords':'opto PIN photodiode', 'description':'', 'datasheet':'http://www.vishay.com/docs/81500/81500.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW34-SMD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW34-SMD'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_BP104-SMD', 'OptoDevice:Osram_BPW34S-SMD'], 'footprint':'OptoDevice:Osram_BP104-SMD', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://dammedia.osram.info/media/resource/hires/osram-dam-5488319/BPW%2034%20S_EN.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW42', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW42'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'NPN phototransistor opto', 'description':'', 'datasheet':'http://www.ges.cz/sheets/b/bpw42.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW85', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW85'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://www.vishay.com/docs/81531/bpw85a.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW85A', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW85A'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://www.vishay.com/docs/81531/bpw85a.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW85B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW85B'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://www.vishay.com/docs/81531/bpw85a.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPW85C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPW85C'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://www.vishay.com/docs/81531/bpw85a.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPX61', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPX61'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-5-2_Window', 'Package_TO_SOT_THT:TO-5-2_Window'], 'footprint':'Package_TO_SOT_THT:TO-5-2_Window', 'keywords':'photodiode opto', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic3/00101650_0.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BPY62', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BPY62'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-18-3_Lens', 'Package_TO_SOT_THT:TO-18-3_Lens'], 'footprint':'Package_TO_SOT_THT:TO-18-3_Lens', 'keywords':'NPN Phototransistor opto', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic9/00208595_0.pdf', 'pins':[
            Pin(num='1',name='E',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='B',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='C',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S13360-3050CS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S13360-3050CS'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Hamamatsu_S13360-30CS', 'OptoDevice:Hamamatsu_S13360-30CS'], 'footprint':'OptoDevice:Hamamatsu_S13360-30CS', 'keywords':'opto SiPM MPPC hamamatsu SPAD', 'description':'', 'datasheet':'http://www.hamamatsu.com/resources/pdf/ssd/s13360_series_kapd1052e.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S13360-3075CS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S13360-3075CS'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Hamamatsu_S13360-30CS', 'OptoDevice:Hamamatsu_S13360-30CS', 'OptoDevice:Hamamatsu_S13360-30CS'], 'footprint':'OptoDevice:Hamamatsu_S13360-30CS', 'keywords':'opto SiPM MPPC hamamatsu SPAD', 'description':'', 'datasheet':'http://www.hamamatsu.com/resources/pdf/ssd/s13360_series_kapd1052e.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S5972', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S5972'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-3', 'Package_TO_SOT_THT:TO-18-3'], 'footprint':'Package_TO_SOT_THT:TO-18-3', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://www.hamamatsu.com/resources/pdf/ssd/s5971_etc_kpin1025e.pdf', 'pins':[
            Pin(num='2',name='C',func=Pin.types.PASSIVE),
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'S5973', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'S5973'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_THT:TO-18-3', 'Package_TO_SOT_THT:TO-18-3', 'Package_TO_SOT_THT:TO-18-3'], 'footprint':'Package_TO_SOT_THT:TO-18-3', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://www.hamamatsu.com/resources/pdf/ssd/s5971_etc_kpin1025e.pdf', 'pins':[
            Pin(num='2',name='C',func=Pin.types.PASSIVE),
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH203FA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH203FA'}), 'ref_prefix':'D', 'fplist':['LED_THT:LED_D5.0mm_IRGrey', 'LED_THT:LED_D5.0mm_IRGrey'], 'footprint':'LED_THT:LED_D5.0mm_IRGrey', 'keywords':'PIN photodiode IR', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic9/00101656_0.pdf/SFH%20203,%20SFH%20203%20FA,%20Lead%20(Pb)%20Free%20Product%20-%20RoHS%20Compliant.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH205FA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH205FA'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SFH205', 'OptoDevice:Osram_SFH205'], 'footprint':'OptoDevice:Osram_SFH205', 'keywords':'PIN Photodiode', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic9/00101665_0.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH235FA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH235FA'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_SFH225', 'OptoDevice:Osram_SFH225'], 'footprint':'OptoDevice:Osram_SFH225', 'keywords':'opto PIN photodiode IR', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic3/00211469_0.pdf/SFH%20235%20FA.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH2430', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH2430'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_BP104-SMD', 'OptoDevice:Osram_BPW34S-SMD', 'OptoDevice:Osram_SFH2430'], 'footprint':'OptoDevice:Osram_BP104-SMD', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://dammedia.osram.info/media/resource/hires/osram-dam-5467144/SFH%202430_EN.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH2440', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH2440'}), 'ref_prefix':'D', 'fplist':['OptoDevice:Osram_BP104-SMD', 'OptoDevice:Osram_BPW34S-SMD', 'OptoDevice:Osram_SFH2430', 'OptoDevice:Osram_SFH2440'], 'footprint':'OptoDevice:Osram_BP104-SMD', 'keywords':'opto photodiode', 'description':'', 'datasheet':'https://dammedia.osram.info/media/resource/hires/osram-dam-5467146/SFH%202440_EN.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH300', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH300'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear', 'LED_THT:LED_D5.0mm_Clear'], 'footprint':'LED_THT:LED_D5.0mm_Clear', 'keywords':'NPN phototransistor', 'description':'', 'datasheet':'http://www.osram-os.com/Graphics/XPic2/00101785_0.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SFH320', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SFH320'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_SMD:LED_PLCC-2_3.4x3.0mm_KA'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor', 'description':'', 'datasheet':'https://look.ams-osram.com/m/5397c5d8583a26cf/original/SFH-320.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TEPT4400', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TEPT4400'}), 'ref_prefix':'Q', 'fplist':['LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_THT:LED_D3.0mm_Clear', 'LED_SMD:LED_PLCC-2_3.4x3.0mm_KA', 'LED_THT:LED_D3.0mm_Clear'], 'footprint':'LED_THT:LED_D3.0mm_Clear', 'keywords':'npn phototransistor ambient light sensor', 'description':'', 'datasheet':'https://www.vishay.com/docs/81341/tept4400.pdf', 'pins':[
            Pin(num='1',name='C',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='E',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])