from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Sensor_Temperature = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AD8494', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8494'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Thermocouple Amp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ad8494_8495_8496_8497.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='SENSE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BD1020HFV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BD1020HFV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:HVSOF5'], 'footprint':'Package_TO_SOT_SMD:HVSOF5', 'keywords':'Temperature sensor', 'description':'', 'datasheet':'http://rohmfs.rohm.com/en/products/databook/datasheet/ic/sensor/temperature/bd1020hfv-e.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='PG',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1621', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1621'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1621.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='T_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1804', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1804'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/DS1804.pdf', 'pins':[
            Pin(num='1',name='~{INC}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='U/~{D}',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='H',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='W',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='L',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{CC}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1822Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1822Z'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS1822.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18B20U', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18B20U'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18B20.pdf', 'pins':[
            Pin(num='1',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS28EA00', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS28EA00'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'1Wire OneWire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS28EA00.pdf', 'pins':[
            Pin(num='1',name='IO',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='PIOA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='PIOB',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY81', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY81'}), 'ref_prefix':'TH', 'fplist':[''], 'footprint':'', 'keywords':'silicon temperature sensors', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/KTY81_SER.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY82', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY82'}), 'ref_prefix':'TH', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'silicon temperature sensors', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/KTY82_SER.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY83', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY83'}), 'ref_prefix':'TH', 'fplist':['Diode_THT:D_DO-34_SOD68_P7.62mm_Horizontal'], 'footprint':'Diode_THT:D_DO-34_SOD68_P7.62mm_Horizontal', 'keywords':'silicon temperature sensors diode', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/KTY83_SER.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY85', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY85'}), 'ref_prefix':'TH', 'fplist':['Diode_SMD:D_MiniMELF'], 'footprint':'Diode_SMD:D_MiniMELF', 'keywords':'silicon temperature sensor diode', 'description':'', 'datasheet':'http://www.nxp.com/documents/other/SC17_GENERAL_TEMP_1996_3.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM20BIM7', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM20BIM7'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND/DIE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM35-D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM35-D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm35.pdf', 'pins':[
            Pin(num='1',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='+V_{S}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM35-LP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM35-LP'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm35.pdf', 'pins':[
            Pin(num='1',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM35-NEB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM35-NEB'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm35.pdf', 'pins':[
            Pin(num='1',name='+V_{S}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM73', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM73'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'digital temperature sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm73.pdf', 'pins':[
            Pin(num='1',name='ADDR',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='SMBCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{ALERT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='SMBDAT',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM74CIM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM74CIM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Temperature sensor', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm74.pdf', 'pins':[
            Pin(num='1',name='SI/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SC',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V^{+}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM74CITP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM74CITP'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-5_1.5855x1.6365mm_Layout3x2_P0.5mm'], 'footprint':'Package_BGA:Texas_DSBGA-5_1.5855x1.6365mm_Layout3x2_P0.5mm', 'keywords':'Temperature sensor', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm74.pdf', 'pins':[
            Pin(num='A1',name='SI/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='A2',name='SC',func=Pin.types.INPUT,unit=1),
            Pin(num='A3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='B1',name='V^{+}',func=Pin.types.PWRIN,unit=1),
            Pin(num='B3',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM75C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM75C'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Temperature sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm75b.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='O.S.',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+Vs',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM92CIM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM92CIM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature sensor', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm92.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='T_CRIT_A',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='INT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+Vs',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM94021', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM94021'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:Texas_R-PDSO-G5_DCK-5'], 'footprint':'Package_TO_SOT_SMD:Texas_R-PDSO-G5_DCK-5', 'keywords':'thermistor texas ti gain temperature sensor', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lm94021-q1.pdf', 'pins':[
            Pin(num='1',name='GS0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GS1',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT01DQX', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT01DQX'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_DQX002A'], 'footprint':'Package_SON:Texas_DQX002A', 'keywords':'Digital Temperature Pulse Count ', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lmt01.pdf', 'pins':[
            Pin(num='1',name='VP',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='VN',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT01LPG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT01LPG'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92-2'], 'footprint':'Package_TO_SOT_THT:TO-92-2', 'keywords':'Digital Temperature Pulse Count ', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/lmt01.pdf', 'pins':[
            Pin(num='1',name='VN',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='VP',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT84DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT84DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor ntc', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmt84.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT85DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT85DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor ntc', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmt85-q1.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT86DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT86DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor ntc', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmt86-q1.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMT87DCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMT87DCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor ntc', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmt87-q1.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC2983', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC2983'}), 'ref_prefix':'U', 'fplist':['Package_QFP:LQFP-48_7x7mm_P0.5mm'], 'footprint':'Package_QFP:LQFP-48_7x7mm_P0.5mm', 'keywords':'Flexible Temperature Measurement RTD NTC Cold Junction Termocouple', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/2983fc.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='11',name='V_{REF_BYP}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='V_{REFOUT}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='14',name='V_{REFP}',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='CH1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='CH2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='CH3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='19',name='CH4',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='CH5',func=Pin.types.PASSIVE,unit=1),
            Pin(num='21',name='CH6',func=Pin.types.PASSIVE,unit=1),
            Pin(num='22',name='CH7',func=Pin.types.PASSIVE,unit=1),
            Pin(num='23',name='CH8',func=Pin.types.PASSIVE,unit=1),
            Pin(num='24',name='CH9',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='CH10',func=Pin.types.PASSIVE,unit=1),
            Pin(num='26',name='CH11',func=Pin.types.PASSIVE,unit=1),
            Pin(num='27',name='CH12',func=Pin.types.PASSIVE,unit=1),
            Pin(num='28',name='CH13',func=Pin.types.PASSIVE,unit=1),
            Pin(num='29',name='CH14',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='30',name='CH15',func=Pin.types.PASSIVE,unit=1),
            Pin(num='31',name='CH16',func=Pin.types.PASSIVE,unit=1),
            Pin(num='32',name='CH17',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='CH18',func=Pin.types.PASSIVE,unit=1),
            Pin(num='34',name='CH19',func=Pin.types.PASSIVE,unit=1),
            Pin(num='35',name='CH20',func=Pin.types.PASSIVE,unit=1),
            Pin(num='36',name='COM',func=Pin.types.PASSIVE,unit=1),
            Pin(num='37',name='INTERRUPT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='38',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='39',name='SDO',func=Pin.types.TRISTATE,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='40',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='41',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='42',name='~{RESET}',func=Pin.types.INPUT,unit=1),
            Pin(num='43',name='LDO',func=Pin.types.PASSIVE,unit=1),
            Pin(num='44',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='45',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='46',name='Q3',func=Pin.types.PASSIVE,unit=1),
            Pin(num='47',name='Q2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='48',name='Q1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31820', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31820'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31820.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31820PAR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31820PAR'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31820PAR.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31826', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31826'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'1Wire OneWire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31826.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='AD0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='AD2',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='AD3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855KASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855KASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31856', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31856'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'Thermocouple converter serial', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX31856.pdf', 'pins':[
            Pin(num='1',name='AGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{FAULT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='BIAS',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='T-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='T+',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='AVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='DNC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='~{DRDY}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='~{CS}',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31865xAP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31865xAP'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-20_5.3x7.2mm_P0.65mm'], 'footprint':'Package_SO:SSOP-20_5.3x7.2mm_P0.65mm', 'keywords':'RTD SPI Temperature', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/MAX31865.pdf', 'pins':[
            Pin(num='1',name='~{DRDY}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='10',name='RTDIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='RTDIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='FORCE-',func=Pin.types.PWROUT,unit=1),
            Pin(num='13',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='SDO',func=Pin.types.TRISTATE,unit=1),
            Pin(num='18',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='BIAS',func=Pin.types.PWROUT,unit=1),
            Pin(num='5',name='REFIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='REFIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='ISENSOR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='FORCE+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='FORCE2',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31865xTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31865xTP'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:TQFN-20-1EP_5x5mm_P0.65mm_EP3.25x3.25mm'], 'footprint':'Package_DFN_QFN:TQFN-20-1EP_5x5mm_P0.65mm_EP3.25x3.25mm', 'keywords':'RTD SPI Temperature', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/MAX31865.pdf', 'pins':[
            Pin(num='1',name='BIAS',func=Pin.types.PWROUT,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='11',name='SDI',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='SDO',func=Pin.types.TRISTATE,unit=1),
            Pin(num='15',name='DGND',func=Pin.types.PWRIN,unit=1),
            Pin(num='16',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='18',name='~{DRDY}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='DVDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='REFIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='REFIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='ISENSOR',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='FORCE+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='FORCE2',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='RTDIN+',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='RTDIN-',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='FORCE-',func=Pin.types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX6654', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX6654'}), 'ref_prefix':'U', 'fplist':['Package_SO:SSOP-16_3.9x4.9mm_P0.635mm'], 'footprint':'Package_SO:SSOP-16_3.9x4.9mm_P0.635mm', 'keywords':'I2C SMBus Serial', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/MAX6654.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{ALERT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='SMBDATA',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='14',name='SMBCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~{STBY}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='Vcc',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DXP',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DXN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='ADD1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9501', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9501'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Temperature Switch sensor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20002268B.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Hyst',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='Out',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9502', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9502'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Temperature Switch sensor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20002268B.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Hyst',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='Out',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700Ax-ELT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700Ax-ELT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20001942G.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700x-HTT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700x-HTT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9800Ax-xOT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9800Ax-xOT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'I2C Temperature Sensor No Serial Bus time-out', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/21909d.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9804_DFN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9804_DFN'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'temperature sensor I2C', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22203b.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Alert',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='EP/GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9804_MSOP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9804_MSOP'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'temperature sensor I2C', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22203b.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Alert',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9844x-xMN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9844x-xMN'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.36x1.46mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.36x1.46mm', 'keywords':'I2C TWI', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005192B.pdf', 'pins':[
            Pin(num='1',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='Event',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='EP/GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCT2075D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCT2075D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SO-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SO-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature sensor I2C single channel', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCT2075.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='OS',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCT2075DP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCT2075DP'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_3x3mm_P0.65mm', 'keywords':'temperature sensor I2C single channel', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCT2075.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='OS',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PT100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PT100'}), 'ref_prefix':'TH', 'fplist':[''], 'footprint':'', 'keywords':'platinum temperature sensor RTD', 'description':'', 'datasheet':'https://www.heraeus.com/media/media/group/doc_group/products_1/hst/sot_to/de_15/to_92_d.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si7050-A20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si7050-A20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'keywords':'I2C Temperature Sensor', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si7050-1-3-4-5-A20.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP100'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'temperature sensor i2c smbus', 'description':'', 'datasheet':'http://www.ti.com/lit/gpn/tmp100', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ADD1',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP101', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP101'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'digital temperature sensor i2c smbus', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp101.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP102xxDRL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP102xxDRL'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-563'], 'footprint':'Package_TO_SOT_SMD:SOT-563', 'keywords':'digital temperature sensor i2c smbus', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp102.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP1075D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP1075D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SO-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SO-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature sensor I2C single channel', 'description':'', 'datasheet':'https://www.ti.com/lit/gpn/tmp1075', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP1075DGK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP1075DGK'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'keywords':'temperature sensor I2C single channel', 'description':'', 'datasheet':'https://www.ti.com/lit/gpn/tmp1075', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP1075DSG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP1075DSG'}), 'ref_prefix':'U', 'fplist':['Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm_ThermalVias'], 'footprint':'Package_SON:WSON-8-1EP_2x2mm_P0.5mm_EP0.9x1.6mm_ThermalVias', 'keywords':'temperature sensor I2C single channel', 'description':'', 'datasheet':'https://www.ti.com/lit/gpn/tmp1075', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='EP',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP110D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP110D'}), 'ref_prefix':'U', 'fplist':['Package_SON:Texas_X2SON-5_0.8x0.8mm_P0.48mm'], 'footprint':'Package_SON:Texas_X2SON-5_0.8x0.8mm_P0.48mm', 'keywords':'digital temperature sensor i2c smbus', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp110.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP117xxYBG', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP117xxYBG'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-6_0.95x1.488mm_Layout2x3_P0.4mm'], 'footprint':'Package_BGA:Texas_DSBGA-6_0.95x1.488mm_Layout2x3_P0.4mm', 'keywords':'digital temperature sensor i2c smbus', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp117.pdf', 'pins':[
            Pin(num='A1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='A2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='B1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='B2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='C1',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='C2',name='ALERT',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP20AIDCK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP20AIDCK'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tmp20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP20AIDRL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP20AIDRL'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-563'], 'footprint':'Package_TO_SOT_SMD:SOT-563', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tmp20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP36xS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP36xS'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Temperature Sensor SOIC-8', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/TMP35_36_37.pdf', 'pins':[
            Pin(num='1',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='~{SHUTDOWN}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+Vs',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP411', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP411'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Temperature sensor remote local i2c', 'description':'', 'datasheet':'http://www.ti.com.cn/cn/lit/ds/symlink/tmp411.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='D+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='D-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~{THERM}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='~{ALERT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP461xxRUN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP461xxRUN'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:Texas_RUN0010A_WQFN-10_2x2mm_P0.5mm'], 'footprint':'Package_DFN_QFN:Texas_RUN0010A_WQFN-10_2x2mm_P0.5mm', 'keywords':'Temperature sensor remote I2C TI', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp461.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='D+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='D-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='~{THERM}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='A0',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='~{ALERT/THERM2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP464xxRGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP464xxRGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm', 'keywords':'Temperature sensor remote I2C TI', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp464.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='~{THERM}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='11',name='~{THERM2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='16',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='D4+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D3+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='D2+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='D1+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='D-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='ADD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP468xxRGT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP468xxRGT'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm', 'keywords':'Temperature sensor remote I2C TI', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp468.pdf', 'pins':[
            Pin(num='1',name='D6+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='10',name='~{THERM}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='11',name='~{THERM2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='13',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='D8+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='16',name='D7+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='D5+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='D4+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='D3+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='D2+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='D1+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='D-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='ADD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSIC206-SO8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSIC206-SO8'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature digital', 'description':'', 'datasheet':'https://shop.bb-sensors.com/out/media/Datasheet_Digital_Semiconductor_temperatur_sensor_TSIC.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Signal',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSIC206-TO92', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSIC206-TO92'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'temperature digital', 'description':'', 'datasheet':'https://shop.bb-sensors.com/out/media/Datasheet_Digital_Semiconductor_temperatur_sensor_TSIC.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Signal',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8495', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8495'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Thermocouple Amp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ad8494_8495_8496_8497.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='SENSE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8496', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8496'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Thermocouple Amp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ad8494_8495_8496_8497.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='SENSE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD8497', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD8497'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'Thermocouple Amp', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/ad8494_8495_8496_8497.pdf', 'pins':[
            Pin(num='1',name='-IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='REF',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='-Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='SENSE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='+Vs',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='+IN',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1621S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1621S'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1621.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='T_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1621V', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1621V'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SO-8_5.3x6.2mm_P1.27mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'OneWire 1-Wire 1Wire Maxim Dallas', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1621.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='T_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1821C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1821C'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS1821.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1822', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1822'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Dallas Maxim', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS1822.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1822-PAR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1822-PAR'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS1822-PAR.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1825', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1825'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'1Wire OneWire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS1825.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='AD0',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='AD1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='AD2',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='AD3',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18B20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18B20'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Dallas Maxim', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18B20.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18B20-PAR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18B20-PAR'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18B20-PAR.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18B20Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18B20Z'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18B20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18S20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18S20'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18S20.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18S20-PAR', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18S20-PAR'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'OneWire 1Wire Maxim Dallas', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18S20-PAR.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS18S20Z', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS18S20Z'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'OneWire 1Wire Dallas Maxim', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS18S20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KT100', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KT100'}), 'ref_prefix':'TH', 'fplist':['', ''], 'footprint':'', 'keywords':'silicon temperature sensors', 'description':'', 'datasheet':'http://www.b-kainka.de/Daten/Sensor/kty10.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY10', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY10'}), 'ref_prefix':'TH', 'fplist':['', '', ''], 'footprint':'', 'keywords':'silicon temperature sensors', 'description':'', 'datasheet':'http://www.b-kainka.de/Daten/Sensor/kty10.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'KTY84', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'KTY84'}), 'ref_prefix':'TH', 'fplist':['Diode_THT:D_DO-34_SOD68_P7.62mm_Horizontal', 'Diode_THT:D_DO-34_SOD68_P7.62mm_Horizontal'], 'footprint':'Diode_THT:D_DO-34_SOD68_P7.62mm_Horizontal', 'keywords':'silicon temperature sensor diode', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/KTY84_SER.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM20CIM7', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM20CIM7'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm20.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND/DIE',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='VO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM73-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM73-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6', 'Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'digital temperature sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm73.pdf', 'pins':[
            Pin(num='1',name='ADDR',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='SMBCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{ALERT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='SMBDAT',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM75B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM75B'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'Temperature sensor', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm75b.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='O.S.',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='+Vs',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855EASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855EASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855JASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855JASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855NASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855NASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855RASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855RASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855SASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855SASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MAX31855TASA', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MAX31855TASA'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'Cold Junction Termocouple Interface SPI', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/MAX31855.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='T-',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='T+',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='V_CC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SCK',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SO',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9503', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9503'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Temperature Switch sensor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20002268B.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Hyst',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='Out',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9504', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9504'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'Temperature Switch sensor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20002268B.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='Hyst',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='Out',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700Ax-ETT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700Ax-ETT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700Ax-HLT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700Ax-HLT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700Ax-HTT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700Ax-HTT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700x-ELT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700x-ELT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700x-ETT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700x-ETT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9700x-HLT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9700x-HLT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'Package_TO_SOT_SMD:SOT-353_SC-70-5'], 'footprint':'Package_TO_SOT_SMD:SOT-353_SC-70-5', 'keywords':'temperature sensor thermistor', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/devicedoc/20001942g.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9802Ax-xOT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9802Ax-xOT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-5', 'Package_TO_SOT_SMD:SOT-23-5'], 'footprint':'Package_TO_SOT_SMD:SOT-23-5', 'keywords':'I2C Temperature Sensor Serial Bus time-out', 'description':'', 'datasheet':'https://ww1.microchip.com/downloads/aemDocuments/documents/OTH/ProductDocuments/DataSheets/21909d.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9808_DFN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9808_DFN'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.7x1.4mm', 'keywords':'temperature sensor I2C', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/MCP9808-0.5C-Maximum-Accuracy-Digital-Temperature-Sensor-Data-Sheet-DS20005095B.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Alert',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='EP/GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP9808_MSOP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP9808_MSOP'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm', 'Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'temperature sensor I2C', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/22203b.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Alert',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='A2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='V_{DD}',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PT1000', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PT1000'}), 'ref_prefix':'TH', 'fplist':['', ''], 'footprint':'', 'keywords':'platinum temperature sensor RTD', 'description':'', 'datasheet':'https://www.heraeus.com/media/media/group/doc_group/products_1/hst/sot_to/de_15/to_92_d.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PT500', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PT500'}), 'ref_prefix':'TH', 'fplist':['', '', ''], 'footprint':'', 'keywords':'platinum temperature sensor RTD', 'description':'', 'datasheet':'https://www.heraeus.com/media/media/group/doc_group/products_1/hst/sot_to/de_15/to_92_d.pdf', 'pins':[
            Pin(num='1',name='~',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='~',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si7051-A20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si7051-A20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'keywords':'I2C Temperature Sensor', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si7050-1-3-4-5-A20.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si7053-A20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si7053-A20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'keywords':'I2C Temperature Sensor', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si7050-1-3-4-5-A20.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si7054-A20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si7054-A20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'keywords':'I2C Temperature Sensor', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si7050-1-3-4-5-A20.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Si7055-A20', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Si7055-A20'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x3mm_P1mm_EP1.65x2.55mm', 'keywords':'I2C Temperature Sensor', 'description':'', 'datasheet':'https://www.silabs.com/documents/public/data-sheets/Si7050-1-3-4-5-A20.pdf', 'pins':[
            Pin(num='1',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TC1047AxNB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TC1047AxNB'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor analog', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21498D.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TC1047xNB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TC1047xNB'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23', 'Package_TO_SOT_SMD:SOT-23'], 'footprint':'Package_TO_SOT_SMD:SOT-23', 'keywords':'temperature sensor analog', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/21498D.pdf', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP112xxDRL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP112xxDRL'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-563', 'Package_TO_SOT_SMD:SOT-563'], 'footprint':'Package_TO_SOT_SMD:SOT-563', 'keywords':'digital temperature sensor i2c smbus two-wire nist', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp112.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP116xxDRV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP116xxDRV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-563', 'Package_TO_SOT_SMD:SOT-563', 'Package_SON:WSON-6-1EP_2x2mm_P0.65mm_EP1x1.6mm'], 'footprint':'Package_TO_SOT_SMD:SOT-563', 'keywords':'digital temperature sensor i2c smbus nist', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp116.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TMP117xxDRV', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TMP117xxDRV'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-563', 'Package_TO_SOT_SMD:SOT-563', 'Package_SON:WSON-6-1EP_2x2mm_P0.65mm_EP1x1.6mm', 'Package_SON:WSON-6-1EP_2x2mm_P0.65mm_EP1x1.6mm'], 'footprint':'Package_TO_SOT_SMD:SOT-563', 'keywords':'digital temperature sensor i2c smbus nist', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/tmp117.pdf', 'pins':[
            Pin(num='1',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='ALERT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='ADD0',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSIC306-SO8', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSIC306-SO8'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'temperature digital', 'description':'', 'datasheet':'https://shop.bb-sensors.com/out/media/Datasheet_Digital_Semiconductor_temperatur_sensor_TSIC.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Signal',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TSIC306-TO92', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TSIC306-TO92'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'temperature digital', 'description':'', 'datasheet':'https://shop.bb-sensors.com/out/media/Datasheet_Digital_Semiconductor_temperatur_sensor_TSIC.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='Signal',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] })])