from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Timer_RTC = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'AB0805', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AB0805'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'rtc', 'description':'', 'datasheet':'https://abracon.com/Precisiontiming/AB08X5-RTC.PDF', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='EXTI',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='FOUT/~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='~{TIRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='13',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='AF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='WDI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='~{IRQ2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AB0815', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AB0815'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'rtc', 'description':'', 'datasheet':'https://abracon.com/Precisiontiming/AB08X5-RTC.PDF', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='EXTI',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='FOUT/~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='~{CE}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='AF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='WDI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='~{IRQ2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='SDI',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AB1805', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AB1805'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'rtc', 'description':'', 'datasheet':'https://abracon.com/Precisiontiming/AB18X5-RTC.pdf', 'pins':[
            Pin(num='1',name='~{RST}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='10',name='EXTI',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='FOUT/~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='~{TIRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='13',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='AF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VSS',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='WDI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~{EXTR}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{IRQ2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CLKOUT/~{IRQ3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AB1815', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AB1815'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'rtc', 'description':'', 'datasheet':'https://abracon.com/Precisiontiming/AB18X5-RTC.pdf', 'pins':[
            Pin(num='1',name='~{RST}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='10',name='EXTI',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='FOUT/~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='12',name='~{CE}',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='AF',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='XO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='WDI',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='~{EXTR}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{IRQ2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='5',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CLKOUT/~{IRQ3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='SDI',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ32000', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ32000'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, I2C Timekeeping Chip', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq32000.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBACK',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302+'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302S+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302S+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SO-8_5.3x6.2mm_P1.27mm'], 'footprint':'Package_SO:SO-8_5.3x6.2mm_P1.27mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302Z+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302Z+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1307+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1307+'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1307.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SQW/OUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1307Z+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1307Z+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, I2C Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1307.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SQW/OUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1602', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1602'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'Elapsed Time Counter', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1602.pdf', 'pins':[
            Pin(num='1',name='~{RST}',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='DQ',func=Pin.types.BIDIR,unit=1),
            Pin(num='3',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='XTAL2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='XTAL1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS3231M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS3231M'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'RTC TCXO Realtime Time Clock Crystal Oscillator I2C', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS3231.pdf', 'pins':[
            Pin(num='1',name='32KHZ',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='10',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='11',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='13',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='16',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='~{INT}/SQW',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='~{RST}',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS3231MZ', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS3231MZ'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC TCXO Realtime Time Clock MEMS I2C', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS3231M.pdf', 'pins':[
            Pin(num='1',name='32KHZ',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='~{INT}/SQW',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='~{RST}',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS3232M', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS3232M'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC TCXO Realtime Time Clock MEMS SRAM I2C', 'description':'', 'datasheet':'http://datasheets.maximintegrated.com/en/ds/DS3232M.pdf', 'pins':[
            Pin(num='1',name='32KHZ',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='~{INT}/SQW',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='~{RST}',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='SCL',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'M41T62Q', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'M41T62Q'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm'], 'footprint':'Package_DFN_QFN:QFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm', 'keywords':'I2C RTC Alarm interrupt', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/m41t62.pdf', 'pins':[
            Pin(num='1',name='XI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='~{IRQ}/OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='EP',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='XO',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SQW',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='SDA',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP7940N-xMNY', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP7940N-xMNY'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.36x1.46mm'], 'footprint':'Package_DFN_QFN:DFN-8-1EP_3x2mm_P0.5mm_EP1.36x1.46mm', 'keywords':'realtime clock RTC', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005010F.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='MFP',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='EP',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP7940N-xMS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP7940N-xMS'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'realtime clock RTC', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005010F.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='MFP',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85063ATL', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85063ATL'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-10-1EP_2.6x2.6mm_P0.5mm_EP1.3x2.2mm'], 'footprint':'Package_DFN_QFN:DFN-10-1EP_2.6x2.6mm_P0.5mm_EP1.3x2.2mm', 'keywords':'RTC I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85063A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='CLKOE',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='9',name='CLKOUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF8523T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF8523T'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'I2C RTC Clock Calendar', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF8523.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{INT1}/CLKOUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF8523TK', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF8523TK'}), 'ref_prefix':'U', 'fplist':['Package_SON:HVSON-8-1EP_4x4mm_P0.8mm_EP2.2x3.1mm'], 'footprint':'Package_SON:HVSON-8-1EP_4x4mm_P0.8mm_EP2.2x3.1mm', 'keywords':'I2C RTC Clock Calendar', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF8523.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{INT1}/CLKOUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VSS',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF8523TS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF8523TS'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'I2C RTC Clock Calendar', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF8523.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='11',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='13',name='~{INT1}/CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='4',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='~{INT2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='CLKOUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85263AT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85263AT'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC battery I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85263A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{INTA}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85263ATT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85263ATT'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_3x3mm_P0.65mm', 'keywords':'RTC battery I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85263A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{INTA}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85263ATT1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85263ATT1'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-10_3x3mm_P0.5mm', 'keywords':'RTC battery I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85263A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='TS',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~{INTA}',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF8563T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF8563T'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'I2C RTC Clock Calendar', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF8563.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CLKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF8563TS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF8563TS'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:MSOP-8_3x3mm_P0.65mm', 'keywords':'I2C RTC Clock Calendar', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF8563.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~{INT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='CLKO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RV-1805-C3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RV-1805-C3'}), 'ref_prefix':'U', 'fplist':['Package_SON:RTC_SMD_MicroCrystal_C3_2.5x3.7mm'], 'footprint':'Package_SON:RTC_SMD_MicroCrystal_C3_2.5x3.7mm', 'keywords':'Low Power RTC I2C', 'description':'', 'datasheet':'https://www.microcrystal.com/fileadmin/Media/Products/RTC/Datasheet/RV-1805-C3.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~{RST}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='2',name='Cap_RC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='CLK/~{INT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='4',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='VBACKUP',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='PSW',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='9',name='WDI',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RV-3028-C7', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RV-3028-C7'}), 'ref_prefix':'U', 'fplist':['Package_SON:MicroCrystal_C7_SON-8_1.5x3.2mm_P0.9mm'], 'footprint':'Package_SON:MicroCrystal_C7_SON-8_1.5x3.2mm_P0.9mm', 'keywords':'Low-power RTC I2C', 'description':'', 'datasheet':'https://www.microcrystal.com/fileadmin/Media/Products/RTC/Datasheet/RV-3028-C7.pdf', 'pins':[
            Pin(num='1',name='CLKOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='~{INT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='VBACKUP',func=Pin.types.PWRIN,unit=1),
            Pin(num='7',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='EVI',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RV-8523-C3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RV-8523-C3'}), 'ref_prefix':'U', 'fplist':['Package_SON:RTC_SMD_MicroCrystal_C3_2.5x3.7mm'], 'footprint':'Package_SON:RTC_SMD_MicroCrystal_C3_2.5x3.7mm', 'keywords':'Low Power RTC I2C', 'description':'', 'datasheet':'https://www.microcrystal.com/fileadmin/Media/Products/RTC/Datasheet/RV-8523-C3.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='~{INT_1}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='3',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='CLKOUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='6',name='~{INT_2}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='7',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='VBACKUP',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'RX8901CE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'RX8901CE'}), 'ref_prefix':'U', 'fplist':['Package_SON:EPSON_CE-USON-10_USON-10_3.2x2.5mm_P0.7mm'], 'footprint':'Package_SON:EPSON_CE-USON-10_USON-10_3.2x2.5mm_P0.7mm', 'keywords':'I2C RTC', 'description':'', 'datasheet':'https://support.epson.biz/td/api/doc_check.php?dl=app_RX8901CE&lang=en', 'pins':[
            Pin(num='1',name='V_{DD}',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='EVIN2/FOE',func=Pin.types.BIDIR,unit=1),
            Pin(num='2',name='V_{OUT}',func=Pin.types.PWROUT,unit=1),
            Pin(num='3',name='V_{BAT}',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='FOUT/EVIN3',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='EVIN1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='7',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='~{INT}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BQ32002', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BQ32002'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, I2C Timekeeping Chip', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/bq32002.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBACK',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{IRQ}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302N+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302N+'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302SN+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302SN+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SO-8_5.3x6.2mm_P1.27mm', 'Package_SO:SO-8_5.3x6.2mm_P1.27mm'], 'footprint':'Package_SO:SO-8_5.3x6.2mm_P1.27mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1302ZN+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1302ZN+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1302.pdf', 'pins':[
            Pin(num='1',name='VCC2',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='CE',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='I/O',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCLK',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VCC1',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1307N+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1307N+'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'RTC, Trickle-Charge Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1307.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SQW/OUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1307ZN+', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1307ZN+'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'RTC, I2C Timekeeping Chip', 'description':'', 'datasheet':'https://datasheets.maximintegrated.com/en/ds/DS1307.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='SQW/OUT',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP7940N-xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP7940N-xP'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'realtime clock RTC', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005010F.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='MFP',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP7940N-xSN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP7940N-xSN'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'realtime clock RTC', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005010F.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='MFP',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MCP7940N-xST', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MCP7940N-xST'}), 'ref_prefix':'U', 'fplist':['', '', '', ''], 'footprint':'', 'keywords':'realtime clock RTC', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/20005010F.pdf', 'pins':[
            Pin(num='1',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='MFP',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85363ATT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85363ATT'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-8_3x3mm_P0.65mm', 'Package_SO:TSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-8_3x3mm_P0.65mm', 'keywords':'RTC RAM battery I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85363A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{INTA}',func=Pin.types.OPENCOLL,unit=1),
            Pin(num='8',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PCF85363ATT1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PCF85363ATT1'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-10_3x3mm_P0.5mm', 'Package_SO:TSSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:TSSOP-10_3x3mm_P0.5mm', 'keywords':'RTC RAM battery I2C', 'description':'', 'datasheet':'https://www.nxp.com/docs/en/data-sheet/PCF85363A.pdf', 'pins':[
            Pin(num='1',name='OSCI',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='OSCO',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VBAT',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='TS',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='VSS',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='SDA',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='SCL',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='~{INTA}',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] })])