from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Timer = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'8284', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8284'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-18_W7.62mm'], 'footprint':'Package_DIP:DIP-18_W7.62mm', 'keywords':'Clock Generator', 'description':'', 'datasheet':'http://www.cpu-galaxy.at/cpu/ram%20rom%20eprom/other_intel_chips/other_intel-Dateien/D8284A_Datasheet.pdf', 'pins':[
            Pin(num='1',name='CSYNC',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='RESET',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='~{RES}',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='OSC',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='F/~{C}',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='EFI',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='~{ASYNC}',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='X2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='X1',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='PCLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='~{AEN1}',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='RDY1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='READY',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='RDY2',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='~{AEN2}',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CLK',func=Pin.types.OUTPUT,unit=1),
            Pin(num='9',name='GND',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'82C54', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'82C54'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-24_W15.24mm'], 'footprint':'Package_DIP:DIP-24_W15.24mm', 'keywords':'Timer Counter', 'description':'', 'datasheet':'http://download.intel.com/design/archives/periphrl/docs/23124406.pdf', 'pins':[
            Pin(num='1',name='D7',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='G1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='CLK1',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='G2',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='CLK2',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='D6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='~{RD}',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='~{WR}',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='D5',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D4',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='D0',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='CLK0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'82C54_PLCC', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'82C54_PLCC'}), 'ref_prefix':'U', 'fplist':['Package_LCC:PLCC-28'], 'footprint':'Package_LCC:PLCC-28', 'keywords':'Timer Counter', 'description':'', 'datasheet':'http://download.intel.com/design/archives/periphrl/docs/23124406.pdf', 'pins':[
            Pin(num='1',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='10',name='CLK0',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='12',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='15',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='16',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='17',name='G1',func=Pin.types.INPUT,unit=1),
            Pin(num='18',name='CLK1',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='G2',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='D7',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='CLK2',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='25',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='26',name='~{RD}',func=Pin.types.INPUT,unit=1),
            Pin(num='27',name='~{WR}',func=Pin.types.INPUT,unit=1),
            Pin(num='28',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='D6',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D5',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D4',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='D0',func=Pin.types.BIDIR,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD9513', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD9513'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm'], 'footprint':'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'keywords':'clock distribution LVDS CMOS', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD9513.pdf', 'pins':[
            Pin(num='1',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='S7',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='S6',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='S5',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='S3',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='S2',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='OUT2B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='OUT1B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='S0',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='OUT0B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKB',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='RSET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SYNCB',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VREF',func=Pin.types.PWROUT,unit=1),
            Pin(num='7',name='S10',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='S9',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='S8',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD9514', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD9514'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm'], 'footprint':'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'keywords':'clock distribution LVPECL LVDS CMOS', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD9514.pdf', 'pins':[
            Pin(num='1',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='S7',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='S6',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='S5',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='S3',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='S2',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='OUT2B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='OUT1B',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='23',name='OUT1',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='24',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='S0',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='OUT0B',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='28',name='OUT0',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='29',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKB',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='RSET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SYNCB',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VREF',func=Pin.types.PWROUT,unit=1),
            Pin(num='7',name='S10',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='S9',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='S8',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'AD9515', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'AD9515'}), 'ref_prefix':'U', 'fplist':['Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm'], 'footprint':'Package_CSP:LFCSP-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm', 'keywords':'clock distribution LVPECL LVDS CMOS', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/AD9515.pdf', 'pins':[
            Pin(num='1',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='S7',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='S6',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='S5',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='S4',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='S3',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='S2',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='S1',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='18',name='OUT1B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='19',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='CLK',func=Pin.types.INPUT,unit=1),
            Pin(num='20',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='21',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='22',name='OUT0B',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='24',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='25',name='S0',func=Pin.types.INPUT,unit=1),
            Pin(num='26',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='27',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='28',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='29',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='CLKB',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='31',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='32',name='RSET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VS',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='SYNCB',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='VREF',func=Pin.types.PWROUT,unit=1),
            Pin(num='7',name='S10',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='S9',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='S8',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CD4541BE', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CD4541BE'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/cd4541b.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'DS1023S', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'DS1023S'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm'], 'footprint':'Package_SO:SOIC-16W_7.5x10.3mm_P1.27mm', 'keywords':'Delay Line', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/DS1023.pdf', 'pins':[
            Pin(num='1',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='P5',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='MS',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='P6',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='P7',func=Pin.types.INPUT,unit=1),
            Pin(num='14',name='~{P}/S',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='OUT/~{OUT}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='V_{CC}',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='LE',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q/P0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='CLK/P1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='D/P2',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='P3',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='P4',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='REF/PWM',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ICM7209', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ICM7209'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'Timebase generator', 'description':'', 'datasheet':'http://pdf.datasheetcatalog.com/datasheets/320/500974_DS.pdf', 'pins':[
            Pin(num='1',name='OSC_OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='OSC_IN',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='DISABLE',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='OUT/1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='OUT/8',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='VSS',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM555xMM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM555xMM'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM556'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'dual timer', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm556.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '5', '4', '6', '1', '2', '3', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['14', '10', '8', '13', '9', '12', '11', '7']}] }),
        Part(**{ 'name':'LMC555xTP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMC555xTP'}), 'ref_prefix':'U', 'fplist':['Package_BGA:Texas_DSBGA-8_1.43x1.41mm_Layout3x3_P0.5mm'], 'footprint':'Package_BGA:Texas_DSBGA-8_1.43x1.41mm_Layout3x3_P0.5mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmc555.pdf', 'pins':[
            Pin(num='A2',name='VCC',func=Pin.types.PWRIN),
            Pin(num='A3',name='GND',func=Pin.types.PWRIN),
            Pin(num='A1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='B1',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='B3',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='C1',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='C2',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='C3',name='Q',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6902', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6902'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-10_3x3mm_P0.5mm'], 'footprint':'Package_SO:MSOP-10_3x3mm_P0.5mm', 'keywords':'clock generator dual triple quad signal', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6902f.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='PH',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='OUT3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='7',name='OUT4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='8',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='MOD',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6909', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6909'}), 'ref_prefix':'U', 'fplist':['Package_SO:MSOP-16_3x4mm_P0.5mm'], 'footprint':'Package_SO:MSOP-16_3x4mm_P0.5mm', 'keywords':'clock generator signal', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/6909fa.pdf', 'pins':[
            Pin(num='1',name='V+A',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='OUT6',func=Pin.types.TRISTATE,unit=1),
            Pin(num='11',name='OUT7',func=Pin.types.TRISTATE,unit=1),
            Pin(num='12',name='OUT8',func=Pin.types.TRISTATE,unit=1),
            Pin(num='13',name='V+D',func=Pin.types.PWRIN,unit=1),
            Pin(num='14',name='MOD',func=Pin.types.PASSIVE,unit=1),
            Pin(num='15',name='PH2',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='PH0',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='PH1',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='OUT1',func=Pin.types.TRISTATE,unit=1),
            Pin(num='6',name='OUT2',func=Pin.types.TRISTATE,unit=1),
            Pin(num='7',name='OUT3',func=Pin.types.TRISTATE,unit=1),
            Pin(num='8',name='OUT4',func=Pin.types.TRISTATE,unit=1),
            Pin(num='9',name='OUT5',func=Pin.types.TRISTATE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6993xS6-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6993xS6-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'Timer TimerBlox monostable pulse', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/69931234fc.pdf', 'pins':[
            Pin(num='1',name='TRIG',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6994xDCB-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6994xDCB-1'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'TimerBlox delay block noise discriminator', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/699412fb.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6994xS6-1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6994xS6-1'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'TimerBlox delay block noise discriminator', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/699412fb.pdf', 'pins':[
            Pin(num='1',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MN3101', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MN3101'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'Matsushita Panasonic BBD CMOS', 'description':'', 'datasheet':'http://www.experimentalistsanonymous.com/diy/Datasheets/MN3101.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='CP2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='OX3',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OX2',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='OX1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VGG_OUT',func=Pin.types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MN3102', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MN3102'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'Matsushita Panasonic BBD CMOS', 'description':'', 'datasheet':'http://www.experimentalistsanonymous.com/diy/Datasheets/MN3102.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='CP1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='4',name='CP2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='OX3',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='OX2',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='OX1',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='VGG_OUT',func=Pin.types.PWROUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NE555D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NE555D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NE555P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NE555P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NE567', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NE567'}), 'ref_prefix':'U', 'fplist':[''], 'footprint':'', 'keywords':'tone decoder PLL', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm567.pdf', 'pins':[
            Pin(num='1',name='OFLT_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='LP_FLT_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='INPUT',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TIM_R',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='TIM_RC',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='OUTPUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'PL611-01-xxxT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'PL611-01-xxxT'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'clock generator dual programmable', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/PL611-01.pdf', 'pins':[
            Pin(num='1',name='CLK1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='XIN,FIN',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='XOUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='5',name='CLK2,OE,~{PDB},FSEL',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='VDD',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SY58031U', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SY58031U'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias', 'keywords':'CML 2.5V/3.3V differential LVPECL LVDS', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/sy58031u.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~{Q7}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='Q7',func=Pin.types.OUTPUT,unit=1),
            Pin(num='12',name='~{Q6}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='13',name='Q6',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='~{Q5}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='15',name='Q5',func=Pin.types.OUTPUT,unit=1),
            Pin(num='16',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='~{Q4}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='Q4',func=Pin.types.OUTPUT,unit=1),
            Pin(num='21',name='~{Q3}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='22',name='Q3',func=Pin.types.OUTPUT,unit=1),
            Pin(num='23',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='~{Q2}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='27',name='Q2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='28',name='~{Q1}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='29',name='Q1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='~{Q0}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='31',name='Q0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='32',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VREF-AC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SY58032U', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SY58032U'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias', 'keywords':'2.5V/3.3V differential LVPECL LVDS', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/sy58032u.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~{Q7}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='11',name='Q7',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='12',name='~{Q6}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='13',name='Q6',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='14',name='~{Q5}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='15',name='Q5',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='16',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='~{Q4}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='Q4',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='21',name='~{Q3}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='22',name='Q3',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='23',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='~{Q2}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='27',name='Q2',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='28',name='~{Q1}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='29',name='Q1',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='3',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='~{Q0}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='31',name='Q0',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='32',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VREF-AC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLC555xPW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLC555xPW'}), 'ref_prefix':'U', 'fplist':['Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tlc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='14',name='VDD',func=Pin.types.PWRIN),
            Pin(num='10',name='THRES',func=Pin.types.INPUT,unit=1),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='12',name='DISCH',func=Pin.types.INPUT,unit=1),
            Pin(num='13',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='2',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='3',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='5',name='OUT',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='NC',func=Pin.types.NOCONNECT,unit=1),
            Pin(num='7',name='RESET',func=Pin.types.INPUT,unit=1),
            Pin(num='8',name='CONT',func=Pin.types.INPUT,unit=1),
            Pin(num='9',name='NC',func=Pin.types.NOCONNECT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPL5010', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPL5010'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'timer watchdog nano wake done', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tpl5010.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DELAY/M_RST',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DONE',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='WAKE',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='~{RST}',func=Pin.types.OPENCOLL,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPL5110', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPL5110'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'timer active-low nano wake done', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tpl5110.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DELAY/M_DRV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DONE',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='DRV',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='EN/ONE_SHOT',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TPL5111', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TPL5111'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:SOT-23-6'], 'footprint':'Package_TO_SOT_SMD:SOT-23-6', 'keywords':'timer active-high nano wake done', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tpl5111.pdf', 'pins':[
            Pin(num='1',name='VDD',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='DELAY/M_DRV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='DONE',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='~{DRV}',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='EN/ONE_SHOT',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8253', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8253'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-24_W15.24mm', 'Package_DIP:DIP-24_W15.24mm'], 'footprint':'Package_DIP:DIP-24_W15.24mm', 'keywords':'Timer Counter', 'description':'', 'datasheet':'http://www.cpcwiki.eu/imgs/e/e3/8253.pdf', 'pins':[
            Pin(num='1',name='D7',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='G1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='CLK1',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='G2',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='CLK2',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='D6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='~{RD}',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='~{WR}',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='D5',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D4',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='D0',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='CLK0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'8254', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'8254'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-24_W15.24mm', 'Package_DIP:DIP-24_W15.24mm', 'Package_DIP:DIP-24_W15.24mm'], 'footprint':'Package_DIP:DIP-24_W15.24mm', 'keywords':'Timer Counter', 'description':'', 'datasheet':'http://www.scs.stanford.edu/10wi-cs140/pintos/specs/8254.pdf', 'pins':[
            Pin(num='1',name='D7',func=Pin.types.BIDIR,unit=1),
            Pin(num='10',name='OUT0',func=Pin.types.OUTPUT,unit=1),
            Pin(num='11',name='G0',func=Pin.types.INPUT,unit=1),
            Pin(num='12',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='13',name='OUT1',func=Pin.types.OUTPUT,unit=1),
            Pin(num='14',name='G1',func=Pin.types.INPUT,unit=1),
            Pin(num='15',name='CLK1',func=Pin.types.INPUT,unit=1),
            Pin(num='16',name='G2',func=Pin.types.INPUT,unit=1),
            Pin(num='17',name='OUT2',func=Pin.types.OUTPUT,unit=1),
            Pin(num='18',name='CLK2',func=Pin.types.INPUT,unit=1),
            Pin(num='19',name='A0',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='D6',func=Pin.types.BIDIR,unit=1),
            Pin(num='20',name='A1',func=Pin.types.INPUT,unit=1),
            Pin(num='21',name='~{CS}',func=Pin.types.INPUT,unit=1),
            Pin(num='22',name='~{RD}',func=Pin.types.INPUT,unit=1),
            Pin(num='23',name='~{WR}',func=Pin.types.INPUT,unit=1),
            Pin(num='24',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='D5',func=Pin.types.BIDIR,unit=1),
            Pin(num='4',name='D4',func=Pin.types.BIDIR,unit=1),
            Pin(num='5',name='D3',func=Pin.types.BIDIR,unit=1),
            Pin(num='6',name='D2',func=Pin.types.BIDIR,unit=1),
            Pin(num='7',name='D1',func=Pin.types.BIDIR,unit=1),
            Pin(num='8',name='D0',func=Pin.types.BIDIR,unit=1),
            Pin(num='9',name='CLK0',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CD4541BM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CD4541BM'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/cd4541b.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'CD4541BPW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CD4541BPW'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.ti.com/lit/ds/symlink/cd4541b.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'ICM7555xB', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ICM7555xB'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/icm7/icm7555-56.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ICM7555xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ICM7555xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/icm7/icm7555-56.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'ICM7556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'ICM7556'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'dual timer 556', 'description':'', 'datasheet':'http://www.intersil.com/content/dam/Intersil/documents/icm7/icm7555-56.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '1', '3', '5', '7', '4', '2', '6']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '14', '8', '9', '10', '11', '13', '7']}] }),
        Part(**{ 'name':'LM555xM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM555xM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LM555xN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LM555xN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMC555xM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMC555xM'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMC555xMM', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMC555xMM'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LMC555xN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LMC555xN'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lmc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6993xS6-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6993xS6-2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'Timer TimerBlox monostable pulse', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/69931234fc.pdf', 'pins':[
            Pin(num='1',name='TRIG',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6993xS6-3', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6993xS6-3'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'Timer TimerBlox monostable pulse', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/69931234fc.pdf', 'pins':[
            Pin(num='1',name='TRIG',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6993xS6-4', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6993xS6-4'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'Timer TimerBlox monostable pulse', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/69931234fc.pdf', 'pins':[
            Pin(num='1',name='TRIG',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6994xDCB-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6994xDCB-2'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm'], 'footprint':'Package_DFN_QFN:DFN-6-1EP_3x2mm_P0.5mm_EP1.65x1.35mm', 'keywords':'TimerBlox debouncer noise discriminator', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/699412fb.pdf', 'pins':[
            Pin(num='1',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='2',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'LTC6994xS6-2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'LTC6994xS6-2'}), 'ref_prefix':'U', 'fplist':['Package_TO_SOT_SMD:TSOT-23-6', 'Package_TO_SOT_SMD:TSOT-23-6'], 'footprint':'Package_TO_SOT_SMD:TSOT-23-6', 'keywords':'TimerBlox debouncer noise discriminator', 'description':'', 'datasheet':'https://www.analog.com/media/en/technical-documentation/data-sheets/699412fb.pdf', 'pins':[
            Pin(num='1',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='3',name='SET',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='DIV',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='V+',func=Pin.types.PWRIN,unit=1),
            Pin(num='6',name='OUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MC14541BD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MC14541BD'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.onsemi.com/pdf/datasheet/mc14541b-d.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'MC14541BDT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MC14541BDT'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.onsemi.com/pdf/datasheet/mc14541b-d.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'MC1455B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MC1455B'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/MC1455-D.PDF', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'MC1455P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'MC1455P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'https://www.onsemi.com/pub/Collateral/MC1455-D.PDF', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NA555D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NA555D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NA555P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NA555P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'NA556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NA556'}), 'ref_prefix':'U', 'fplist':['', '', ''], 'footprint':'', 'keywords':'dual timer', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/se556.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['7', '1', '6', '4', '14', '2', '5', '3']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '12', '14', '11', '13', '10', '7', '8']}] }),
        Part(**{ 'name':'NE556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NE556'}), 'ref_prefix':'U', 'fplist':['', '', '', ''], 'footprint':'', 'keywords':'dual timer', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne556.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '5', '1', '3', '4', '6', '14', '7']},{'label': 'uB', 'num': 2, 'pin_nums': ['12', '10', '11', '9', '13', '8', '14', '7']}] }),
        Part(**{ 'name':'NLV14541BD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NLV14541BD'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.onsemi.com/pdf/datasheet/mc14541b-d.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'NLV14541BDT', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'NLV14541BDT'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-14_W7.62mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm', 'Package_SO:SOIC-14_3.9x8.7mm_P1.27mm', 'Package_SO:TSSOP-14_4.4x5mm_P0.65mm'], 'footprint':'Package_DIP:DIP-14_W7.62mm', 'keywords':'cmos', 'description':'', 'datasheet':'https://www.onsemi.com/pdf/datasheet/mc14541b-d.pdf', 'pins':[
            Pin(num='1',name='R_{TC}',func=Pin.types.INPUT),
            Pin(num='10',name='MODE',func=Pin.types.INPUT),
            Pin(num='11',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='12',name='A',func=Pin.types.INPUT),
            Pin(num='13',name='B',func=Pin.types.INPUT),
            Pin(num='14',name='V_{DD}',func=Pin.types.PWRIN),
            Pin(num='2',name='C_{TC}',func=Pin.types.INPUT),
            Pin(num='3',name='R_{S}',func=Pin.types.INPUT),
            Pin(num='4',name='NC',func=Pin.types.NOCONNECT),
            Pin(num='5',name='AR',func=Pin.types.INPUT),
            Pin(num='6',name='MR',func=Pin.types.INPUT),
            Pin(num='7',name='V_{SS}',func=Pin.types.PWRIN),
            Pin(num='8',name='OUTPUT/Q',func=Pin.types.OUTPUT),
            Pin(num='9',name='Q/~{Q}_SELECT',func=Pin.types.INPUT)], 'unit_defs':[] }),
        Part(**{ 'name':'SA555D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SA555D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SA555P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SA555P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SA556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SA556'}), 'ref_prefix':'U', 'fplist':['', '', '', '', ''], 'footprint':'', 'keywords':'dual timer', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne556.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['2', '5', '3', '7', '6', '1', '4', '14']},{'label': 'uB', 'num': 2, 'pin_nums': ['8', '12', '9', '14', '7', '13', '10', '11']}] }),
        Part(**{ 'name':'SE555D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SE555D'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SE555P', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SE555P'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SE556', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SE556'}), 'ref_prefix':'U', 'fplist':['', '', '', '', '', ''], 'footprint':'', 'keywords':'dual timer', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/ne556.pdf', 'pins':[
            Pin(num='14',name='VCC',func=Pin.types.PWRIN),
            Pin(num='7',name='GND',func=Pin.types.PWRIN),
            Pin(num='1',name='DIS',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='6',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='10',name='R',func=Pin.types.INPUT,unit=2),
            Pin(num='11',name='CV',func=Pin.types.INPUT,unit=2),
            Pin(num='12',name='THR',func=Pin.types.INPUT,unit=2),
            Pin(num='13',name='DIS',func=Pin.types.INPUT,unit=2),
            Pin(num='8',name='TR',func=Pin.types.INPUT,unit=2),
            Pin(num='9',name='Q',func=Pin.types.OUTPUT,unit=2)], 'unit_defs':[{'label': 'uA', 'num': 1, 'pin_nums': ['14', '4', '1', '2', '5', '7', '3', '6']},{'label': 'uB', 'num': 2, 'pin_nums': ['9', '14', '13', '10', '11', '7', '8', '12']}] }),
        Part(**{ 'name':'SE567', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SE567'}), 'ref_prefix':'U', 'fplist':['', ''], 'footprint':'', 'keywords':'tone decoder PLL', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/lm567.pdf', 'pins':[
            Pin(num='1',name='OFLT_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='2',name='LP_FLT_C',func=Pin.types.OUTPUT,unit=1),
            Pin(num='3',name='INPUT',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='5',name='TIM_R',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='TIM_RC',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='8',name='OUTPUT',func=Pin.types.OUTPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'SY58033U', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'SY58033U'}), 'ref_prefix':'U', 'fplist':['Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias', 'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias'], 'footprint':'Package_DFN_QFN:QFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm_ThermalVias', 'keywords':'2.5V/3.3V differential LVPECL LVDS', 'description':'', 'datasheet':'http://ww1.microchip.com/downloads/en/DeviceDoc/sy58033u.pdf', 'pins':[
            Pin(num='1',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='10',name='~{Q7}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='11',name='Q7',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='12',name='~{Q6}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='13',name='Q6',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='14',name='~{Q5}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='15',name='Q5',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='16',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='17',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='18',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='19',name='~{Q4}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='2',name='GND',func=Pin.types.PWRIN,unit=1),
            Pin(num='20',name='Q4',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='21',name='~{Q3}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='22',name='Q3',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='23',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='24',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='25',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='26',name='~{Q2}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='27',name='Q2',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='28',name='~{Q1}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='29',name='Q1',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='3',name='IN',func=Pin.types.INPUT,unit=1),
            Pin(num='30',name='~{Q0}',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='31',name='Q0',func=Pin.types.OPENEMIT,unit=1),
            Pin(num='32',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='33',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='4',name='VT',func=Pin.types.PASSIVE,unit=1),
            Pin(num='5',name='VREF-AC',func=Pin.types.PASSIVE,unit=1),
            Pin(num='6',name='~{IN}',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='GND',func=Pin.types.PASSIVE,unit=1),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN,unit=1),
            Pin(num='9',name='VCC',func=Pin.types.PWRIN,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLC555xD', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLC555xD'}), 'ref_prefix':'U', 'fplist':['Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm'], 'footprint':'Package_SO:SOIC-8_3.9x4.9mm_P1.27mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tlc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLC555xP', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLC555xP'}), 'ref_prefix':'U', 'fplist':['Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm', 'Package_DIP:DIP-8_W7.62mm'], 'footprint':'Package_DIP:DIP-8_W7.62mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tlc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TLC555xPS', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TLC555xPS'}), 'ref_prefix':'U', 'fplist':['Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'Package_SO:VSSOP-8_3x3mm_P0.65mm'], 'footprint':'Package_SO:VSSOP-8_3x3mm_P0.65mm', 'keywords':'single timer 555', 'description':'', 'datasheet':'http://www.ti.com/lit/ds/symlink/tlc555.pdf', 'pins':[
            Pin(num='1',name='GND',func=Pin.types.PWRIN),
            Pin(num='8',name='VCC',func=Pin.types.PWRIN),
            Pin(num='2',name='TR',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='Q',func=Pin.types.OUTPUT,unit=1),
            Pin(num='4',name='R',func=Pin.types.INPUT,unit=1),
            Pin(num='5',name='CV',func=Pin.types.INPUT,unit=1),
            Pin(num='6',name='THR',func=Pin.types.INPUT,unit=1),
            Pin(num='7',name='DIS',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] })])