from collections import defaultdict
from skidl import Pin, Part, Alias, SchLib, SKIDL, TEMPLATE

SKIDL_lib_version = '0.0.1'

Triac_Thyristor = SchLib(tool=SKIDL).add_parts(*[
        Part(**{ 'name':'BT169B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT169B'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'thyristor logic level', 'description':'', 'datasheet':'https://media.digikey.com/pdf/Data%20Sheets/NXP%20PDFs/BT169_Series.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_A1A2G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_A1A2G'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_A1GA2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_A1GA2'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A2',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_A2A1G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_A2A1G'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_A2GA1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_A2GA1'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='A1',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_GA1A2', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_GA1A2'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A2',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Generic_Triac_GA2A1', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Generic_Triac_GA2A1'}), 'ref_prefix':'D', 'fplist':[''], 'footprint':'', 'keywords':'TRIAC', 'description':'', 'datasheet':'~', 'pins':[
            Pin(num='1',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='A1',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC106', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC106'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'thyristor', 'description':'', 'datasheet':'http://pdf.datasheetcatalog.com/datasheet/PowerInnovations/mXyzrtvs.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC226', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC226'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://pdf.datasheetcatalog.com/datasheet/PowerInnovations/mXuqxvy.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'X0202MN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'X0202MN'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'thyristor', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/x02.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0103MN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0103MN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT136-500', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT136-500'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://www.micropik.com/PDF/BT136-600.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT136-600', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT136-600'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://www.micropik.com/PDF/BT136-600.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT136-800', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT136-800'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://www.micropik.com/PDF/BT136-600.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT138-600', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT138-600'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/BT138_SER_D_E.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT138-800', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT138-800'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://assets.nexperia.com/documents/data-sheet/BT138_SER_D_E.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT139-600', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT139-600'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.rapidonline.com/pdf/47-3240.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT169D', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT169D'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'thyristor logic level', 'description':'', 'datasheet':'https://media.digikey.com/pdf/Data%20Sheets/NXP%20PDFs/BT169_Series.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BT169G', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BT169G'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline', 'Package_TO_SOT_THT:TO-92_Inline'], 'footprint':'Package_TO_SOT_THT:TO-92_Inline', 'keywords':'thyristor logic level', 'description':'', 'datasheet':'https://media.digikey.com/pdf/Data%20Sheets/NXP%20PDFs/BT169_Series.pdf', 'pins':[
            Pin(num='1',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='3',name='K',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-600B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-600B'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-600BW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-600BW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-600C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-600C'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-600CW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-600CW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-600SW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-600SW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-800B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-800B'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-800BW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-800BW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-800C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-800C'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-800CW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-800CW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTA16-800SW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTA16-800SW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-600B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-600B'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-600BW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-600BW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-600C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-600C'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-600CW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-600CW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-600SW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-600SW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-800B', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-800B'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-800BW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-800BW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-800C', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-800C'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-800CW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-800CW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'BTB16-800SW', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'BTB16-800SW'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/bta16.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'CT401T', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'CT401T'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'https://www.jscj-elec.com/gallery//file/CT401T-600%20SOT-223-3LK%20V1.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC116', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC116'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'thyristor', 'description':'', 'datasheet':'https://www.princeton.edu/~mae412/HANDOUTS/Datasheets/TIC116.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC126', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC126'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'thyristor', 'description':'', 'datasheet':'https://cdn-reichelt.de/documents/datenblatt/A400/TIC126.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC206', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC206'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://www.farnell.com/datasheets/56922.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'TIC216', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'TIC216'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_THT:TO-220-3_Vertical', 'Package_TO_SOT_THT:TO-220-3_Vertical'], 'footprint':'Package_TO_SOT_THT:TO-220-3_Vertical', 'keywords':'Triac', 'description':'', 'datasheet':'http://www.mouser.com/ds/2/54/tic216-37811.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'X0202NN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'X0202NN'}), 'ref_prefix':'Q', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'thyristor', 'description':'', 'datasheet':'https://www.st.com/resource/en/datasheet/x02.pdf', 'pins':[
            Pin(num='1',name='K',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0103NN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0103NN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0107MN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0107MN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0107NN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0107NN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0109MN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0109MN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0109NN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0109NN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0110MN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0110MN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] }),
        Part(**{ 'name':'Z0110NN', 'dest':TEMPLATE, 'tool':SKIDL, 'aliases':Alias({'Z0110NN'}), 'ref_prefix':'D', 'fplist':['Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223', 'Package_TO_SOT_SMD:SOT-223'], 'footprint':'Package_TO_SOT_SMD:SOT-223', 'keywords':'4Q Triac', 'description':'', 'datasheet':'http://www.st.com/resource/en/datasheet/z01.pdf', 'pins':[
            Pin(num='1',name='A1',func=Pin.types.PASSIVE,unit=1),
            Pin(num='2',name='A2',func=Pin.types.PASSIVE,unit=1),
            Pin(num='3',name='G',func=Pin.types.INPUT,unit=1),
            Pin(num='4',name='A4',func=Pin.types.PASSIVE,unit=1)], 'unit_defs':[] })])